#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x2b0292e9, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x4d8bbdbc, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x72ead648, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x15b013a4, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0xe1078702, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0xe221b330, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x7920768c, "_gpl");
SYMBOL_CRC(is_cxl_port, 0xdebc7618, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x111fcf9f, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xddc371c5, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x109d8a65, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x420c0b2c, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x032a04e2, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xe4f680da, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x723325d2, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0xf7935ed4, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x5bc57f4a, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xc5221296, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x8f813b1f, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xb085fa67, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x5644d433, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x3e335db3, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xef0d3959, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x4e7a12a5, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xf8031782, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xa697dd09, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x1862258f, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x5bf5ac81, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x718d42ea, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xf690bf24, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x843a1a3e, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xa3a9f614, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x38a9010d, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0xc4b0f210, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xd080f059, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0xab215a6b, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xe56bbb06, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0xfd6253dd, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x719d13c4, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x35220be3, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x003b29e6, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x52f6ae98, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x3d0759f3, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x5c76c6a1, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xd96ec7fd, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x5aa41fe9, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x1754ac79, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x6e65dec5, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0xb2516a86, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x6065a200, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x5c5a29a4, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x0c7327cc, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0xd4161168, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x4ca9971b, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x0e877f6e, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x915b52ee, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0xcc200be7, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x3dd4504c, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x55a5a484, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x48fe2e03, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x8efa87e6, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xa03227fb, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xa41afe27, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0xc0947584, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xc829ca99, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x4a720a2a, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x8c80c8ff, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xb03b7251, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x60a358c6, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x978c27ce, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x0b37a82e, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xfc7ed060, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x8954fcef, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xf9b0da4a, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x6d8cdcf1, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0xd4ffa687, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x3d156cd4, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xebbe586e, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x77e098fc, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x07213214, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x992e0c6b, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x0bfb2749, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0x56e4bd1e, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x7f01bf78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x745a981, "xa_erase" },
	{ 0xec5506ac, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe4d7a0e0, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x96c6b9e6, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x27284e2a, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x1c6970f0, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3eb183a5, "seq_printf" },
	{ 0x2efd1c8f, "device_match_name" },
	{ 0x2a87aaea, "pci_walk_bus" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x3f9695a, "__devm_add_action" },
	{ 0xc2e68a2d, "pci_find_dvsec_capability" },
	{ 0xd82166b1, "device_find_child_by_name" },
	{ 0xfbc51628, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x213e667c, "pci_write_config_word" },
	{ 0xcb287369, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x4ff1a014, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4159b700, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd4adfb6b, "pci_bus_type" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x38ee4522, "bus_register" },
	{ 0x211c7b65, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa43e2332, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xbef5db1d, "dev_set_name" },
	{ 0xf8b813d, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x467534c, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xfb610891, "cdev_device_del" },
	{ 0x874074e1, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0xc9da4256, "device_unregister" },
	{ 0xb1fab4e6, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5b25f970, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8a4d33a9, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xcb72b9fe, "device_initialize" },
	{ 0x17ba98ed, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x7ec75463, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x38b5464c, "bpf_trace_run2" },
	{ 0x71ceb5be, "devm_remove_action" },
	{ 0x7565bde, "get_device" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x77ed60e0, "dev_driver_string" },
	{ 0xa82cab87, "trace_event_buffer_commit" },
	{ 0x5ed76816, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbda221cd, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x954875d, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x750e9dfa, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xfb1c5975, "bus_for_each_dev" },
	{ 0x89d8f65f, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfcac5d65, "compat_ptr_ioctl" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x70ad927c, "perf_trace_run_bpf_submit" },
	{ 0x120b2aee, "sysfs_update_group" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xae45ba72, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x838dfa9a, "debugfs_create_bool" },
	{ 0x9eb4b1c5, "bus_find_device" },
	{ 0x4551bea, "device_add" },
	{ 0x80a29d4, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4296dc9a, "noop_llseek" },
	{ 0x835d7e34, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd99c07ad, "kernfs_find_and_get_ns" },
	{ 0xbdebeb01, "debugfs_remove" },
	{ 0x1279c7e1, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xb7b313e, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xb03f4b43, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x387e162c, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd555fcc6, "devm_release_action" },
	{ 0xc859d884, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb61d6fc2, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x20afd15e, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B0825513E3D619167DBABBD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
