#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_parse_hdmi_phandle, "_gpl", "");
KSYMTAB_FUNC(cec_pin_changed, "_gpl", "");
KSYMTAB_FUNC(cec_pin_allocate_adapter, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x9fc4fd07, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x2e32af3d, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x98b1339d, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x05a811fc, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x544183a0, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0xa16ca28c, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0x63ea5a04, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0xfb37384b, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0xf3b50f47, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x5a11c1f1, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x3991c346, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x867e1e21, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0xdece0c37, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x9e7566ce, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x840cb7f4, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x9600b587, "_gpl");
SYMBOL_CRC(cec_notifier_conn_register, 0x41c88baf, "_gpl");
SYMBOL_CRC(cec_notifier_conn_unregister, 0xaee236c6, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_register, 0xe2e8152c, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_unregister, 0xe7c8f08c, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr, 0xa01fbb6b, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr_from_edid, 0xc16f2887, "_gpl");
SYMBOL_CRC(cec_notifier_parse_hdmi_phandle, 0x80740387, "_gpl");
SYMBOL_CRC(cec_pin_changed, 0x5b4b1d89, "_gpl");
SYMBOL_CRC(cec_pin_allocate_adapter, 0x5eabd06b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x954875d, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb78c541e, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x750e9dfa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbdc14892, "rc_keyup" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcc414300, "rc_register_device" },
	{ 0xbdebeb01, "debugfs_remove" },
	{ 0xd2933805, "rc_keydown" },
	{ 0x87940825, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x614f97bb, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb39985ba, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xffea07c4, "rc_allocate_device" },
	{ 0x58662464, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4fd45257, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc05a376a, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x7c063bf8, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3eb183a5, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xaa0dc2ab, "seq_puts" },
	{ 0x40b3fd8b, "single_release" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0xefae9c6e, "param_ops_int" },
	{ 0xba5a8033, "single_open" },
	{ 0xcb287369, "debugfs_create_dir" },
	{ 0xcc3d384e, "rc_unregister_device" },
	{ 0x4159b700, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x38ee4522, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbef5db1d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xfb610891, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcb72b9fe, "device_initialize" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6bb6a3a9, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7565bde, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe90c6244, "wake_up_process" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "rc-core");


MODULE_INFO(srcversion, "12359066439BEB4FD85F7EF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
