#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93503b2b, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xefc881fc, "mpt_put_msg_frame" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2a2c216a, "mpt_HardResetHandler" },
	{ 0x3de09746, "mpt_free_msg_frame" },
	{ 0x8e998bb2, "scsi_is_host_device" },
	{ 0xb196323e, "dma_alloc_attrs" },
	{ 0x418279cb, "mpt_config" },
	{ 0xbe294082, "dma_free_attrs" },
	{ 0xe5b7ad43, "scsi_device_lookup_by_target" },
	{ 0xfdf2dd39, "sdev_prefix_printk" },
	{ 0xd67ac705, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xadef35b, "mptscsih_slave_destroy" },
	{ 0x7ffe4259, "mptscsih_event_process" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5b352378, "mptscsih_resume" },
	{ 0xa50eea4a, "mptscsih_ioc_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xad6c1aab, "spi_dv_device" },
	{ 0x1db4821e, "spi_display_xfer_agreement" },
	{ 0x7822f7ad, "__scsi_iterate_devices" },
	{ 0x402c2fa5, "mptscsih_slave_configure" },
	{ 0xc0a47a49, "mpt_findImVolumes" },
	{ 0x3abe91ae, "scsi_scan_target" },
	{ 0x5ec271bb, "mptscsih_raid_id_to_num" },
	{ 0x87d0728a, "mptscsih_suspend" },
	{ 0xaf31ced7, "mptscsih_shutdown" },
	{ 0xb6278d91, "mptscsih_info" },
	{ 0x1d30f70, "mptscsih_abort" },
	{ 0x734a200, "mptscsih_dev_reset" },
	{ 0xaf02957c, "mptscsih_bus_reset" },
	{ 0xc17b38b9, "mptscsih_host_reset" },
	{ 0xd7a08430, "mptscsih_change_queue_depth" },
	{ 0xdff7dbe3, "mptscsih_bios_param" },
	{ 0xafea3eee, "mptscsih_show_info" },
	{ 0xc999987d, "mptscsih_host_attr_groups" },
	{ 0xefae9c6e, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa1e8517c, "spi_attach_transport" },
	{ 0x11928968, "mptscsih_io_done" },
	{ 0x583fbdcc, "mpt_register" },
	{ 0x738146a1, "mptscsih_taskmgmt_complete" },
	{ 0xb3a017d6, "mptscsih_scandv_complete" },
	{ 0xee05ce67, "mpt_event_register" },
	{ 0x9458665, "mpt_reset_register" },
	{ 0x855dcb78, "__pci_register_driver" },
	{ 0x1c113ead, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9f6f129, "scsi_remove_host" },
	{ 0x6fcb233f, "mptscsih_remove" },
	{ 0xd83a5e2a, "mptscsih_qcmd" },
	{ 0x5143bb0f, "mptscsih_is_phys_disk" },
	{ 0x6511e61f, "scsi_done" },
	{ 0x9c2a59be, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x5fb3ee75, "mpt_attach" },
	{ 0x72d5ca71, "scsi_host_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x42c51666, "scsi_add_host_with_dma" },
	{ 0x70f64d5e, "scsi_scan_host" },
	{ 0xdff3d1e7, "mptscsih_IssueTaskMgmt" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "mptbase,scsi_mod,mptscsih,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0FB4C011C61458934068E67");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
