#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0x392c1146, "_gpl");
SYMBOL_CRC(mux_chip_register, 0x56652b4b, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0xc0296cbc, "_gpl");
SYMBOL_CRC(mux_chip_free, 0x27dd526b, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0xca293313, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0xd1f95a05, "_gpl");
SYMBOL_CRC(mux_control_states, 0x9db59769, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0x59b6ff51, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0xb43b00a3, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0xc819c36a, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0x6c3a4cf3, "_gpl");
SYMBOL_CRC(mux_control_put, 0x91e7c22b, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0xdee636cf, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0xa8f1e469, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xafb10446, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x750e9dfa, "put_device" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x4551bea, "device_add" },
	{ 0xab6b91eb, "__devres_alloc_node" },
	{ 0xffb7c514, "ida_free" },
	{ 0x141a63c2, "class_unregister" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xc859d884, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x36b6ebbf, "down_killable" },
	{ 0xe87ce0fc, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xbef5db1d, "dev_set_name" },
	{ 0xcf2a6966, "up" },
	{ 0xcb72b9fe, "device_initialize" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "79E11A47F875A5B5A0162E7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
