#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(felix_switch_ops, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_switch_ops, 0xae587559, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0xb302518c, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0xf65e60a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2fc9974b, "ocelot_sb_tc_pool_bind_set" },
	{ 0x5fc6e44e, "dsa_fdb_present_in_other_db" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x99d939f9, "dsa_mdb_present_in_other_db" },
	{ 0xa4653d10, "ocelot_vcap_filter_add" },
	{ 0x6c53125b, "ocelot_sb_port_pool_get" },
	{ 0x7812633, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0x8f2f04ea, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x4f60d892, "ocelot_port_inject_frame" },
	{ 0xd15c0c5a, "ocelot_mrp_add" },
	{ 0x456616ba, "ocelot_sb_occ_port_pool_get" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0xaeff49e2, "ocelot_sb_pool_set" },
	{ 0x5ad74af2, "ocelot_lag_fdb_del" },
	{ 0x2d4f901d, "ocelot_vcap_filter_del" },
	{ 0x49762f8b, "ocelot_cls_flower_stats" },
	{ 0x2f283ecc, "ocelot_sb_pool_get" },
	{ 0x6a8e94c, "ocelot_phylink_mac_link_up" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66197d28, "ocelot_deinit_port" },
	{ 0xb8cc8863, "ocelot_can_inject" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xbfd3bf71, "ocelot_port_mirror_add" },
	{ 0x3bbbecd5, "ocelot_fdb_dump" },
	{ 0x1b6b73e0, "ocelot_vlan_prepare" },
	{ 0x44114a4b, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe4badb6a, "ocelot_set_ageing_time" },
	{ 0xa1335191, "__ocelot_rmw_ix" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xb2599120, "ocelot_hwstamp_set" },
	{ 0xd489f558, "ocelot_port_policer_del" },
	{ 0xdc426003, "ocelot_port_lag_change" },
	{ 0xbd02c843, "consume_skb" },
	{ 0x762a7147, "ocelot_port_policer_add" },
	{ 0x1b7e016, "ocelot_port_mdb_add" },
	{ 0xda3e88f, "ocelot_vlan_add" },
	{ 0x41e1d7cf, "ocelot_sb_tc_pool_bind_get" },
	{ 0x9b237dec, "ocelot_port_bridge_flags" },
	{ 0xce5121df, "ocelot_devlink_sb_unregister" },
	{ 0xa4316864, "ocelot_port_bridge_leave" },
	{ 0x2ed2d146, "ocelot_port_set_maxlen" },
	{ 0xd345d2d1, "ocelot_vcap_filter_replace" },
	{ 0x28c5cd4b, "ocelot_get_max_mtu" },
	{ 0x2a988cdb, "regmap_fields_update_bits_base" },
	{ 0x49cbe0ff, "ocelot_sb_occ_snapshot" },
	{ 0xc6d14dc5, "ocelot_get_ts_info" },
	{ 0xc5ea0a1d, "ocelot_sb_occ_max_clear" },
	{ 0x8af40e24, "ocelot_port_get_mm" },
	{ 0x65425b2f, "ocelot_ptp_gettime64" },
	{ 0xa4476cfa, "ocelot_get_strings" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b8a607e, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0xe1c508a4, "ocelot_port_add_dscp_prio" },
	{ 0x52d7b807, "ocelot_drain_cpu_queue" },
	{ 0xf1a5ebe7, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2ee2eeab, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb97b06d, "__ocelot_read_ix" },
	{ 0xd038260d, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1f79fa80, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeb0e751c, "ocelot_get_sset_count" },
	{ 0x989d59d1, "ocelot_migrate_mdbs" },
	{ 0xfd661820, "ocelot_hwstamp_get" },
	{ 0x47d8f4e1, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2f248fb8, "ocelot_port_bridge_join" },
	{ 0xb1e4005d, "ocelot_fdb_add" },
	{ 0x18aad5da, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x21d98487, "ocelot_xtr_poll_frame" },
	{ 0xf278a506, "ocelot_port_get_default_prio" },
	{ 0x83bd1acd, "ptp_classify_raw" },
	{ 0x5a7eb0e0, "ocelot_port_set_default_prio" },
	{ 0xabaac2c9, "dsa_tag_8021q_register" },
	{ 0x3422cee9, "ocelot_port_get_mm_stats" },
	{ 0xe4a0c5e0, "ocelot_deinit" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x4a684b5c, "ocelot_vlan_del" },
	{ 0xe114b64c, "ocelot_bond_get_id" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0xfedb5de4, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf0767974, "ocelot_cls_flower_destroy" },
	{ 0xd5c1e41c, "ocelot_port_vlan_filtering" },
	{ 0x4d73220c, "ocelot_port_get_rmon_stats" },
	{ 0x6adec8e4, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0x8fe53370, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x878adb79, "ocelot_bridge_stp_state_set" },
	{ 0xde5a2ff4, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1c518e86, "netif_rx" },
	{ 0x9cd7845d, "ocelot_port_get_eth_ctrl_stats" },
	{ 0x8a90ae39, "ocelot_fdb_del" },
	{ 0x56baae98, "ocelot_phylink_mac_link_down" },
	{ 0xcc10637f, "ocelot_port_lag_join" },
	{ 0x2cfd15a, "ocelot_port_get_eth_phy_stats" },
	{ 0x71edf04b, "ocelot_port_lag_leave" },
	{ 0x3bcc94c5, "ocelot_mrp_add_ring_role" },
	{ 0x2e3ca172, "ocelot_port_set_mm" },
	{ 0xa12ac197, "ocelot_deinit_timestamp" },
	{ 0x66819f19, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x11f04019, "ocelot_port_get_stats64" },
	{ 0x2301c348, "ocelot_port_get_dscp_prio" },
	{ 0x77a373a0, "ocelot_port_mdb_del" },
	{ 0x1afc24bf, "ocelot_port_get_eth_mac_stats" },
	{ 0x4e76e93b, "ocelot_mact_flush" },
	{ 0x4c70d298, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a3a57ed, "ocelot_port_pre_bridge_flags" },
	{ 0x542d7920, "ocelot_port_del_dscp_prio" },
	{ 0x654420d0, "ocelot_mrp_del_ring_role" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "0ACCA05D67051E9043BC8AD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
