#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x948fa85f, "");
SYMBOL_CRC(vnic_dev_get_res, 0x11a33712, "");
SYMBOL_CRC(vnic_dev_unregister, 0x59eae5a9, "");
SYMBOL_CRC(vnic_dev_register, 0xe8fc6392, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x0b02d9c8, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0x69899e5d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77ed60e0, "dev_driver_string" },
	{ 0x16eddb3f, "dev_addr_mod" },
	{ 0x67fd206a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3042c92d, "dma_map_page_attrs" },
	{ 0x308b478f, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x72b89ab4, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0x8a900571, "__hw_addr_unsync_dev" },
	{ 0x7a8088ee, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf24acd31, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xb944bd56, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x60c8abfd, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x87a21c1a, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c1b5163, "netif_set_real_num_rx_queues" },
	{ 0xe31d555b, "dev_close" },
	{ 0xb196323e, "dma_alloc_attrs" },
	{ 0x1279c7e1, "pci_read_config_word" },
	{ 0x3bd39a13, "napi_enable" },
	{ 0xa63e827a, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0x4a8f7cd3, "register_netdev" },
	{ 0x2bf0639a, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc928ed2e, "ethtool_op_get_link" },
	{ 0x528fb9a4, "netif_set_xps_queue" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x923622d, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x30073c92, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0xa2ad90, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x48592468, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x3181ec09, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3d6d3e7, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x34a50f42, "rps_may_expire_flow" },
	{ 0xbe294082, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb251676f, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4945f5d2, "call_netdevice_notifiers" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2c440bf, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x82059c72, "__hw_addr_sync_dev" },
	{ 0xe6f92959, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe873ebec, "netif_carrier_on" },
	{ 0x7b39d033, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4152c64b, "pci_disable_device" },
	{ 0x8f126d92, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x46dabdd5, "__skb_flow_dissect" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x5ed6dfc5, "__napi_schedule_irqoff" },
	{ 0xa5f789ed, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x5930fa1a, "napi_disable" },
	{ 0xa2adfc3c, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6e976c6f, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xb5373c2f, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6f4b7210, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfdfe7c3a, "pci_find_ext_capability" },
	{ 0x19789801, "skb_copy_bits" },
	{ 0xb8ecf929, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7afb76ff, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x34b46744, "pci_enable_device_mem" },
	{ 0xbd02c843, "consume_skb" },
	{ 0x525d7f72, "pci_iomap" },
	{ 0xab174dfb, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7f2bd80b, "unregister_netdev" },
	{ 0xdfe4cc80, "dma_unmap_page_attrs" },
	{ 0x855dcb78, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xc81358ae, "pci_disable_msi" },
	{ 0x30e8756f, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x2e62f01f, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x4545abd3, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfa4a7ba1, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9c2a59be, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xa7b93942, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "698D0B539A3E0B77BE7ABC4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
