#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4802c62b, "phy_stop" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3181ec09, "__netdev_alloc_skb" },
	{ 0xb8ecf929, "skb_put" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x67fd206a, "eth_type_trans" },
	{ 0xa63e827a, "netif_receive_skb" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x923622d, "netif_tx_wake_queue" },
	{ 0x308b478f, "napi_complete_done" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0xa5f789ed, "napi_schedule_prep" },
	{ 0x27992f70, "__napi_schedule" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbd02c843, "consume_skb" },
	{ 0x7afb76ff, "skb_tstamp_tx" },
	{ 0xf7264548, "__skb_pad" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3bd39a13, "napi_enable" },
	{ 0xd925bcc4, "phy_start" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x6f4b7210, "alloc_etherdev_mqs" },
	{ 0x5189834c, "platform_get_resource" },
	{ 0x77358855, "iomem_resource" },
	{ 0xbda221cd, "__devm_request_region" },
	{ 0xd84703e1, "platform_get_irq" },
	{ 0x8a4d33a9, "devm_ioremap" },
	{ 0xfe577ce1, "dmam_alloc_attrs" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xbf733985, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdff6c84f, "__mdiobus_register" },
	{ 0x5dc630b1, "phy_connect_direct" },
	{ 0xfcce8a67, "phy_set_max_speed" },
	{ 0xab174dfb, "netif_napi_add_weight" },
	{ 0x4a8f7cd3, "register_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe6b970d6, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xb73844d8, "phy_find_first" },
	{ 0x2ae5a52b, "dev_err_probe" },
	{ 0xedfedf0f, "phy_ethtool_nway_reset" },
	{ 0xc928ed2e, "ethtool_op_get_link" },
	{ 0x2d8bd0d6, "ethtool_op_get_ts_info" },
	{ 0x6cc814b6, "phy_ethtool_get_link_ksettings" },
	{ 0xe947ee69, "phy_ethtool_set_link_ksettings" },
	{ 0xefae9c6e, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0ee3547, "__platform_driver_register" },
	{ 0xfa4a7ba1, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x85b422af, "phy_disconnect" },
	{ 0x3fd4f8d0, "mdiobus_unregister" },
	{ 0x4a0aa5db, "mdiobus_free" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x7f2bd80b, "unregister_netdev" },
	{ 0x2bf0639a, "free_netdev" },
	{ 0x797c960d, "mdiobus_get_phy" },
	{ 0x13f5fd27, "phy_mii_ioctl" },
	{ 0x621ea020, "platform_driver_unregister" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x16eddb3f, "dev_addr_mod" },
	{ 0xbbebaf33, "phy_print_status" },
	{ 0x5930fa1a, "napi_disable" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("of:N*T*Copencores,ethoc");
MODULE_ALIAS("of:N*T*Copencores,ethocC*");

MODULE_INFO(srcversion, "83AA2B7EBBFFAE9319D3EA3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
