#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x541140f0, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x629a9d05, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x04a24395, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xf459d092, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xedbcd4a8, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x7ca4d9e1, "");
SYMBOL_CRC(mlx5_cmd_check, 0x253f4199, "");
SYMBOL_CRC(mlx5_cmd_do, 0xf1d44c45, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x3b2c4204, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x26f571d2, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x32a2e7ef, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x1c644f00, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x870b7008, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xac596954, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xdb3b2031, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x3bc25554, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x250df426, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xb19d800f, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x51686e7a, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x42f229b8, "");
SYMBOL_CRC(mlx5_eq_enable, 0x27e863d4, "");
SYMBOL_CRC(mlx5_eq_disable, 0x15691f86, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x3657ef34, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x13c95470, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x337b9e31, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x0648b6cf, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xffb40e86, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xd9e78ece, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x68e7d8c6, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x66f22d27, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xc6288bde, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x3f3d04a5, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x03ac7641, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xb0d0d6ac, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xc9198d47, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xff113b0d, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xd1e4e6eb, "");
SYMBOL_CRC(mlx5_create_cq, 0xc298b301, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xeeca6de0, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xadb24976, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xdd756c83, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x9d588bcc, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xe486c5f8, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x744762f2, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x18d36e11, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xab8e53f6, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xf2b2bf39, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x57979e90, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x0a3aaba2, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x97dfe739, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xdcfcfb40, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x29371ddf, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xde5502f5, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x3e30e87a, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x85e79794, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xfa6ebe91, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xa9ad5e9d, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x43c64a43, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x623b2e9c, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x3db10a1f, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xf25e76e8, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xbb835737, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xbec5467d, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x3c3aabec, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x4f5e20c8, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x40d51a0c, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xf7766134, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x3628e60f, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x92b5dce9, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xa7f788b4, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x1f65c0d8, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x24247a1a, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x3149c403, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0xb5df7708, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xb463d6e3, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x4365c87a, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x23e85981, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x8dbdf57e, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x1b29938f, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x6ef06e27, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x1151b69b, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x6f307b01, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x02803c55, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x21dec359, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xabda8e98, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x8068b2a6, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x37b2dda5, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x74e4a421, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x96c70b3b, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x52f44f81, "");
SYMBOL_CRC(mlx5_core_query_sq, 0xf381991f, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x51429668, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xa1dc7772, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xfb7c278c, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x9dbad531, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x7a137085, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xbc5394f0, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x58e3063e, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x06154e28, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x2e5bcf68, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xc76c4fa7, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x3f447170, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x432cce20, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xc0ddde42, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x2e265b8d, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x01d564d5, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x1b638839, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xc5a6e8c1, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x979b1b36, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xf99529a2, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x4a40734c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x527455c9, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x6300fa37, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xfe4defbd, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xacaa579e, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xe07a513d, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x7d08f855, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x87ff318b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xc85d9142, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xd7a0de1b, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x932e8959, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x416284bd, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xee64d37f, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xda15aaa5, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xddcfd0e8, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xcfa6b7fd, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x95a8e806, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x305d9cc8, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x7ba7ace8, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xf6620892, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xf06859d8, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xff236927, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xafc29d8e, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0xb49f096f, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x485841f1, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xb9b4610f, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xee7f470b, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x4f8d5bea, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x1bb4d810, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x193cdbce, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x526a8729, "");
SYMBOL_CRC(mlx5_msix_alloc, 0xe53c6fe0, "");
SYMBOL_CRC(mlx5_msix_free, 0x0cb36fcc, "");
SYMBOL_CRC(mlx5_fc_create, 0x8d1113e3, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x345dcc58, "");
SYMBOL_CRC(mlx5_fc_query, 0x63ccccb4, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x76de9689, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xb75a91dc, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xf824c2a7, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x94aeeaf1, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x3adf67a1, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x190957f7, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x0db7b70d, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x6c6d4a21, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xefe87013, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xfcd4c8b8, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xdf747ae3, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x32d92403, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x2f7f4d28, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x6fd8ef6c, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xff411bbb, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x4ab47430, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xd0bddbfa, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x8ea5da82, "");
SYMBOL_CRC(mlx5_notifier_register, 0xc2c457c5, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x1fe585c0, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x62e134de, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x6268de9d, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x59fe3737, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x8d929cd4, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x44b381f2, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xe338b734, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x40a0471b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0xb82dd3e6, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xe9b4f0d8, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x11396425, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x214f0689, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0xd9c29274, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x885bb14a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x70d625b7, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x757822d7, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x7d7b65f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0xb68c21e2, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xec839a13, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x98c8e2fd, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x2f779926, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x77efd05f, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x9e31c9ec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x219fe07f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0xc23ddbe9, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x5ed395f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x944debc9, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x1e235fa0, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xe5ca5cee, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0xa9bde436, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xbde98a11, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x9399e02b, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x0a7b6072, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xb3d31c6b, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x2fb8e6b7, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xa293a5a9, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x96510ec4, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0xda555f97, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x469a35aa, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x005966f5, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x7f3b3a01, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x68ffc924, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x6f7ed5d1, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x4543fcc4, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xb26e5747, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x72901f96, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x1bee0ef0, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xb6a9ae15, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x61aa83aa, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x6b49eb6a, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x9cb38c56, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x9d1cb407, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x7d77e7f3, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xe95c647c, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xc513f2fe, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xcc73f378, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x618a4bcb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc928ed2e, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x528fb9a4, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe4b57a56, "__SCK__tp_func_xdp_exception" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x2aa4a7cf, "pci_restore_state" },
	{ 0x65635d18, "bpf_trace_run1" },
	{ 0x9e53255, "__inet6_lookup_established" },
	{ 0x923622d, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xc859d884, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x30073c92, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x66f8ba6e, "page_pool_create" },
	{ 0xfd995e38, "skb_checksum" },
	{ 0x7143feb6, "page_pool_put_defragged_page" },
	{ 0x3807f359, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0xf53bf9b8, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x7f1a5606, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x77cf9208, "devl_resources_unregister" },
	{ 0xd32d286d, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x514bda2b, "netif_schedule_queue" },
	{ 0x2965eaef, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0xa2ad90, "pci_set_master" },
	{ 0xffaabd2b, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb9e1d2da, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa4e9f92f, "flow_rule_match_ipv6_addrs" },
	{ 0x1b59ddef, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xaa6bed32, "devl_params_unregister" },
	{ 0xd77cc5f3, "ptp_clock_unregister" },
	{ 0x48592468, "__pskb_pull_tail" },
	{ 0x38a7aa70, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x3181ec09, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x8d1f6e85, "devlink_trap_report" },
	{ 0x301d4832, "__neigh_event_send" },
	{ 0x4878ffe0, "flow_block_cb_alloc" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x2fb9c4c7, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x90679ba3, "devl_traps_register" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x764a827c, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xe17d471f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3d6d3e7, "dma_set_coherent_mask" },
	{ 0xd8c15258, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xe1564898, "pv_ops" },
	{ 0xda37ffc2, "flow_rule_match_enc_control" },
	{ 0xec5506ac, "bpf_trace_run3" },
	{ 0x58662464, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x3bd6e8e0, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x4fd45257, "debugfs_create_file" },
	{ 0x34a50f42, "rps_may_expire_flow" },
	{ 0xf43e8bd4, "metadata_dst_free" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x685a54e4, "xsk_set_tx_need_wakeup" },
	{ 0xe18a8784, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6b1b4255, "netdev_reset_tc" },
	{ 0x5eb437bb, "neigh_destroy" },
	{ 0xbe294082, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x96c6b9e6, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xa3f92b1f, "debugfs_create_x32" },
	{ 0x5b344e85, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xbe4feb4c, "flow_rule_match_enc_ports" },
	{ 0xa905f5a5, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb251676f, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x1e705520, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x4907eefc, "devl_assert_locked" },
	{ 0x8391cee1, "pcie_print_link_status" },
	{ 0x64155aec, "xp_set_rxq_info" },
	{ 0xf285b57c, "flow_rule_match_vlan" },
	{ 0xe8545fdb, "alloc_pages" },
	{ 0x67447f55, "devl_port_unregister" },
	{ 0xd106fe05, "xdp_rxq_info_unreg" },
	{ 0xbac62d3b, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x4a04f4e7, "devl_param_driverinit_value_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1434ba8e, "napi_build_skb" },
	{ 0x7dbed67f, "netdev_master_upper_dev_get_rcu" },
	{ 0x77325fe4, "__folio_put" },
	{ 0x9d67f94, "__xdp_rxq_info_reg" },
	{ 0x7daed41, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb504124f, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc2c48200, "bpf_prog_inc" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1f3edab8, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2c440bf, "netif_carrier_off" },
	{ 0x3eb183a5, "seq_printf" },
	{ 0xfd951c44, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf3a554f5, "devlink_priv" },
	{ 0x24c5f4a3, "devlink_port_register_with_ops" },
	{ 0xe6f92959, "pci_disable_sriov" },
	{ 0xeafcc341, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8bff634c, "dst_release" },
	{ 0xe873ebec, "netif_carrier_on" },
	{ 0x34aae242, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x7ba59a49, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x1ba66c30, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4152c64b, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0xaa0dc2ab, "seq_puts" },
	{ 0x120dc3b2, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x9f39bc34, "page_pool_update_nid" },
	{ 0x40b3fd8b, "single_release" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0x8f126d92, "dma_set_mask" },
	{ 0x9c872c08, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2d97e8e1, "netif_set_tso_max_size" },
	{ 0x2c8f8627, "vlan_dev_vlan_id" },
	{ 0x46dabdd5, "__skb_flow_dissect" },
	{ 0xe2d08ce1, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xff896647, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x116b4105, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xb039d7c9, "xp_raw_get_data" },
	{ 0xb185a6fd, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0xa5f789ed, "napi_schedule_prep" },
	{ 0xc8cfcece, "qdisc_reset" },
	{ 0x3c9b484a, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x8b68de89, "xp_alloc_batch" },
	{ 0x51f618f8, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0x5930fa1a, "napi_disable" },
	{ 0xa2adfc3c, "dev_kfree_skb_any_reason" },
	{ 0xe0c35ac7, "dcb_ieee_delapp" },
	{ 0xebf708bb, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x81615f79, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x405b2497, "debugfs_create_u8" },
	{ 0xba5a8033, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xdfa5da4a, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xcb287369, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2a23eaa1, "skb_ext_add" },
	{ 0x2f6a50e5, "pcie_bandwidth_available" },
	{ 0x6ef068c2, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb78db39a, "flow_rule_match_control" },
	{ 0x1547720b, "flow_rule_match_ip" },
	{ 0x6e976c6f, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xcc43030f, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x7c4a87bb, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xda6180ce, "xsk_tx_release" },
	{ 0xc259c1f8, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd3178ef3, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x63ba491f, "pci_write_config_dword" },
	{ 0xd4adfb6b, "pci_bus_type" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xb5373c2f, "netdev_info" },
	{ 0x376aa713, "neigh_lookup" },
	{ 0x7236bc39, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1146f072, "__tracepoint_xdp_exception" },
	{ 0xd153439, "__inet_lookup_established" },
	{ 0x6ef0f53d, "xsk_tx_completed" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x6f4b7210, "alloc_etherdev_mqs" },
	{ 0x309b465b, "netdev_lower_get_next" },
	{ 0x34461ad1, "secpath_set" },
	{ 0x3e9aef93, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb94c421e, "pci_save_state" },
	{ 0x9d1b8339, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x201882d3, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb52f6f96, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x11328a25, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x11286f8, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7e2e31fa, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdc836ed0, "bpf_prog_put" },
	{ 0x4c773bb4, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x5f7859b4, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x570c84b0, "pci_cfg_access_unlock" },
	{ 0x34909536, "xp_dma_map" },
	{ 0xa43e2332, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xacf9be6d, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x19789801, "skb_copy_bits" },
	{ 0x70eb37f6, "debugfs_attr_write" },
	{ 0x2bc76fff, "dma_pool_create" },
	{ 0xb428d14a, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1dd43510, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe37a05a3, "pci_enable_device" },
	{ 0xb8ecf929, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7afb76ff, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5788c83f, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x6c3a3d0b, "__napi_alloc_skb" },
	{ 0x6c6d6d7a, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xaa30eb09, "register_fib_notifier" },
	{ 0x392f9762, "auxiliary_device_init" },
	{ 0x1d7b6967, "ip6_dst_hoplimit" },
	{ 0x9c6e704f, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xe1cee81d, "flow_rule_match_enc_ip" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x5aabeee2, "pci_alloc_irq_vectors" },
	{ 0xab174dfb, "netif_napi_add_weight" },
	{ 0x46659d80, "pci_enable_atomic_ops_to_root" },
	{ 0x7d76c97d, "seq_release" },
	{ 0x37a72075, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0x467534c, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x58efe1c5, "xsk_clear_tx_need_wakeup" },
	{ 0x2301ca71, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0xfa6c0784, "devl_lock" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x593ac923, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe0e33cc6, "ndo_dflt_bridge_getlink" },
	{ 0x7f2bd80b, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xbd13c23, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb1fab4e6, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x9d400fea, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xfa80c0e0, "register_netdevice_notifier_dev_net" },
	{ 0xdfe4cc80, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5b25f970, "trace_event_printf" },
	{ 0x3fc26449, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7e0b6dd7, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x855dcb78, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x2f77faeb, "dma_sync_single_for_device" },
	{ 0xc0bb0d12, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x49ed0bcc, "pci_num_vf" },
	{ 0xa444e496, "debugfs_create_atomic_t" },
	{ 0xb0de9680, "flow_rule_match_eth_addrs" },
	{ 0xd57596fa, "skb_add_rx_frag" },
	{ 0xdd492149, "xfrm_state_check_expire" },
	{ 0x2b171858, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc9efcd5b, "ptp_clock_index" },
	{ 0x30e8756f, "pci_request_regions" },
	{ 0x1d757ab1, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x17ba98ed, "trace_event_raw_init" },
	{ 0xa1d45961, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe84c879a, "xp_can_alloc" },
	{ 0x9883be78, "psample_sample_packet" },
	{ 0xea792cd, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c276b70, "devlink_alloc_ns" },
	{ 0x2632401a, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x6f477bc3, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe141b4aa, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x378acb53, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x6bb6a3a9, "seq_lseek" },
	{ 0xf64a5c8e, "page_pool_destroy" },
	{ 0x2b12e404, "xdp_do_redirect" },
	{ 0xd267a23e, "__put_devmap_managed_page_refs" },
	{ 0xcb60ca81, "devlink_free" },
	{ 0x580e2c60, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x38b5464c, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x4545abd3, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x221d8c99, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x63d07d89, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xda053645, "pci_irq_vector" },
	{ 0x961c1c25, "flow_rule_match_ipv4_addrs" },
	{ 0x93094ee6, "ip_route_output_flow" },
	{ 0xfa4a7ba1, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0xec79876c, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfb673066, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x9c2a59be, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xa7b93942, "netdev_err" },
	{ 0xac329722, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8a8d6a99, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x77ed60e0, "dev_driver_string" },
	{ 0xe646a4f9, "netdev_port_same_parent_id" },
	{ 0xa82cab87, "trace_event_buffer_commit" },
	{ 0x16eddb3f, "dev_addr_mod" },
	{ 0x643cf5f5, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x1b37fc87, "ptp_find_pin" },
	{ 0x67fd206a, "eth_type_trans" },
	{ 0x5ed76816, "pci_read_config_dword" },
	{ 0xc10a6775, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xd5b71822, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52b14470, "auxiliary_driver_unregister" },
	{ 0x3042c92d, "dma_map_page_attrs" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x308b478f, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd63575cc, "devlink_port_attrs_pci_vf_set" },
	{ 0x22700d9f, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xcd6d7aa7, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x750e9dfa, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x27992f70, "__napi_schedule" },
	{ 0x5d2f3144, "devlink_port_health_reporter_create" },
	{ 0x2e925946, "pcie_relaxed_ordering_enabled" },
	{ 0xea87c6a1, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x3dc83ce4, "kmalloc_node_trace" },
	{ 0xe6dc3898, "devlink_port_attrs_pci_pf_set" },
	{ 0xb25512a2, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xc62756b0, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x30ae183c, "__free_pages" },
	{ 0xb24692db, "kmem_cache_alloc" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0x1d0c28ef, "skb_vlan_pop" },
	{ 0x7a8088ee, "napi_gro_receive" },
	{ 0x72a4cbb4, "netif_device_attach" },
	{ 0xf89989ab, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x1ba7e03, "netdev_pick_tx" },
	{ 0x55ec6299, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x79efd365, "xp_raw_get_dma" },
	{ 0xb9072c38, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x69b82fa, "xdp_rxq_info_is_reg" },
	{ 0x2f915699, "flow_rule_match_enc_opts" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0x558c9f55, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0xadbb4b8f, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x68ef5978, "devl_health_reporter_create" },
	{ 0x7cd15107, "flow_block_cb_setup_simple" },
	{ 0xb45f8de1, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1f7f899e, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4bffdb67, "unregister_netdevice_notifier_dev_net" },
	{ 0xf98ebed4, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xc9d16e61, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x170d9412, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xa146f768, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x785d7c41, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc6b026af, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x3234f29a, "__dev_get_by_index" },
	{ 0x70ad927c, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x1de69df4, "devlink_port_unregister" },
	{ 0xdcff69a7, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x8dbb9075, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x60c8abfd, "softnet_data" },
	{ 0x2880e2af, "ipv6_stub" },
	{ 0x6c54240e, "simple_open" },
	{ 0x20d27b50, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9eb4b1c5, "bus_find_device" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xeeb795fe, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc665716f, "simple_attr_release" },
	{ 0x88c90f90, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xf07214d1, "xp_dma_sync_for_cpu_slow" },
	{ 0xd0690597, "xsk_tx_peek_desc" },
	{ 0xcea38ad8, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x87a21c1a, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3b53ba1b, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x10e1c44e, "irq_get_irq_data" },
	{ 0xbb19b09a, "dev_remove_pack" },
	{ 0x8c1b5163, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0xb1445235, "dev_get_by_index" },
	{ 0xd2846598, "bpf_trace_run5" },
	{ 0x3338aa9d, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xacf3cc4e, "skb_store_bits" },
	{ 0x5e39571, "devl_port_register_with_ops" },
	{ 0xdee9053e, "dev_get_by_index_rcu" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0x2d3c1dea, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x28986a65, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8b36dbea, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xae52e886, "kmem_cache_free" },
	{ 0xb196323e, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xbdebeb01, "debugfs_remove" },
	{ 0x1279c7e1, "pci_read_config_word" },
	{ 0x3bd39a13, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xda327380, "xsk_clear_rx_need_wakeup" },
	{ 0xbe087cb2, "unregister_netdevice_notifier_net" },
	{ 0x9382f467, "xsk_uses_need_wakeup" },
	{ 0x4a8f7cd3, "register_netdev" },
	{ 0x90d2c6e9, "unregister_fib_notifier" },
	{ 0xb7b313e, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x789f66e8, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xef1b44f2, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2bf0639a, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x80128940, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4d4a0a49, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,tls,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "808F00ED8585B6FC784FBD2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
