#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x6264aacf, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x9342b46c, "");
SYMBOL_CRC(team_options_register, 0x8351140c, "");
SYMBOL_CRC(team_options_unregister, 0x276d22d7, "");
SYMBOL_CRC(team_option_inst_set_change, 0x4439056c, "");
SYMBOL_CRC(team_options_change_check, 0x681b1544, "");
SYMBOL_CRC(team_mode_register, 0xbfe54b84, "");
SYMBOL_CRC(team_mode_unregister, 0xc53e67dd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x8a743f9a, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4545abd3, "netdev_warn" },
	{ 0x3bc97f24, "__ethtool_get_link_ksettings" },
	{ 0xa8b283c4, "try_module_get" },
	{ 0xb5373c2f, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x754d539c, "strlen" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xc1a25180, "netdev_upper_dev_unlink" },
	{ 0x49ebf7db, "netdev_rx_handler_unregister" },
	{ 0xf5c5a283, "vlan_vids_del_by_dev" },
	{ 0xe31d555b, "dev_close" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3149b56b, "netdev_change_features" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6b22972a, "netdev_has_upper_dev" },
	{ 0x47939369, "dev_uc_flush" },
	{ 0xee8faa56, "dev_mc_flush" },
	{ 0x5445d99d, "vlan_uses_dev" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf24acd31, "dev_open" },
	{ 0x1db88b85, "vlan_vids_add_by_dev" },
	{ 0x9a7e3c0, "netdev_rx_handler_register" },
	{ 0x7ea4b103, "netdev_master_upper_dev_link" },
	{ 0xad1b6aaa, "dev_disable_lro" },
	{ 0x56470118, "__warn_printk" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc928ed2e, "ethtool_op_get_link" },
	{ 0xd5a3bd7e, "passthru_features_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5bc970af, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5acfdcb, "netlink_unicast" },
	{ 0xb1445235, "dev_get_by_index" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe873ebec, "netif_carrier_on" },
	{ 0xf2c440bf, "netif_carrier_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x36aa5d45, "dev_set_allmulti" },
	{ 0x79991831, "dev_set_promiscuity" },
	{ 0xa185df75, "dev_uc_unsync" },
	{ 0xae4ff699, "dev_mc_unsync" },
	{ 0xf6f90052, "dev_set_mtu" },
	{ 0xa7b93942, "netdev_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe17d471f, "__dynamic_netdev_dbg" },
	{ 0xa2adfc3c, "dev_kfree_skb_any_reason" },
	{ 0x24697b4a, "dev_uc_sync_multiple" },
	{ 0x3b0c03fb, "dev_mc_sync_multiple" },
	{ 0x16eddb3f, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x66687ad1, "vlan_vid_del" },
	{ 0x489ec4a3, "vlan_vid_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xea0f9ef0, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x49154aaa, "__alloc_skb" },
	{ 0xb81e8e01, "genlmsg_put" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0x57b7987f, "register_netdevice" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd70e9da7, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7be233a, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x23a09d29, "genl_register_family" },
	{ 0x4d9feed4, "rtnl_link_unregister" },
	{ 0x22b335a3, "genl_unregister_family" },
	{ 0xd46cd494, "netlink_broadcast" },
	{ 0x9fd555e4, "skb_clone" },
	{ 0xbd02c843, "consume_skb" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe18a8784, "__dev_queue_xmit" },
	{ 0xe1564898, "pv_ops" },
	{ 0x59ba40ca, "netpoll_send_skb" },
	{ 0x5621b49a, "netdev_lower_state_changed" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x343aa68c, "__netpoll_setup" },
	{ 0x20dfa742, "__netpoll_free" },
	{ 0xd5a43273, "nla_put" },
	{ 0x4e3e2695, "skb_trim" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x4945f5d2, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C936B5FBB2D4C223A93931");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
