#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0xb7e81841, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x095f6603, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x67740509, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x05792471, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0xb3a9a5e8, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x0d2f3a75, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x56dc2d2c, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x4cad141b, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0x0897ae01, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x471c79c5, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x8ac3ba64, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4ac441f, "usbnet_unlink_rx_urbs" },
	{ 0xfd529168, "usbnet_write_cmd" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x3861f7c6, "netif_tx_lock" },
	{ 0xa918355c, "usbnet_start_xmit" },
	{ 0x3fe60b7a, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x83dfa21c, "usbnet_read_cmd" },
	{ 0x3181ec09, "__netdev_alloc_skb" },
	{ 0xb8ecf929, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa489dcf7, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x1c638155, "cdc_parse_cdc_header" },
	{ 0x42145a99, "usb_ifnum_to_if" },
	{ 0x420ecd27, "usb_driver_claim_interface" },
	{ 0xdd84ac6b, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe855587f, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x49154aaa, "__alloc_skb" },
	{ 0xea7b702c, "usbnet_manage_power" },
	{ 0xc80088d5, "usbnet_cdc_update_filter" },
	{ 0x473f95d9, "usbnet_open" },
	{ 0x6f30d10c, "usbnet_stop" },
	{ 0x5a262973, "usbnet_set_rx_mode" },
	{ 0xdfe59372, "eth_mac_addr" },
	{ 0x2e62f01f, "eth_validate_addr" },
	{ 0x1da867d7, "usbnet_tx_timeout" },
	{ 0x85291ea9, "dev_get_tstats64" },
	{ 0x8ee82ae5, "usbnet_get_drvinfo" },
	{ 0x5977158, "usbnet_get_msglevel" },
	{ 0xf9d0b5e7, "usbnet_set_msglevel" },
	{ 0xc64e2631, "usbnet_nway_reset" },
	{ 0xe0e45a7a, "usbnet_get_link" },
	{ 0x2d8bd0d6, "ethtool_op_get_ts_info" },
	{ 0xdfde88f8, "usbnet_get_link_ksettings_internal" },
	{ 0x86ec9cd5, "usbnet_probe" },
	{ 0x3b9d562d, "usbnet_disconnect" },
	{ 0xfd099990, "usbnet_suspend" },
	{ 0x74910a4a, "usbnet_resume" },
	{ 0xc05a376a, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa2adfc3c, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x41176c57, "usb_driver_release_interface" },
	{ 0x4665b9b2, "usb_altnum_to_altsetting" },
	{ 0xe17d471f, "__dynamic_netdev_dbg" },
	{ 0x3d77f925, "usb_register_driver" },
	{ 0xbee2df19, "usb_deregister" },
	{ 0xea38469e, "usbnet_link_change" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0x437bd6d0, "usbnet_update_max_qlen" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
