#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0x2c7ef6ac, "_gpl");
SYMBOL_CRC(mt76s_rr, 0xe3811a61, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x72d04b44, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x4242183e, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0xcce58df1, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0x06a87273, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0xa269b885, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0xd19c784f, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0x93c0cb88, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0xeec3e413, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0x27c82438, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x9dd80adc, "_gpl");
SYMBOL_CRC(mt76s_init, 0xc86c1192, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x9d26645b, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x8dccc57e, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0x24127cb4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd57596fa, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0xd267a23e, "__put_devmap_managed_page_refs" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf2919e94, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3a9f6b18, "pskb_expand_head" },
	{ 0x8e340f60, "mt76_tx_status_check" },
	{ 0xe90c6244, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x39155abd, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x49154aaa, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1df37020, "sdio_readsb" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfd3510fc, "__SCK__tp_func_dev_irq" },
	{ 0x611209ea, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x87940825, "kthread_stop" },
	{ 0x2965eaef, "__alloc_pages" },
	{ 0x32ccf505, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x77756f54, "mt76_queue_tx_complete" },
	{ 0xb39985ba, "kthread_create_on_node" },
	{ 0xdec33059, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xca277e22, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x77325fe4, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x402b93, "sdio_claim_irq" },
	{ 0x5409f50e, "mt76_skb_adjust_pad" },
	{ 0x1d8785b4, "sdio_enable_func" },
	{ 0x299a7a8a, "sdio_writesb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5fe3d2b, "sdio_release_host" },
	{ 0x92f1e7a0, "sdio_disable_func" },
	{ 0x61a46af3, "sdio_set_block_size" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xb8ecf929, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x79fe098b, "sdio_claim_host" },
	{ 0xbd02c843, "consume_skb" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "5994C95C557745C8EF1B9BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
