#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x0f0c17c6, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0xce475e62, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x78968195, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x46f9b364, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xda4ff1f4, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x2e2c86e9, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x3f90f860, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2ba8eac, "mt76x02_mac_shared_key_setup" },
	{ 0xfd7f748f, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcbcd0b65, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0xcb09048e, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xad82859, "ieee80211_queue_delayed_work" },
	{ 0xd884fdd9, "mt76_eeprom_init" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0xcfc7d284, "mt76x02_mac_setaddr" },
	{ 0xe82cd13, "mt76_register_device" },
	{ 0x5fa2c43b, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2834e9b9, "mt76x02_phy_set_band" },
	{ 0x16d21f86, "mt76_set_channel" },
	{ 0x7f380e, "mt76x02_init_device" },
	{ 0x46adcac4, "ieee80211_wake_queues" },
	{ 0x6233670a, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x93563614, "mt76x02_phy_set_rxpath" },
	{ 0x52b20613, "mt76x02_edcca_init" },
	{ 0xe7fa272b, "mt76_eeprom_override" },
	{ 0x7d4cdcb4, "mt76x02_get_lna_gain" },
	{ 0xd1eb8feb, "mt76x02_init_debugfs" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb0964e68, "ieee80211_stop_queues" },
	{ 0xe12df3a8, "mt76x02_mac_cc_reset" },
	{ 0x426cf2ee, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x780632c5, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x71f7b77b, "____mt76_poll_msec" },
	{ 0xd795876b, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9879392e, "mt76x02_config_mac_addr_list" },
	{ 0xc0309420, "mt76_get_sar_power" },
	{ 0x519a1cce, "mt76x02_eeprom_copy" },
	{ 0xe018e60a, "mt76x02_mcu_calibrate" },
	{ 0xe96e385b, "mt76x02_mcu_function_select" },
	{ 0xb1ed5203, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0xeee4c661, "mt76x02_mac_wcid_setup" },
	{ 0xe82df8cd, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xc0b98239, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xbd3d875f, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc44d251f, "mt76_init_sar_power" },
	{ 0x5ed64078, "mt76x02_phy_adjust_vga_gain" },
	{ 0xea7bc727, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "A8AAC47CCE032F37A313EB2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
