#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmet_fc_register_targetport, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_invalidate_host, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_unregister_targetport, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_fcp_req, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_fcp_abort, "_gpl", "");

SYMBOL_CRC(nvmet_fc_register_targetport, 0x93d90880, "_gpl");
SYMBOL_CRC(nvmet_fc_invalidate_host, 0x4a013682, "_gpl");
SYMBOL_CRC(nvmet_fc_unregister_targetport, 0x9ef76d99, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_ls_req, 0x0b98123d, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_fcp_req, 0x7bfa9497, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_fcp_abort, 0x6ff62dab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xfe71a8cd, "nvmet_unregister_transport" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd52c3245, "nvmet_req_init" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4f65f7b3, "nvmet_register_transport" },
	{ 0x5a921311, "strncmp" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x30073c92, "dma_sync_single_for_cpu" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1ae4b9d2, "nvmet_sq_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x99e13c95, "dma_unmap_sg_attrs" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xd99e3393, "dma_map_sg_attrs" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x71847aa8, "nvmet_req_complete" },
	{ 0xdfe4cc80, "dma_unmap_page_attrs" },
	{ 0x2f77faeb, "dma_sync_single_for_device" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7565bde, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77ed60e0, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2aacbac, "nvmet_sq_destroy" },
	{ 0x3042c92d, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x750e9dfa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "nvmet");


MODULE_INFO(srcversion, "588A45A6FB0C7864EEE8624");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
