#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5d11902f, "gpiod_to_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d393f48, "intel_soc_pmic_exec_mipi_pmic_seq_element" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b229600, "serdev_device_add" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd09911a6, "acpi_dev_get_irq_type" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x750e9dfa, "put_device" },
	{ 0xbc477a2, "irq_set_irq_type" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1bd9922b, "pinctrl_put" },
	{ 0xcbe3ee2, "software_node_unregister" },
	{ 0xfddeb056, "efi" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x7551e9ef, "i2c_unregister_device" },
	{ 0x9eb4b1c5, "bus_find_device" },
	{ 0x8600951f, "spi_bus_type" },
	{ 0x7fc7cc24, "platform_device_unregister" },
	{ 0x10e1c44e, "irq_get_irq_data" },
	{ 0xb48f0638, "software_node_register" },
	{ 0x7673a738, "i2c_new_client_device" },
	{ 0x9ba653f, "pinctrl_get" },
	{ 0xdbefdb16, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc3ffe15, "serdev_device_alloc" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6e644a22, "gpiochip_get_desc" },
	{ 0x9283c0b7, "pinctrl_lookup_state" },
	{ 0xde31bf7e, "unregister_sys_off_handler" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x52f364c7, "platform_device_register_full" },
	{ 0x30612add, "desc_to_gpio" },
	{ 0xed81134a, "acpi_fetch_acpi_dev" },
	{ 0xa0aae779, "irq_create_mapping_affinity" },
	{ 0x2efd1c8f, "device_match_name" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0x90fdf8eb, "acpi_gpiochip_free_interrupts" },
	{ 0x3f255484, "pinctrl_select_state" },
	{ 0x6d91dfe6, "acpi_register_gsi" },
	{ 0x2ae5a52b, "dev_err_probe" },
	{ 0x7b5452b8, "acpi_unregister_gsi" },
	{ 0x994c519f, "set_primary_fwnode" },
	{ 0xd82166b1, "device_find_child_by_name" },
	{ 0xfd77e268, "register_sys_off_handler" },
	{ 0xb4577003, "acpi_dev_present" },
	{ 0xe601389e, "i2c_acpi_find_adapter_by_handle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc30248b1, "serdev_device_remove" },
	{ 0xbc4445ad, "acpi_dev_get_first_match_dev" },
	{ 0x3efacaa7, "gpiod_get_value_cansleep" },
	{ 0x33c917c6, "irq_find_matching_fwspec" },
	{ 0x82226c53, "pinctrl_unregister_mappings" },
	{ 0x2f9059a9, "gpiod_set_value" },
	{ 0xb2359262, "gpiochip_find" },
	{ 0x7ad1ded1, "pinctrl_register_mappings" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("dmi*:svn*Insyde*:pn*VESPA2*:");
MODULE_ALIAS("dmi*:svn*Advantech*:pn*MICA-071*:");
MODULE_ALIAS("dmi*:svn*ASUSTeKCOMPUTERINC.*:pn*ME176C*:");
MODULE_ALIAS("dmi*:svn*ASUSTeKCOMPUTERINC.*:pn*TF103C*:");
MODULE_ALIAS("dmi*:svn*ilife*:pn*S806*:rvn*Hampoo*:rn*BYT-PA03C*:");
MODULE_ALIAS("dmi*:bd*07/12/2017*:rvn*Defaultstring*:rn*CherryTrailCR*:");
MODULE_ALIAS("dmi*:svn*CZC*:pn*ODEON*TPC-10*:");
MODULE_ALIAS("dmi*:svn*ViewSonic*:pn*VPAD10*:");
MODULE_ALIAS("dmi*:svn*IntelCorporation*:pn*CHERRYVIEWD1PLATFORM*:pvr*YETI-11*:");
MODULE_ALIAS("dmi*:pn*LenovoYB1-X91*:");
MODULE_ALIAS("dmi*:bvr*BLADE_21*:svn*IntelCorp.*:pn*VALLEYVIEWC0PLATFORM*:rn*BYT-TFFD8*:");
MODULE_ALIAS("dmi*:svn*IntelCorporation*:pn*CHERRYVIEWD1PLATFORM*:pvr*Blade3-10A-001*:");
MODULE_ALIAS("dmi*:bd*10/22/2015*:rvn*AMICorporation*:rn*AptioCRB*:");
MODULE_ALIAS("dmi*:svn*Insyde*:pn*M890BAP*:");
MODULE_ALIAS("dmi*:bvr*M882*:svn*Insyde*:pn*CherryTrail*:");
MODULE_ALIAS("dmi*:svn*PEAQ*:pn*PEAQPMMC1010MD99187*:");
MODULE_ALIAS("dmi*:bvr*ZY-8-BI-PX4S70VTR400-X423B-005-D*:rvn*AMICorporation*:rn*AptioCRB*:");
MODULE_ALIAS("dmi*:svn*XiaomiInc*:pn*Mipad2*:");

MODULE_INFO(srcversion, "03312E6F9A6365840D94A47");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
