#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0xa5cdaee4, "");
SYMBOL_CRC(fc_host_post_event, 0x313a3388, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0x9db898bd, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0xe97d6dc2, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x3c656e44, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x702cc308, "");
SYMBOL_CRC(fc_eh_timed_out, 0x404a190d, "");
SYMBOL_CRC(fc_attach_transport, 0x640e40df, "");
SYMBOL_CRC(fc_release_transport, 0xa78b3e89, "");
SYMBOL_CRC(fc_remove_host, 0x417fcc08, "");
SYMBOL_CRC(fc_remote_port_add, 0x0cb20982, "");
SYMBOL_CRC(fc_remote_port_delete, 0x95d9f58d, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0xbfc95648, "");
SYMBOL_CRC(fc_block_rport, 0x42f75cea, "");
SYMBOL_CRC(fc_block_scsi_eh, 0x472b5a06, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0xf74ca382, "_gpl");
SYMBOL_CRC(fc_vport_create, 0x8b12ae0d, "");
SYMBOL_CRC(fc_vport_terminate, 0x7be67ec0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x843a3d94, "__scsi_init_queue" },
	{ 0x2f423bd9, "blk_queue_rq_timeout" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfbc292da, "attribute_container_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcb70ec01, "scsi_host_get" },
	{ 0xcb72b9fe, "device_initialize" },
	{ 0x7565bde, "get_device" },
	{ 0xbef5db1d, "dev_set_name" },
	{ 0x6d0fac66, "transport_setup_device" },
	{ 0x4551bea, "device_add" },
	{ 0xfa282dab, "transport_add_device" },
	{ 0x4dc67b8e, "transport_configure_device" },
	{ 0x89d8f65f, "sysfs_create_link" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x7a1b32a4, "attribute_container_register" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1b033b5f, "scsi_flush_work" },
	{ 0x26e20ac9, "bsg_remove_queue" },
	{ 0x28b34ee, "scsi_target_unblock" },
	{ 0xf8c9c6e3, "scsi_remove_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7bf7bc4d, "scsi_is_target_device" },
	{ 0xc995828e, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xcc61d6a7, "scsi_queue_work" },
	{ 0xa658fd39, "blk_mq_run_hw_queues" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xcf975d0f, "bsg_job_get" },
	{ 0x3e442b11, "blk_mq_end_request" },
	{ 0xd136b300, "bsg_job_put" },
	{ 0xfff69418, "bsg_job_done" },
	{ 0xb428d14a, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x750e9dfa, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x3abe91ae, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x5dc5fa5e, "scsi_host_put" },
	{ 0x80a29d4, "sysfs_remove_link" },
	{ 0xe04d378a, "transport_remove_device" },
	{ 0xc859d884, "device_del" },
	{ 0xfc155a2e, "transport_destroy_device" },
	{ 0xd67ac705, "_dev_printk" },
	{ 0xfc0b6cb6, "transport_class_register" },
	{ 0xad89102a, "transport_class_unregister" },
	{ 0xb6d4a024, "scsi_nl_sock" },
	{ 0x49154aaa, "__alloc_skb" },
	{ 0x8a743f9a, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xd46cd494, "netlink_broadcast" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0x8e998bb2, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbd6bb16a, "bsg_setup_queue" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "E7EE9F8EC3E8D124BAFCB53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
