#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_run, "_gpl", "");
KSYMTAB_FUNC(xhci_stop, "_gpl", "");
KSYMTAB_FUNC(xhci_shutdown, "_gpl", "");
KSYMTAB_FUNC(xhci_suspend, "_gpl", "");
KSYMTAB_FUNC(xhci_resume, "_gpl", "");
KSYMTAB_FUNC(xhci_get_endpoint_index, "_gpl", "");
KSYMTAB_FUNC(xhci_drop_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_add_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_check_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_reset_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_update_hub_device, "_gpl", "");
KSYMTAB_FUNC(xhci_gen_setup, "_gpl", "");
KSYMTAB_FUNC(xhci_init_driver, "_gpl", "");
KSYMTAB_FUNC(xhci_get_ep_ctx, "_gpl", "");
KSYMTAB_FUNC(xhci_ext_cap_init, "_gpl", "");
KSYMTAB_FUNC(xhci_msi_irq, "_gpl", "");
KSYMTAB_FUNC(xhci_port_state_to_neutral, "_gpl", "");
KSYMTAB_FUNC(xhci_find_slot_id_by_port, "_gpl", "");
KSYMTAB_FUNC(xhci_hub_control, "_gpl", "");
KSYMTAB_FUNC(xhci_dbg_trace, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_init, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_init, "_gpl", "");

SYMBOL_CRC(xhci_run, 0x5d233dfd, "_gpl");
SYMBOL_CRC(xhci_stop, 0xe26e4d00, "_gpl");
SYMBOL_CRC(xhci_shutdown, 0xbfef95fc, "_gpl");
SYMBOL_CRC(xhci_suspend, 0x0de3eb44, "_gpl");
SYMBOL_CRC(xhci_resume, 0xb1909d70, "_gpl");
SYMBOL_CRC(xhci_get_endpoint_index, 0x57d4050a, "_gpl");
SYMBOL_CRC(xhci_drop_endpoint, 0xad0d6dd0, "_gpl");
SYMBOL_CRC(xhci_add_endpoint, 0x1f247fcb, "_gpl");
SYMBOL_CRC(xhci_check_bandwidth, 0xa0b12134, "_gpl");
SYMBOL_CRC(xhci_reset_bandwidth, 0x3a23cd89, "_gpl");
SYMBOL_CRC(xhci_update_hub_device, 0x5f22379e, "_gpl");
SYMBOL_CRC(xhci_gen_setup, 0x566b2bf0, "_gpl");
SYMBOL_CRC(xhci_init_driver, 0xcfc7ecd7, "_gpl");
SYMBOL_CRC(xhci_get_ep_ctx, 0xc18a2577, "_gpl");
SYMBOL_CRC(xhci_ext_cap_init, 0x4372ee1c, "_gpl");
SYMBOL_CRC(xhci_msi_irq, 0x88fac4e8, "_gpl");
SYMBOL_CRC(xhci_port_state_to_neutral, 0x1cdd0605, "_gpl");
SYMBOL_CRC(xhci_find_slot_id_by_port, 0x7ac1fea1, "_gpl");
SYMBOL_CRC(xhci_hub_control, 0x991282aa, "_gpl");
SYMBOL_CRC(xhci_dbg_trace, 0x1b92f1d8, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_quirks, 0xe95bf0a9, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_quirks, 0x4c549b36, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_quirks, 0x41137a13, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_quirks, 0xabf03fc3, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_init, 0x8861b3fd, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_init, 0xa2402218, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_init, 0xb2f299c1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_init, 0x8a5c1029, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3dc83ce4, "kmalloc_node_trace" },
	{ 0x2e26a019, "debugfs_create_regset32" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf227c43, "platform_device_add_resources" },
	{ 0x56c0460c, "usb_hcd_check_unlink_urb" },
	{ 0x3628fbf4, "iommu_get_domain_for_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x6862fff3, "device_create_managed_software_node" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x70ad927c, "perf_trace_run_bpf_submit" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0xd9b1431c, "usb_hcd_end_port_resume" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7fc7cc24, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb196323e, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xbdebeb01, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xea7b8940, "platform_device_add" },
	{ 0xb7b313e, "trace_event_reg" },
	{ 0x8db70c28, "platform_device_alloc" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65635d18, "bpf_trace_run1" },
	{ 0xcaaeccc5, "usb_hcd_link_urb_to_ep" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0xd0c1ae9d, "usb_hcd_is_primary_hcd" },
	{ 0xb22e16d5, "radix_tree_maybe_preload" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2f977753, "usb_acpi_power_manageable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc18cffd7, "usb_hub_clear_tt_buffer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3d6d3e7, "dma_set_coherent_mask" },
	{ 0xc7975de0, "trace_seq_acquire" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0xec5506ac, "bpf_trace_run3" },
	{ 0x58662464, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1d075e27, "pm_runtime_forbid" },
	{ 0x4fd45257, "debugfs_create_file" },
	{ 0xbe294082, "dma_free_attrs" },
	{ 0xd85e2dbe, "pm_runtime_allow" },
	{ 0x96c6b9e6, "trace_event_buffer_reserve" },
	{ 0xf398c0fe, "usb_hcd_giveback_urb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3eb183a5, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9f71114c, "usb_hcd_poll_rh_status" },
	{ 0xb97d08e0, "usb_acpi_set_power_state" },
	{ 0x7acc69ec, "usb_disable_xhci_ports" },
	{ 0x40b3fd8b, "single_release" },
	{ 0x8f126d92, "dma_set_mask" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x9b405a39, "usb_debug_root" },
	{ 0x3f9695a, "__devm_add_action" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xefae9c6e, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xba5a8033, "single_open" },
	{ 0xa06b1925, "usb_hcd_unmap_urb_for_dma" },
	{ 0xcb287369, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xef6d7c5b, "usb_root_hub_lost_power" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x7c588c35, "param_ops_ullong" },
	{ 0x62b22b4, "platform_device_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xab8df8e2, "usb_asmedia_modifyflowcontrol" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2bc76fff, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf30de421, "usb_hcd_resume_root_hub" },
	{ 0xb3e81657, "usb_hcd_unlink_urb_from_ep" },
	{ 0x9b151dc3, "usb_hcd_start_port_resume" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x384df00a, "usb_amd_pt_check_port" },
	{ 0x91a270cf, "usb_hc_died" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x467534c, "trace_raw_output_prep" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb1fab4e6, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xdfe4cc80, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5b25f970, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf8e3ee39, "usb_wakeup_notification" },
	{ 0x17ba98ed, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x6bb6a3a9, "seq_lseek" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x38b5464c, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x148653, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x474edef, "kstrtou16_from_user" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x77ed60e0, "dev_driver_string" },
	{ 0xa82cab87, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3042c92d, "dma_map_page_attrs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4c1b26d8, "usb_hcd_map_urb_for_dma" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "FD745A3E05F39E19A015318");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
