#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_send_command, 0xee52b8fb, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x467a6882, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x3137ca07, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x17a693c4, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x5c624d53, "_gpl");
SYMBOL_CRC(ucsi_create, 0x5120636b, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x9a05c9af, "_gpl");
SYMBOL_CRC(ucsi_register, 0xdd12e780, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0xa6ce80d4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x28fd6acd, "typec_partner_register_altmode" },
	{ 0x6ea3b342, "typec_partner_set_num_altmodes" },
	{ 0xdf2cb9e3, "typec_unregister_partner" },
	{ 0x90e21d78, "typec_set_pwr_opmode" },
	{ 0x170d9412, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x70ad927c, "perf_trace_run_bpf_submit" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x9a2a9081, "typec_altmode_update_active" },
	{ 0xfb6a6fd8, "device_property_read_u8_array" },
	{ 0xc665716f, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xa34277c1, "usb_power_delivery_register_capabilities" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbdebeb01, "debugfs_remove" },
	{ 0xbad1b7e9, "usb_power_delivery_unregister" },
	{ 0xb7b313e, "trace_event_reg" },
	{ 0x3fbda01e, "typec_set_data_role" },
	{ 0xf6bc1f5c, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x576bad8e, "typec_altmode_vdm" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9a5b19d2, "typec_unregister_port" },
	{ 0x2dd3a4e9, "power_supply_get_drvdata" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0x36d7d535, "typec_register_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc4bcc2f2, "typec_partner_set_usb_power_delivery" },
	{ 0x9f265fa9, "power_supply_changed" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0x9d0a903d, "typec_partner_set_svdm_version" },
	{ 0x58662464, "seq_read" },
	{ 0x4fd45257, "debugfs_create_file" },
	{ 0x96c6b9e6, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x41e6cca1, "typec_unregister_altmode" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3eb183a5, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x63e2cffd, "usb_power_delivery_unregister_capabilities" },
	{ 0x5f056fe9, "typec_get_drvdata" },
	{ 0x3f961c18, "power_supply_unregister" },
	{ 0x40b3fd8b, "single_release" },
	{ 0xeb81d583, "typec_set_pwr_role" },
	{ 0x2ae5a52b, "dev_err_probe" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x9b405a39, "usb_debug_root" },
	{ 0xf8463bed, "fwnode_handle_put" },
	{ 0x6635e338, "device_get_next_child_node" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xba5a8033, "single_open" },
	{ 0xcb287369, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d1475cf, "__dev_fwnode" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x5f7859b4, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x52643e9, "typec_register_partner" },
	{ 0x53e5f109, "typec_port_set_usb_power_delivery" },
	{ 0x70eb37f6, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xca58c6b0, "typec_port_register_altmode" },
	{ 0x4cd9d62b, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x467534c, "trace_raw_output_prep" },
	{ 0x1ed92085, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb1fab4e6, "__trace_trigger_soft_disabled" },
	{ 0x5b25f970, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x17ba98ed, "trace_event_raw_init" },
	{ 0x86315071, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x6bb6a3a9, "seq_lseek" },
	{ 0x38b5464c, "bpf_trace_run2" },
	{ 0x1f70d48d, "typec_set_mode" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0x19e533b, "typec_altmode2port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa82cab87, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf3c1c59c, "usb_power_delivery_register" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "26C7670C6C16C21A9A4613F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
