#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x30639d5f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0xa40f41a4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x43222316, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xa856d0fd, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x3af0c11a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x5dd0a19d, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0xf52045c3, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x47c4d639, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x27826af6, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x80423bc4, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x5cac7e92, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x784d5178, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x423a1add, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x6d217a25, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x1833a43d, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x90b2225a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xb2da2e6c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x105b65e3, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xb1c04139, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x5223d45c, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x3499b07b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x70ad927c, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x96c6b9e6, "trace_event_buffer_reserve" },
	{ 0xa82cab87, "trace_event_buffer_commit" },
	{ 0xb1fab4e6, "__trace_trigger_soft_disabled" },
	{ 0x467534c, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x5b25f970, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x65635d18, "bpf_trace_run1" },
	{ 0x38b5464c, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9ebcee56, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa177f76b, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa3c78084, "sock_create_kern" },
	{ 0x17a053c1, "kernel_bind" },
	{ 0x928bb034, "kernel_connect" },
	{ 0x671afd36, "udp_sock_create6" },
	{ 0x45d23125, "kernel_sock_shutdown" },
	{ 0x8b44ae02, "sock_release" },
	{ 0x653044b7, "udp_sock_create4" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9e8e105d, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0xd5facee9, "skb_dequeue" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2c94cb76, "udp_set_csum" },
	{ 0x8905bf80, "ip_queue_xmit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3a9f6b18, "pskb_expand_head" },
	{ 0x5aea1ad8, "udp6_set_csum" },
	{ 0x6f8ed1d2, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x8bff634c, "dst_release" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x789d8867, "sockfd_lookup" },
	{ 0x9f45e25c, "lock_sock_nested" },
	{ 0x99bcf3c3, "release_sock" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x6b3026fe, "fput" },
	{ 0xcab9cb6b, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x69ab78a5, "skb_queue_tail" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x48592468, "__pskb_pull_tail" },
	{ 0xb7b313e, "trace_event_reg" },
	{ 0x17ba98ed, "trace_event_raw_init" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "AF0C00F0A96C0B873252120");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
