#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0xb0d3dd53, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x29dd179e, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xc23c060f, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x1eaa82eb, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xa685736b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xbc2d88ec, "inet_ctl_sock_create" },
	{ 0x9c2d4169, "inet_ioctl" },
	{ 0x94e96d47, "reuseport_add_sock" },
	{ 0x14974e77, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x520e97c4, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xe119b234, "sk_filter_trim_cap" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x70ad927c, "perf_trace_run_bpf_submit" },
	{ 0x6b3026fe, "fput" },
	{ 0x68e9cc04, "inet_accept" },
	{ 0x8dbb9075, "init_net" },
	{ 0x2199960c, "crypto_shash_setkey" },
	{ 0x20d27b50, "skb_pull" },
	{ 0xaeff4915, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb6ca27d, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xffcd9214, "__SCK__tp_func_sk_data_ready" },
	{ 0x4605b5ae, "inet_add_protocol" },
	{ 0x5dfa4e15, "inet_shutdown" },
	{ 0x9e8e105d, "sk_free" },
	{ 0x57b098c0, "sock_wake_async" },
	{ 0xdee9053e, "dev_get_by_index_rcu" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xe8180700, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x8b36dbea, "skb_push" },
	{ 0x402df7af, "__ip_queue_xmit" },
	{ 0xae52e886, "kmem_cache_free" },
	{ 0x75bcccca, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0xb7b313e, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x19661d52, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9f45e25c, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xa10e83, "inet6_ioctl" },
	{ 0x71938c30, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x28015241, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x9c753ff3, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xdf49ad2d, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x8c136929, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x7c5cfef3, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5355cea1, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x48592468, "__pskb_pull_tail" },
	{ 0xcab9cb6b, "setup_udp_tunnel_sock" },
	{ 0x671afd36, "udp_sock_create6" },
	{ 0x4e3e2695, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4f500ab9, "sk_common_release" },
	{ 0xe1564898, "pv_ops" },
	{ 0xec5506ac, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x1cdae4bb, "inet6_getname" },
	{ 0x982caad5, "sock_i_ino" },
	{ 0x8a78ea65, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x347eb558, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xac44a666, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf930f1eb, "ipv4_mtu" },
	{ 0x92d9d8cc, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x96c6b9e6, "trace_event_buffer_reserve" },
	{ 0x69f78b22, "__skb_checksum" },
	{ 0x8abd1391, "reuseport_alloc" },
	{ 0xc6a7340d, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xa9a958d6, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x996082dd, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc05a376a, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x314682f8, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0xb447e3a5, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3eb183a5, "seq_printf" },
	{ 0x999d0608, "proc_create_net_single" },
	{ 0x30723cfe, "skb_copy" },
	{ 0x9fd555e4, "skb_clone" },
	{ 0x2710712b, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8bff634c, "dst_release" },
	{ 0xf81a13d8, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x8b44ae02, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xeeac9124, "inet_recv_error" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xaa0dc2ab, "seq_puts" },
	{ 0xb26fecf, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xd7253f05, "_proc_mkdir" },
	{ 0x8847b7aa, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x36caf4f5, "send_sig" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x828d0f92, "inet6_add_protocol" },
	{ 0xffa1fc05, "from_kuid_munged" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x60c3a3bc, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xdb387bb1, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28666f7c, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xff97d8a9, "reuseport_detach_sock" },
	{ 0x76fb42bf, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xb1b737f3, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xff6de6a3, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xf4cd854, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe0af4b9, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x7236bc39, "kmem_cache_destroy" },
	{ 0x99bcf3c3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x67bb3625, "skb_queue_head" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x48b40949, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x5ef5f444, "sock_i_uid" },
	{ 0xf6719d28, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x193a91c1, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x19789801, "skb_copy_bits" },
	{ 0xb1c4b6bb, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x70810c82, "sock_wfree" },
	{ 0xb8ecf929, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf1b49dd7, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1d7b6967, "ip6_dst_hoplimit" },
	{ 0xbd02c843, "consume_skb" },
	{ 0x4f4ad04b, "inet6_add_offload" },
	{ 0x1a767158, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x307466d4, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x467534c, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xd34e56d4, "l3mdev_fib_table_by_index" },
	{ 0x653044b7, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd5facee9, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x56baead1, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xb1fab4e6, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd49ab9ba, "skb_segment" },
	{ 0x5b25f970, "trace_event_printf" },
	{ 0x5d433b02, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x647886c9, "udp_tunnel6_xmit_skb" },
	{ 0xdefb7968, "sock_common_getsockopt" },
	{ 0xfd1d4ea, "inet_bind" },
	{ 0xdcd15669, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xb125fc45, "fd_install" },
	{ 0x17ba98ed, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6a34689, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x8ad42d1b, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0x6e2b6583, "__tracepoint_sk_data_ready" },
	{ 0x38b5464c, "bpf_trace_run2" },
	{ 0x4581ad36, "sock_common_setsockopt" },
	{ 0xf81b15ec, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x93094ee6, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xec79876c, "kmem_cache_create" },
	{ 0xe0b85364, "__sk_mem_schedule" },
	{ 0x862cb82b, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x9b6ae109, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x86a3f171, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xab5efbba, "sk_error_report" },
	{ 0xa3be26ce, "register_pernet_subsys" },
	{ 0xcbf9f778, "put_cmsg" },
	{ 0xa82cab87, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xdf0837ba, "register_net_sysctl_sz" },
	{ 0x62329143, "inet_sock_destruct" },
	{ 0xe9ce0c4e, "crypto_destroy_tfm" },
	{ 0x7b460f9a, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc630e5e3, "inet_sk_get_local_port_range" },
	{ 0x7cf9b37b, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x122c3a7e, "_printk" },
	{ 0x798982db, "inet_getname" },
	{ 0xfdf8ae97, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xf3590ad2, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x49154aaa, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xee93f672, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb24692db, "kmem_cache_alloc" },
	{ 0x1f6f5d73, "proto_register" },
	{ 0xf724555a, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xdf41f01b, "inet6_compat_ioctl" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "2D7C4894EF1582BB012B777");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
