#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0x6190a8de, "");
SYMBOL_CRC(fw_iso_resources_init, 0x485c7a12, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0x8ed841a5, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0x1a08ff33, "");
SYMBOL_CRC(fw_iso_resources_update, 0xebf1af04, "");
SYMBOL_CRC(fw_iso_resources_free, 0x5fb5278d, "");
SYMBOL_CRC(iso_packets_buffer_init, 0xc20dda1f, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0xa280151f, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0xc548b225, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0x363c5358, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x53b7edb0, "");
SYMBOL_CRC(fcp_avc_transaction, 0x7b2e7502, "");
SYMBOL_CRC(fcp_bus_reset, 0x756ecfd2, "");
SYMBOL_CRC(cmp_connection_init, 0xfd5270d2, "");
SYMBOL_CRC(cmp_connection_check_used, 0x4cb4ac12, "");
SYMBOL_CRC(cmp_connection_destroy, 0x78ce0edc, "");
SYMBOL_CRC(cmp_connection_reserve, 0xa1003807, "");
SYMBOL_CRC(cmp_connection_release, 0x1af13977, "");
SYMBOL_CRC(cmp_connection_establish, 0xf3072021, "");
SYMBOL_CRC(cmp_connection_update, 0x2fa69190, "");
SYMBOL_CRC(cmp_connection_break, 0x9c10d6d9, "");
SYMBOL_CRC(amdtp_stream_init, 0xaf5be35f, "");
SYMBOL_CRC(amdtp_stream_destroy, 0xaa48fe4a, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0x7770706e, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0x33913c24, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0xcb6948d7, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0xc57c4d80, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0x66a107bc, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0x2ae98bb3, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0xbb32fa47, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0x23bd9cd8, "");
SYMBOL_CRC(amdtp_domain_init, 0x5eb8b6b7, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0xe4be4ebc, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0x35cbcb7c, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0xd2f36636, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0xa958518d, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0x6b953681, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0x06cc1ebb, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0x8a8a4b76, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0x8e69b5ae, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0xdc1b5f13, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0x1b14bfbe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17ba98ed, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4050673a, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x1f3bc033, "fw_core_remove_address_handler" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xbd3fe07f, "fw_iso_context_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x451b180a, "fw_core_add_address_handler" },
	{ 0xa82cab87, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5371c5c9, "snd_pcm_hw_rule_add" },
	{ 0xcc68aa8a, "fw_iso_context_queue" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0xe8980848, "fw_card_read_cycle_time" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x70ad927c, "perf_trace_run_bpf_submit" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x8dfe11cc, "fw_iso_buffer_destroy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb7b313e, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xad0a0900, "fw_iso_resource_manage" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa82c05bf, "bpf_trace_run9" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc9073fd4, "fw_iso_context_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x96c6b9e6, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x981f4473, "snd_pcm_stop_xrun" },
	{ 0x7cfd7dfe, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x97052515, "snd_pcm_period_elapsed" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfea76485, "fw_iso_context_flush_completions" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xcd3ad8d4, "fw_iso_context_destroy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0x3ae3523f, "fw_run_transaction" },
	{ 0x8b1376a2, "snd_rawmidi_receive" },
	{ 0xcd4278c9, "fw_iso_buffer_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xba226a72, "snd_rawmidi_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x467534c, "trace_raw_output_prep" },
	{ 0xb1fab4e6, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5b25f970, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4ca3a424, "snd_pcm_hw_constraint_minmax" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-pcm,snd-rawmidi");


MODULE_INFO(srcversion, "B0869187C626EE3CCF538C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
