#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_calc_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0xe39abcdc, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0xc616d49d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0xc02fbab8, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0x291bd7f6, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0xfd3fb684, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0xedb9c64a, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0xfdf55a1e, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x9c6ea216, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0xddc3e1a6, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x6115c343, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x6b5daa30, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0xbfea05c2, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x6dd07f09, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0xac0cd6c4, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x01225a40, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x890bbf8e, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0xf925d395, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x777bac14, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x838b410d, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0xa4103651, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0xbbc0dd2f, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0x60675cab, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x52b10af8, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0xdea7263e, "_gpl");
SYMBOL_CRC(snd_hdac_calc_stream_format, 0x5c07cb49, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0xaa0cc53c, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0x2b980462, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x0493efdb, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x9e635e76, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0xa9344476, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x4e4d3911, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x9e3dde28, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x82bc26e7, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x8069cd0f, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x919e313d, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x32d014f0, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0xdd0f9280, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x7ab1a63e, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0xd75afc21, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0xbbb88f36, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0xc1b2a697, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x9511f708, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0xcb42c542, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0xfd0f2829, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x5495f83c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0xc5f8a247, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0x21c9a416, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x32132cdd, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0x5e461fb1, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x69cea634, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0xc3be61d0, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0xf645710f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x8d6e24cb, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0xbdc086e8, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x72b2ad65, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x2ba96283, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x952432ec, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0xb58ae845, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0x764217af, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xaa1097b7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x10768517, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x17f6f6b5, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x858bbdb4, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x201926f0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x45286f70, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x25847d61, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0xb0d31a6a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0xe7f11847, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x81addff3, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x74e16598, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x8126abc0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0xa57fe845, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x3708215c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x4de3e7f9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0x7258ddd7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0xc67d6c35, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x61f4eef8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x6cc429cf, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0xafce23f9, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0xcb08957f, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xa8a768e7, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0xd4695fee, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x583ed4b6, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x8d7b3961, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x9d6c42f8, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x10f79174, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x71cfc20d, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0xca632dcd, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x6f02edc8, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x6b5a8941, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x003efce7, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0xd2194a1f, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x534de252, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x41005d43, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x2a240304, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xafb10446, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa82cab87, "trace_event_buffer_commit" },
	{ 0x6e979349, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x750e9dfa, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0xea0f9ef0, "module_put" },
	{ 0xa7cdf41b, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x70ad927c, "perf_trace_run_bpf_submit" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x88e42140, "kobject_add" },
	{ 0x4551bea, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xab6b91eb, "__devres_alloc_node" },
	{ 0xb7b313e, "trace_event_reg" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcd94d65e, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd4201556, "__regmap_init" },
	{ 0xc859d884, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa44c4f27, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe641521e, "sysfs_remove_group" },
	{ 0xec5506ac, "bpf_trace_run3" },
	{ 0xd436ed8d, "component_master_del" },
	{ 0xdbd7cf30, "regmap_read" },
	{ 0x96c6b9e6, "trace_event_buffer_reserve" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xaa106b2d, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfdc5e654, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9c2f35ab, "pci_match_id" },
	{ 0x60207b0, "devres_find" },
	{ 0xefbf157d, "regmap_update_bits_base" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x962540c3, "__pm_runtime_suspend" },
	{ 0xf5cdbe03, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x41d84712, "component_unbind_all" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd4adfb6b, "pci_bus_type" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x38ee4522, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa3452115, "kobject_put" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa8b283c4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x8c608c62, "regcache_sync" },
	{ 0x3caded41, "regmap_write" },
	{ 0x64f6fba8, "snd_dma_alloc_dir_pages" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xbef5db1d, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaf567bbe, "component_master_add_with_match" },
	{ 0x467534c, "trace_raw_output_prep" },
	{ 0xe3602626, "snd_pcm_add_chmap_ctls" },
	{ 0x6511e4ce, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb1fab4e6, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x94f4193e, "pci_get_device" },
	{ 0x5b25f970, "trace_event_printf" },
	{ 0x95888f1d, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb4be1d96, "pm_runtime_get_if_active" },
	{ 0xf5259dfd, "kobject_init" },
	{ 0xcb72b9fe, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x17ba98ed, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e362107, "regcache_reg_cached" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x38b5464c, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x259df148, "snd_sgbuf_get_addr" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0x589f49c0, "snd_sgbuf_get_chunk_size" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "FC2DD5974E7B474BC8FFADA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
