#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe9d27354, "snd_hda_pick_fixup" },
	{ 0x7ba40e86, "snd_hda_apply_fixup" },
	{ 0x7467dbf5, "snd_hda_add_verbs" },
	{ 0xb82fc24b, "snd_hda_gen_parse_auto_config" },
	{ 0xf12a958a, "snd_hda_enum_helper_info" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x493efdb, "snd_hdac_codec_read" },
	{ 0xf63a8b21, "snd_hda_mixer_amp_volume_put" },
	{ 0x834bf0ea, "snd_hda_gen_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd75afc21, "snd_hdac_regmap_sync" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x48cc1438, "snd_hda_shutup_pins" },
	{ 0x732734b1, "snd_hda_get_connections" },
	{ 0x36e49363, "snd_hda_gen_build_controls" },
	{ 0xaeae8b9, "snd_hda_mixer_amp_volume_info" },
	{ 0x32d014f0, "snd_hdac_regmap_read_raw" },
	{ 0x3500d5d2, "snd_hda_gen_spec_init" },
	{ 0xa0c8f593, "snd_hda_mixer_amp_switch_info" },
	{ 0xfe70b339, "hda_codec_driver_unregister" },
	{ 0x8dcc6567, "snd_hda_codec_get_pincfg" },
	{ 0x9e635e76, "snd_hdac_codec_write" },
	{ 0xc461f693, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x3399b862, "snd_hda_gen_add_kctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x323357c, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x1225a40, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe42717f2, "snd_hda_get_bool_hint" },
	{ 0x14bb7e20, "snd_ctl_boolean_mono_info" },
	{ 0xc3871537, "snd_hda_override_amp_caps" },
	{ 0x493f8413, "__hda_codec_driver_register" },
	{ 0x5e9e34a, "snd_hda_parse_pin_defcfg" },
	{ 0x97fb2957, "snd_hda_gen_init" },
	{ 0x36aa59f6, "snd_hda_mixer_amp_switch_get" },
	{ 0xe4f13e89, "snd_hda_codec_set_name" },
	{ 0x9c8844dc, "snd_hda_mixer_amp_volume_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5c18960b, "snd_hda_mixer_amp_switch_put" },
	{ 0xcf7506c7, "snd_hda_codec_set_pincfg" },
	{ 0x19f4410d, "snd_hda_jack_unsol_event" },
	{ 0x10549953, "snd_hda_override_conn_list" },
	{ 0xdec598ff, "snd_hda_check_amp_list_power" },
	{ 0x697a77be, "snd_hda_gen_build_pcms" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x99d7d0c5, "snd_hda_mixer_amp_tlv" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "558C15B795F5F4841E8D15D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
