#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x2e86486c, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x66f5ea8d, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x0a49613e, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x14c20083, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x1cb8619e, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x517e9cc7, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x9241dea6, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0x4d05a123, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xedf9844c, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x3f4db13e, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x214afd84, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x29327f90, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x078fa0b1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb1ffb9a1, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6c4c33c, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xd009a251, "crypto_grab_aead" },
	{ 0x9b00f801, "crypto_grab_shash" },
	{ 0xa21551bb, "shash_no_setkey" },
	{ 0xcb314b14, "ahash_register_instance" },
	{ 0x4c78da50, "crypto_grab_skcipher" },
	{ 0x70df37ef, "skcipher_register_instance" },
	{ 0x48b11593, "aead_register_instance" },
	{ 0x335bb8d7, "crypto_skcipher_decrypt" },
	{ 0x433324f, "crypto_skcipher_encrypt" },
	{ 0xda09aa75, "shash_ahash_digest" },
	{ 0xcba7c371, "shash_ahash_finup" },
	{ 0xd54585a6, "crypto_shash_final" },
	{ 0xb271b5b3, "shash_ahash_update" },
	{ 0xb428d14a, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc62220c, "crypto_alloc_skcipher" },
	{ 0xe9ce0c4e, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53a3b402, "crypto_alloc_ahash" },
	{ 0xc839b48b, "crypto_alloc_aead" },
	{ 0x61822a76, "crypto_skcipher_setkey" },
	{ 0x22c1bed6, "crypto_spawn_tfm2" },
	{ 0xfadf6d49, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x2199960c, "crypto_shash_setkey" },
	{ 0x6795c6e1, "crypto_clone_shash" },
	{ 0x25a697ea, "crypto_aead_setauthsize" },
	{ 0x5a380d47, "crypto_aead_setkey" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0xea84d1c3, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x62426f16, "crypto_enqueue_request" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7DD30DF5492C1612FF1B43C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
