#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0x0914a1cb, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0xfb83e473, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0x716b8554, "");
SYMBOL_CRC(cx18_claim_stream, 0xcf68c4db, "");
SYMBOL_CRC(cx18_release_stream, 0xb1a7ac06, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc48760a8, "v4l2_ctrl_handler_log_status" },
	{ 0xf0c95c8d, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbaf26730, "video_devdata" },
	{ 0x60e7cc5a, "i2c_new_scanned_device" },
	{ 0xa82b8e5c, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x60a246ac, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9218bfd2, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1e83451f, "vb2_ioctl_dqbuf" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xaeff8e04, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xb7b36a67, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa982bb04, "vb2_ioctl_prepare_buf" },
	{ 0x65dc4ae5, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1279c7e1, "pci_read_config_word" },
	{ 0x5c25bcf0, "vb2_buffer_done" },
	{ 0x83a397a6, "vb2_plane_vaddr" },
	{ 0xead47b38, "v4l2_ctrl_subscribe_event" },
	{ 0x351d0124, "v4l2_fh_init" },
	{ 0xb5ee4761, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xef4cebeb, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xbc94a970, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xefbee682, "dvb_dmxdev_release" },
	{ 0x411ad5ce, "vb2_ioctl_qbuf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7fc85a96, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf60e0630, "param_ops_short" },
	{ 0x617b1623, "vb2_vmalloc_memops" },
	{ 0x30073c92, "dma_sync_single_for_cpu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x551b8cc8, "vb2_fop_read" },
	{ 0x1ea1e0d5, "v4l2_device_register" },
	{ 0x644d2497, "dvb_frontend_detach" },
	{ 0xab64fc6, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8a049c11, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3f9bc05e, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x41fb48e7, "dvb_unregister_frontend" },
	{ 0xb9d0b8ef, "pci_write_config_byte" },
	{ 0xfc978407, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x21c6ab94, "vb2_ioctl_streamon" },
	{ 0xb9f9beac, "vb2_fop_poll" },
	{ 0x6678b269, "v4l2_ctrl_new_std" },
	{ 0x340bd55, "v4l2_ctrl_g_ctrl" },
	{ 0xb1f71750, "cx2341x_handler_init" },
	{ 0xf6417b17, "cx2341x_handler_set_50hz" },
	{ 0xfdddd427, "v4l2_ctrl_handler_free" },
	{ 0x6a2acb26, "v4l2_device_unregister" },
	{ 0x4152c64b, "pci_disable_device" },
	{ 0x466a1d97, "dvb_register_frontend" },
	{ 0x8f126d92, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc26d8cc5, "v4l2_subdev_call_wrappers" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0xc6ebffa6, "v4l2_i2c_new_subdev" },
	{ 0x3a3864e9, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0x96d95cc5, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xefae9c6e, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x213e667c, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1b44a532, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb8e1945f, "v4l2_event_unsubscribe" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf0a5e392, "vb2_ioctl_reqbufs" },
	{ 0x53d0fcf2, "vb2_queue_init" },
	{ 0xdf64a855, "v4l2_fh_exit" },
	{ 0x8bd84678, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xcd8364a1, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1e39e9ab, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2ed70f29, "vb2_queue_release" },
	{ 0xe37a05a3, "pci_enable_device" },
	{ 0xa3281c87, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xd0c417d5, "i2c_bit_add_bus" },
	{ 0x2d061351, "v4l2_fh_del" },
	{ 0xab38e533, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdfe4cc80, "dma_unmap_page_attrs" },
	{ 0xdb6cdc70, "vb2_ops_wait_finish" },
	{ 0x15659ec3, "request_firmware" },
	{ 0x855dcb78, "__pci_register_driver" },
	{ 0x1d05e3eb, "v4l2_ctrl_handler_init_class" },
	{ 0x2f77faeb, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xc98c5cd, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x1597e389, "vb2_ioctl_querybuf" },
	{ 0xbffec7a7, "v4l2_subdev_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x60f307fe, "vb2_video_unregister_device" },
	{ 0x9c2a59be, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4a2865f9, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77ed60e0, "dev_driver_string" },
	{ 0x1a84766d, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3042c92d, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,videobuf2-v4l2,dvb-core,tveeprom,videobuf2-common,videobuf2-vmalloc,i2c-algo-bit");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B3CBB9F196BA42491EDABBA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
