#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mei_fw_status2str, "_gpl", "");
KSYMTAB_FUNC(mei_cancel_work, "_gpl", "");
KSYMTAB_FUNC(mei_reset, "_gpl", "");
KSYMTAB_FUNC(mei_start, "_gpl", "");
KSYMTAB_FUNC(mei_restart, "_gpl", "");
KSYMTAB_FUNC(mei_stop, "_gpl", "");
KSYMTAB_FUNC(mei_write_is_idle, "_gpl", "");
KSYMTAB_FUNC(mei_device_init, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg_resume, "_gpl", "");
KSYMTAB_FUNC(mei_irq_compl_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_read_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_write_handler, "_gpl", "");
KSYMTAB_FUNC(mei_cl_all_disconnect, "_gpl", "");
KSYMTAB_FUNC(mei_register, "_gpl", "");
KSYMTAB_FUNC(mei_deregister, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_rx_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_notif_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_uuid, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_ver, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enabled, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_map, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_unmap, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_disable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_gsc_command, "_gpl", "");
KSYMTAB_FUNC(__mei_cldev_driver_register, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_driver_unregister, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mei_reg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_read, "", "");
KSYMTAB_DATA(__tracepoint_mei_reg_write, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_write, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_write, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_write, "", "");
KSYMTAB_DATA(__tracepoint_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_pci_cfg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_pci_cfg_read, "", "");

SYMBOL_CRC(mei_fw_status2str, 0x90a24af4, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0xc06a9f2c, "_gpl");
SYMBOL_CRC(mei_reset, 0x1cd61be1, "_gpl");
SYMBOL_CRC(mei_start, 0x2e9e0c79, "_gpl");
SYMBOL_CRC(mei_restart, 0x28c1f5a2, "_gpl");
SYMBOL_CRC(mei_stop, 0x656a19fc, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0x7088a71b, "_gpl");
SYMBOL_CRC(mei_device_init, 0x3310ca11, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0x47fac53e, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0x4138842e, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0x46078b2e, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0xce6450fa, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0x9a1f2cd0, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0x51772062, "_gpl");
SYMBOL_CRC(mei_register, 0x3854f2a1, "_gpl");
SYMBOL_CRC(mei_deregister, 0xcc517e7c, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0x9222296a, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0x39e0dcb1, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0x426a34c3, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0xd50946d1, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0x024a7553, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0xc9135ebd, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0x29351fdd, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0xb7ff789b, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0x8da902e8, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0x3dbf0cc9, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0x7f79e96e, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0x7cd98c33, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0x24cced3d, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0xf50442eb, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0x2714eb88, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0xa3e3d3c3, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0x0b1614d2, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0x5b40095e, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0x5bac3dc2, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0x7e795df1, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0x76e4cc30, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0xf15db1b4, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0x66fc2fd7, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0x1952f1db, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0xbec64f6b, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0x272c9ee3, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0x1221b6b6, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0xdcb8da05, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0x6d8129f3, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74a06dec, "debugfs_write_file_bool" },
	{ 0x750e9dfa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0xea0f9ef0, "module_put" },
	{ 0xfcac5d65, "compat_ptr_ioctl" },
	{ 0xe8a3554f, "cdev_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x70ad927c, "perf_trace_run_bpf_submit" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x6c54240e, "simple_open" },
	{ 0x4551bea, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbdebeb01, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x3fcca0fd, "fasync_helper" },
	{ 0xb7b313e, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xb03f4b43, "driver_unregister" },
	{ 0x141a63c2, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc859d884, "device_del" },
	{ 0xebc01c52, "dmam_free_coherent" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0x1d74794b, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x668b19a1, "down_read" },
	{ 0xde1bbe81, "nonseekable_open" },
	{ 0x58662464, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4b646ce1, "device_create_with_groups" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4fd45257, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x96c6b9e6, "trace_event_buffer_reserve" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x638e851e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3eb183a5, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa0dc2ab, "seq_puts" },
	{ 0x40b3fd8b, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x962540c3, "__pm_runtime_suspend" },
	{ 0xfbc51628, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xba5a8033, "single_open" },
	{ 0xcb287369, "debugfs_create_dir" },
	{ 0x281e9c98, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x4ff1a014, "driver_register" },
	{ 0xe87ce0fc, "class_register" },
	{ 0x4159b700, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x52f2829a, "cdev_del" },
	{ 0x38ee4522, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e9c0d3e, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa8b283c4, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xa43e2332, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbef5db1d, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfe577ce1, "dmam_alloc_attrs" },
	{ 0x467534c, "trace_raw_output_prep" },
	{ 0xb1fab4e6, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3f108901, "kill_fasync" },
	{ 0x5b25f970, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcb72b9fe, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x17ba98ed, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x6bb6a3a9, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2670d3ac, "__module_get" },
	{ 0x7565bde, "get_device" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xaae2b85a, "debugfs_read_file_bool" },
	{ 0xa82cab87, "trace_event_buffer_commit" },
	{ 0x210ec677, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9D12C8BC8C9541AB132C612");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
