#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_set_cd_config, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_setup_queue, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_prepare_req, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0x03ce4557, "");
SYMBOL_CRC(mmc_request_done, 0xf758dd24, "");
SYMBOL_CRC(mmc_start_request, 0xcf2dded0, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0xc620678e, "");
SYMBOL_CRC(mmc_cqe_start_req, 0xeb8b1367, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x83b246ab, "");
SYMBOL_CRC(mmc_cqe_post_req, 0xe0220614, "");
SYMBOL_CRC(mmc_cqe_recovery, 0xa2dc0204, "");
SYMBOL_CRC(mmc_is_req_done, 0x395835dc, "");
SYMBOL_CRC(mmc_wait_for_req, 0xddc9968b, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0xb8c0d20f, "");
SYMBOL_CRC(mmc_set_data_timeout, 0x459e16ed, "");
SYMBOL_CRC(__mmc_claim_host, 0xd4bf4244, "");
SYMBOL_CRC(mmc_release_host, 0x701d7312, "");
SYMBOL_CRC(mmc_get_card, 0x421d6152, "");
SYMBOL_CRC(mmc_put_card, 0x4ced7ad3, "");
SYMBOL_CRC(mmc_detect_change, 0xbb34e7ed, "");
SYMBOL_CRC(mmc_erase, 0xd3d71364, "");
SYMBOL_CRC(mmc_can_erase, 0x7b0bd1bf, "");
SYMBOL_CRC(mmc_can_trim, 0xaea52c64, "");
SYMBOL_CRC(mmc_can_discard, 0xb8445e01, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0xae7d01e7, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x19634703, "");
SYMBOL_CRC(mmc_calc_max_discard, 0xeba38df7, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0x49477c49, "");
SYMBOL_CRC(mmc_set_blocklen, 0x0cd808bb, "");
SYMBOL_CRC(mmc_hw_reset, 0x61803e1f, "");
SYMBOL_CRC(mmc_sw_reset, 0x838d6001, "");
SYMBOL_CRC(mmc_detect_card_removed, 0x9d3b0ab1, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0xadd16258, "");
SYMBOL_CRC(mmc_register_driver, 0x62605489, "");
SYMBOL_CRC(mmc_unregister_driver, 0xe1d46e56, "");
SYMBOL_CRC(mmc_retune_pause, 0x02650536, "");
SYMBOL_CRC(mmc_retune_unpause, 0x54a5ba1e, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0xd264e9f7, "");
SYMBOL_CRC(mmc_retune_release, 0x818e07c0, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0x0970a3af, "");
SYMBOL_CRC(mmc_of_parse, 0xfb09719e, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0x2d8e2dcf, "");
SYMBOL_CRC(mmc_alloc_host, 0x9184e152, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0x1c63c6bb, "");
SYMBOL_CRC(mmc_add_host, 0xbe8bab32, "");
SYMBOL_CRC(mmc_remove_host, 0x55781f0e, "");
SYMBOL_CRC(mmc_free_host, 0x62a3edc8, "");
SYMBOL_CRC(__mmc_send_status, 0xf2fe2ebc, "_gpl");
SYMBOL_CRC(mmc_send_status, 0xfbbea06c, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x20ab1ff9, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x1cc0b4de, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0xc164ff89, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0xc957b156, "_gpl");
SYMBOL_CRC(mmc_switch, 0x03c1f937, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0xabe7bfbf, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0xeccb9955, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0x99c2604f, "");
SYMBOL_CRC(mmc_cmdq_enable, 0xc97e4ce8, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x885952cd, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0x3f81e6e2, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0x9bc80de0, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0x138477fe, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0xe3647db5, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0xb0aecd02, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0x79fe098b, "_gpl");
SYMBOL_CRC(sdio_release_host, 0x05fe3d2b, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0x1d8785b4, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0x92f1e7a0, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x61a46af3, "_gpl");
SYMBOL_CRC(sdio_align_size, 0x661efcde, "_gpl");
SYMBOL_CRC(sdio_readb, 0xaa7f1e89, "_gpl");
SYMBOL_CRC(sdio_writeb, 0x4916ede1, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0xdc9e06eb, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x17bb4eff, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0x6c83f93c, "_gpl");
SYMBOL_CRC(sdio_readsb, 0x1df37020, "_gpl");
SYMBOL_CRC(sdio_writesb, 0x299a7a8a, "_gpl");
SYMBOL_CRC(sdio_readw, 0x4cf98058, "_gpl");
SYMBOL_CRC(sdio_writew, 0xa3cc1377, "_gpl");
SYMBOL_CRC(sdio_readl, 0x611209ea, "_gpl");
SYMBOL_CRC(sdio_writel, 0x32ccf505, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0xd183619d, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0x321260e7, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0xd4084bd0, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0x8fffc2f4, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0x0c503ae6, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0x58c1c115, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0x3fc403ff, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0xba90f994, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0xcde0e194, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0x00402b93, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0x39155abd, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0x65daf8cd, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0x49290b82, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0xaf0597a8, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0xd9f3cb4f, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0x555a3884, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0xd8cc90ed, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0xc6488cd3, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0x44f83e1e, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0xc129deaf, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0x027bc7ca, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x0cc68d13, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0x9a8b2cf5, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0xb440801a, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0x1357be78, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x7f905a6d, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x1847e4e3, "_gpl");
SYMBOL_CRC(mmc_crypto_setup_queue, 0x7189fd8c, "_gpl");
SYMBOL_CRC(mmc_crypto_prepare_req, 0x4e339222, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe615dd52, "debugfs_create_file_unsafe" },
	{ 0x4551bea, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xc665716f, "simple_attr_release" },
	{ 0xc84ce53, "wakeup_source_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbdebeb01, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xab6b91eb, "__devres_alloc_node" },
	{ 0xb7b313e, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0xb03f4b43, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x79ce9f71, "devm_gpiod_get_index" },
	{ 0x141a63c2, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x87940825, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc859d884, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0xa1d7883d, "regulator_count_voltages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xee089cc, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xca58d8b4, "regulator_is_supported_voltage" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb39985ba, "kthread_create_on_node" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0x58662464, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x885c8b4, "gpiod_cansleep" },
	{ 0x4fd45257, "debugfs_create_file" },
	{ 0x8fb49433, "gpiod_is_active_low" },
	{ 0x96c6b9e6, "trace_event_buffer_reserve" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0xa3f92b1f, "debugfs_create_x32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc05a376a, "param_ops_bool" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3eb183a5, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x40b3fd8b, "single_release" },
	{ 0xfa1688ac, "regulator_disable" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x962540c3, "__pm_runtime_suspend" },
	{ 0x994c519f, "set_primary_fwnode" },
	{ 0x217a9c37, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xba5a8033, "single_open" },
	{ 0x164cccb8, "gpiod_set_consumer_name" },
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0xcb287369, "debugfs_create_dir" },
	{ 0xc62e2b8, "regulator_set_voltage" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4ff1a014, "driver_register" },
	{ 0xe87ce0fc, "class_register" },
	{ 0x525846b8, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d1475cf, "__dev_fwnode" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x38ee4522, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3efacaa7, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0x660cecba, "regulator_enable" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x441990d8, "device_property_present" },
	{ 0x8c24c661, "blk_crypto_reprogram_all_keys" },
	{ 0xe2da8c0e, "wakeup_source_register" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0x5f7859b4, "simple_attr_open" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xb312b921, "devm_request_threaded_irq" },
	{ 0x70eb37f6, "debugfs_attr_write" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbef5db1d, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x467534c, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb1fab4e6, "__trace_trigger_soft_disabled" },
	{ 0x5b25f970, "trace_event_printf" },
	{ 0xb9c460fb, "led_trigger_register_simple" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcb72b9fe, "device_initialize" },
	{ 0x17ba98ed, "trace_event_raw_init" },
	{ 0x5d11902f, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x6bb6a3a9, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x43581dc3, "gpiod_toggle_active_low" },
	{ 0x7f7a441a, "dev_pm_domain_attach" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x38b5464c, "bpf_trace_run2" },
	{ 0x30d57e20, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x680a1858, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7565bde, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0xf2919e94, "sched_set_fifo_low" },
	{ 0xafb10446, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x22f3de40, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe90c6244, "wake_up_process" },
	{ 0xa82cab87, "trace_event_buffer_commit" },
	{ 0xae5d962a, "pm_generic_runtime_resume" },
	{ 0xd49d9de9, "pm_generic_resume" },
	{ 0x2f001dd3, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0x55593d2, "pm_wakeup_ws_event" },
	{ 0x1aa2d603, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7bacdeee, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x5f52954a, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x750e9dfa, "put_device" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x4ee7d7c6, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0x20f4d68, "gpiod_set_debounce" },
	{ 0x2ca7b788, "dev_pm_domain_detach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x90130979, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x92045a78, "pm_generic_suspend" },
	{ 0x170d9412, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x70ad927c, "perf_trace_run_bpf_submit" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FE09B84EDE2DB959F56C52B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
