#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x50dabc2f, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x4bf617f8, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0xb3b9920b, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0xeadbad12, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x9e174715, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0xbb68e0ce, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x55cce0d5, "_gpl");
SYMBOL_CRC(register_mtd_user, 0xf55f6727, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x1eeae03a, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x495d0619, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0xd54e965e, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0xdaa46301, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0xb2703602, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x1965daaa, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x0b21e259, "_gpl");
SYMBOL_CRC(mtd_erase, 0x13fa2777, "_gpl");
SYMBOL_CRC(mtd_point, 0x59fa0e17, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0xe70d4efb, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x23cf9e0c, "_gpl");
SYMBOL_CRC(mtd_read, 0xc03ede40, "_gpl");
SYMBOL_CRC(mtd_write, 0x13a3b056, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x9a5d05af, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x210949ee, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0xd1c8863d, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x84a16576, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x0e701ad2, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x24c5d21f, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x6d45bf60, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0xc5fa0398, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x15eab1b4, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x80bd1ba0, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x38072555, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x83ecbc18, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0xadd61b8f, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0xaec84fe9, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0xfd70ea47, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x0d48bb99, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x1df2b2c0, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0xf44656c2, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x272726f3, "_gpl");
SYMBOL_CRC(mtd_lock, 0xbe69ca42, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x5b6ed2a4, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x6849b1b1, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x4b91e0cb, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x58021fdd, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x56ec89ac, "_gpl");
SYMBOL_CRC(mtd_writev, 0x122596c3, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0xb35b850b, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xd1549177, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x2f55ea48, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x306e93d4, "");
SYMBOL_CRC(mtd_concat_destroy, 0x6d094683, "");
SYMBOL_CRC(mtd_add_partition, 0xaf9adf5e, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x3efd5779, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0xb6d94219, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x57c122b7, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x0519a346, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8f11603, "idr_alloc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3a253b1e, "device_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbdebeb01, "debugfs_remove" },
	{ 0x21caca94, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x141a63c2, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x43d755df, "bdi_alloc" },
	{ 0xd54a82d2, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9c0429a2, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x638e851e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x722122fa, "remove_proc_entry" },
	{ 0xc4889eff, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3eb183a5, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xf23c1f83, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xaa0dc2ab, "seq_puts" },
	{ 0x2ae5a52b, "dev_err_probe" },
	{ 0xa4c47ff0, "proc_create_single_data" },
	{ 0xe6cae34f, "nvmem_register" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcb287369, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe87ce0fc, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x188a9b4c, "generic_shutdown_super" },
	{ 0xa8b283c4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc91f5af6, "sget_dev" },
	{ 0xef8f4aca, "bdi_unregister" },
	{ 0xbef5db1d, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x895debfa, "bdi_register" },
	{ 0xc9da4256, "device_unregister" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x169e1a85, "logfc" },
	{ 0x729665f5, "sysfs_remove_files" },
	{ 0x2670d3ac, "__module_get" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0xcac1ca26, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x750e9dfa, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0xea0f9ef0, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x838dfa9a, "debugfs_create_bool" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F791D9842983DCB762A2866");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
