#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x09ad2b87, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x3b95bf7a, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x2bb1280e, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x77b58175, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x3c0720b1, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xd7a4d67e, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x6149c6e3, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x1fd52f4b, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0xa8cde181, "_gpl");
SYMBOL_CRC(can_bus_off, 0x1e4ab864, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x28aa7811, "_gpl");
SYMBOL_CRC(free_candev, 0x6a57e02a, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x3cec1da3, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x683a3d0c, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xeb14818d, "");
SYMBOL_CRC(open_candev, 0x0b0a0e09, "_gpl");
SYMBOL_CRC(close_candev, 0x9fce4ee5, "_gpl");
SYMBOL_CRC(register_candev, 0x70e4c0b8, "_gpl");
SYMBOL_CRC(unregister_candev, 0xd7700ba3, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x2ac10a7a, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0xec37c900, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0x56a0c0ac, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0xe7e65288, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0xe641e116, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x69f7c584, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x6fbf40f0, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0x8e8cf379, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0xa617bee9, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0xf5cf88fb, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x7d6f9170, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0xbca948f7, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0x1b5b206d, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0x91789323, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x5977e7d6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f2bd80b, "unregister_netdev" },
	{ 0xd5facee9, "skb_dequeue" },
	{ 0x7be233a, "rtnl_link_register" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x4545abd3, "netdev_warn" },
	{ 0x1300e139, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfa4a7ba1, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0xa7b93942, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2703936a, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x308b478f, "napi_complete_done" },
	{ 0xae349bb1, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x27992f70, "__napi_schedule" },
	{ 0x4ee7d7c6, "device_property_read_u32_array" },
	{ 0x4d9feed4, "rtnl_link_unregister" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0x3bd39a13, "napi_enable" },
	{ 0xa63e827a, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0x4a8f7cd3, "register_netdev" },
	{ 0x2bf0639a, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x70475f9e, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1c518e86, "netif_rx" },
	{ 0x3181ec09, "__netdev_alloc_skb" },
	{ 0x4e3e2695, "skb_trim" },
	{ 0xe17d471f, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2c440bf, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9fd555e4, "skb_clone" },
	{ 0xe873ebec, "netif_carrier_on" },
	{ 0x2ae5a52b, "dev_err_probe" },
	{ 0xa5f789ed, "napi_schedule_prep" },
	{ 0xa2adfc3c, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5373c2f, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb8ecf929, "skb_put" },
	{ 0x2f9059a9, "gpiod_set_value" },
	{ 0x7afb76ff, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbd02c843, "consume_skb" },
	{ 0xab174dfb, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "19924326AF55730FADE0FB2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
