#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e4ab864, "can_bus_off" },
	{ 0xc1f88e2d, "usb_unanchor_urb" },
	{ 0xe17d471f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5c5fda03, "driver_for_each_device" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6149c6e3, "alloc_can_err_skb" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x70e4c0b8, "register_candev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xb5373c2f, "netdev_info" },
	{ 0xd6cfbfae, "usb_alloc_urb" },
	{ 0x2925103e, "usb_anchor_urb" },
	{ 0x2760840, "usb_free_urb" },
	{ 0x2bb1280e, "can_free_echo_skb" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9ad2b87, "can_put_echo_skb" },
	{ 0xbd02c843, "consume_skb" },
	{ 0x3b95bf7a, "can_get_echo_skb" },
	{ 0x3c0720b1, "alloc_canfd_skb" },
	{ 0x3d77f925, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x4545abd3, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb0a0e09, "open_candev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa7b93942, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf4ec8af8, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x77b58175, "alloc_can_skb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xa916b694, "strnlen" },
	{ 0xc62756b0, "netif_device_detach" },
	{ 0xd7700ba3, "unregister_candev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf4259b37, "usb_submit_urb" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0xa8cde181, "can_change_state" },
	{ 0x3cec1da3, "can_change_mtu" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1fd52f4b, "can_dropped_invalid_skb" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x6a57e02a, "free_candev" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x28aa7811, "alloc_candev_mqs" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0x2d3c1dea, "netdev_printk" },
	{ 0x3b128bef, "usb_control_msg" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xbee2df19, "usb_deregister" },
	{ 0x923622d, "netif_tx_wake_queue" },
	{ 0x9fce4ee5, "close_candev" },
	{ 0xfb578fc5, "memset" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1c518e86, "netif_rx" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "can-dev,usbcore");

MODULE_ALIAS("usb:v0C72p000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0014d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "4F524A631EA275EE9F2EF2F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
