#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_port_set, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0x13f154e2, "");
SYMBOL_CRC(ocelot_mact_forget, 0xeaa02a33, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x3a93ea60, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0xbe408f56, "");
SYMBOL_CRC(ocelot_pll5_init, 0x6ff8b9e5, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0x05de9d68, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0xd5c1e41c, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x1b6b73e0, "");
SYMBOL_CRC(ocelot_vlan_add, 0x0da3e88f, "");
SYMBOL_CRC(ocelot_vlan_del, 0x4a684b5c, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0xd80bb4cd, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0x90d32bf8, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0x56baae98, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x06a8e94c, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0x4561ac4e, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x21d98487, "");
SYMBOL_CRC(ocelot_can_inject, 0xb8cc8863, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x4f60d892, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0x52d7b807, "");
SYMBOL_CRC(ocelot_fdb_add, 0xb1e4005d, "");
SYMBOL_CRC(ocelot_fdb_del, 0x8a90ae39, "");
SYMBOL_CRC(ocelot_mact_flush, 0x4e76e93b, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0x3bbbecd5, "");
SYMBOL_CRC(ocelot_bond_get_id, 0xe114b64c, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x401742b6, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0xba0b0409, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0x07812633, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0x8f2f04ea, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0x6adec8e4, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0x18aad5da, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0x878adb79, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0xe4badb6a, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0x01b7e016, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x77a373a0, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0x2f248fb8, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0xa4316864, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0x989d59d1, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0xcc10637f, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x71edf04b, "");
SYMBOL_CRC(ocelot_port_lag_change, 0xdc426003, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0x8fe53370, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x5ad74af2, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0x2ed2d146, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x28c5cd4b, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x5a3a57ed, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x9b237dec, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0xf278a506, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0x5a7eb0e0, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0x2301c348, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0xe1c508a4, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x542d7920, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0xbfd3bf71, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0xf1a5ebe7, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0x1cd9df6e, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x6dca3bfd, "");
SYMBOL_CRC(ocelot_reset, 0xe445e8ef, "");
SYMBOL_CRC(ocelot_init, 0x03c5e107, "");
SYMBOL_CRC(ocelot_deinit, 0xe4a0c5e0, "");
SYMBOL_CRC(ocelot_deinit_port, 0x66197d28, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0x2f283ecc, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0xaeff49e2, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0x6c53125b, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x4c70d298, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x41e1d7cf, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x2fc9974b, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x49cbe0ff, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0xc5ea0a1d, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0x456616ba, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x3b8a607e, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x574726a2, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0xce5121df, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x66819f19, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0xf0767974, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0x49762f8b, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0x39e3b8be, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0xdb97b06d, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0xde5a2ff4, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0xa1335191, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0xd4199f12, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0xce24f70c, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0xb8173a0b, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0xcdf37d3d, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x74769e7b, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x84f75260, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x2e3ca172, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x8af40e24, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x6e2a7937, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x762a7147, "");
SYMBOL_CRC(ocelot_port_policer_del, 0xd489f558, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x65425b2f, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x3fded7f4, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0x64dfc950, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0xed3bca06, "");
SYMBOL_CRC(ocelot_ptp_verify, 0xadae951f, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x5c72596f, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0xfd661820, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0xb2599120, "");
SYMBOL_CRC(ocelot_get_ts_info, 0xc6d14dc5, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0x47d8f4e1, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0xd08bba42, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x247c0353, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0xa12ac197, "");
SYMBOL_CRC(ocelot_get_strings, 0xa4476cfa, "");
SYMBOL_CRC(ocelot_get_sset_count, 0xeb0e751c, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0xfedb5de4, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0xd038260d, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0x3422cee9, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x4d73220c, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x9cd7845d, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x1afc24bf, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x02cfd15a, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x11f04019, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0xd93847d2, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x71adc2b3, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0xa4653d10, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x2d4f901d, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0xd345d2d1, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0xd15c0c5a, "");
SYMBOL_CRC(ocelot_mrp_del, 0x54bf3fde, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x3bcc94c5, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0x654420d0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x961c1c25, "flow_rule_match_ipv4_addrs" },
	{ 0x6a569be0, "regmap_field_update_bits_base" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa7b93942, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x708f35f7, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x2703936a, "skb_queue_purge_reason" },
	{ 0x1b37fc87, "ptp_find_pin" },
	{ 0x67fd206a, "eth_type_trans" },
	{ 0xe3f92f73, "ethtool_aggregate_pause_stats" },
	{ 0xf7ff3973, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa7a10c69, "regmap_fields_read" },
	{ 0x69ab78a5, "skb_queue_tail" },
	{ 0xd7747421, "regmap_field_read" },
	{ 0xc7e6d2a3, "devm_regmap_field_alloc" },
	{ 0x83bd1acd, "ptp_classify_raw" },
	{ 0x1f7f899e, "flow_rule_match_basic" },
	{ 0x3234f29a, "__dev_get_by_index" },
	{ 0xae45ba72, "devm_kfree" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x88c90f90, "ptp_clock_register" },
	{ 0x87a21c1a, "netif_set_real_num_tx_queues" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0x9b0a9cb0, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x71a170c, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0xf53bf9b8, "flow_rule_match_ports" },
	{ 0xdaf342d3, "__devm_regmap_init_mmio_clk" },
	{ 0x93d9de94, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1b59ddef, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd77cc5f3, "ptp_clock_unregister" },
	{ 0x3181ec09, "__netdev_alloc_skb" },
	{ 0x8b1aaa53, "of_phy_get" },
	{ 0x3692fc3, "phy_set_mode_ext" },
	{ 0x6b1b4255, "netdev_reset_tc" },
	{ 0xdbd7cf30, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xafc55236, "devm_ioremap_resource" },
	{ 0x12fa5365, "ethtool_aggregate_rmon_stats" },
	{ 0xf285b57c, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfa076465, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfd951c44, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x34aae242, "netdev_set_num_tc" },
	{ 0xefbf157d, "regmap_update_bits_base" },
	{ 0x2ae5a52b, "dev_err_probe" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0xa2adfc3c, "dev_kfree_skb_any_reason" },
	{ 0xcb48bd90, "devlink_sb_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb78db39a, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x6e42b313, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3caded41, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xb8ecf929, "skb_put" },
	{ 0x7afb76ff, "skb_tstamp_tx" },
	{ 0xfe1ee508, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe2e6119d, "skb_clone_sk" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x2a988cdb, "regmap_fields_update_bits_base" },
	{ 0xb0de9680, "flow_rule_match_eth_addrs" },
	{ 0xc9efcd5b, "ptp_clock_index" },
	{ 0x82672238, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "F1EC45826B5C2D56912F4B7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
