#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(lbtf_debug, "_gpl", "");
KSYMTAB_FUNC(lbtf_rx, "_gpl", "");
KSYMTAB_FUNC(lbtf_add_card, "_gpl", "");
KSYMTAB_FUNC(lbtf_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbtf_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbtf_bcn_sent, "_gpl", "");
KSYMTAB_FUNC(lbtf_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(__lbtf_cmd, "_gpl", "");
KSYMTAB_FUNC(lbtf_cmd_response_rx, "_gpl", "");

SYMBOL_CRC(lbtf_debug, 0xc85e6899, "_gpl");
SYMBOL_CRC(lbtf_rx, 0x94b07682, "_gpl");
SYMBOL_CRC(lbtf_add_card, 0xc7b584f3, "_gpl");
SYMBOL_CRC(lbtf_remove_card, 0xe1a6a6f0, "_gpl");
SYMBOL_CRC(lbtf_send_tx_feedback, 0xe13b915d, "_gpl");
SYMBOL_CRC(lbtf_bcn_sent, 0xa588a421, "_gpl");
SYMBOL_CRC(lbtf_cmd_copyback, 0xb6aaa3bc, "_gpl");
SYMBOL_CRC(__lbtf_cmd, 0xc4ff48a6, "_gpl");
SYMBOL_CRC(lbtf_cmd_response_rx, 0xb3b412b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5afa91c2, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8f5ca622, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xde18847f, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0x69ab78a5, "skb_queue_tail" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x20d27b50, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8b36dbea, "skb_push" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x46adcac4, "ieee80211_wake_queues" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x79b2fa8d, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb0964e68, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5a20cd12, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x12f35941, "ieee80211_beacon_get_tim" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0xa2adfc3c, "dev_kfree_skb_any_reason" },
	{ 0xefae9c6e, "param_ops_int" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xb10f7e83, "ieee80211_rx_irqsafe" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd5facee9, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb1f6c912, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf2be1d54, "ieee80211_register_hw" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "mac80211");


MODULE_INFO(srcversion, "4A51E9719BCB06B61B33D4B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
