#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_get_nic_capability, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_check_aggr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_he_radiotap, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0x8b7cf305, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0x04f2e460, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0xc2206703, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0xf54f694a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0x06fd79a0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0xc7412df7, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0xd0947c16, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0xb01a7065, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0x3c441511, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0x945cd7dc, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0xc92e7a35, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0x5ff684bb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0x994c1511, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0x1e7c53d2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0x3402a96c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0x2288edf1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0x197c7439, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0x45115b50, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0xbc54c397, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0x4d661ef5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0x6c5521fc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0x180cbb36, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0x687f8d56, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0x8e513e7f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0x836521fe, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0x4a53bbdf, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0xc4371abe, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0x43698671, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0xf850936c, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0xf37fb560, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0xfee24d0b, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0xc2c64510, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0x307ff331, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0x587f046e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0x7ff7942c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0x6e27a079, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0x1304910d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0x15e9016e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0x89e3f61e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0x669cfd30, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0x8efc9c13, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0x67bdbd34, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_get_nic_capability, 0x526d035f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0x9f68b49e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0x69ddfc74, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0xbd28be15, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0xe498e340, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0x88fd7551, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0x7d1a0f0d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0xce049971, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0x7ddef0de, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0xddff75d5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0x5b543333, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0xc2c74d96, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0xc995ad79, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0xdba422fa, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0x2e359c39, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0x13b47c43, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0xeb05e877, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0x24d2e593, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0x4dea4fc3, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0x01f360fa, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0x409ff686, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0x88579465, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0x619c2514, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0x3ad03b22, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0x4e19b4b0, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0xdb3a3308, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0x1951848d, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0xc4cef8e8, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0xa6c807e4, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0xaeee6904, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0x7fdefca9, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0xc21bcf43, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0x3fd182cf, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0xc6ea23aa, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0xa9ca2ed1, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0x1da81c38, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0xb6022a21, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0xd75c87c4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb8ecf929, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbd02c843, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x865a5923, "mt76_tx_status_skb_get" },
	{ 0x1daba169, "mt76_tx_status_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdfe4cc80, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x15659ec3, "request_firmware" },
	{ 0xe26f9b19, "mt76_get_rate" },
	{ 0xad8fc260, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd3874df9, "ieee80211_beacon_loss" },
	{ 0x703482c5, "__mt76_tx_complete_skb" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x826a9428, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe90c6244, "wake_up_process" },
	{ 0xa30678ec, "ieee80211_find_sta" },
	{ 0x9db233d0, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf7f6d3e6, "mt76_tx" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0x3aa5ddf, "mt76_init_queue" },
	{ 0xd76406b8, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x20d27b50, "skb_pull" },
	{ 0x13b30c22, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8b36dbea, "skb_push" },
	{ 0x46adcac4, "ieee80211_wake_queues" },
	{ 0x1e713251, "mt76_mcu_send_and_get_msg" },
	{ 0xe6c17174, "ieee80211_iter_keys_rcu" },
	{ 0xb4afc19b, "__mt76_mcu_msg_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x526c27b5, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb0964e68, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4eb45f99, "mt76_get_rate_power_limits" },
	{ 0xc8b7e21a, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc0309420, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcc028a39, "mt76_put_txwi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xa2adfc3c, "dev_kfree_skb_any_reason" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2daaaca1, "mt76_tx_status_unlock" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "063EA54E9730DC9CD572211");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
