#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85a3cd4, "mt76x2_mcu_set_channel" },
	{ 0xea01c743, "mt76x02_dma_disable" },
	{ 0xf2b14015, "mt76x02_mcu_set_radio_state" },
	{ 0x40661bcd, "mt76_wake_tx_queue" },
	{ 0xeef196ab, "mt76x02e_init_beacon_config" },
	{ 0xdfc8beb3, "mt76_get_antenna" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0xfe7add2f, "mt76_set_stream_caps" },
	{ 0xa0f3ea60, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3fd145c1, "pci_set_power_state" },
	{ 0x8484b8b7, "mt76x02_sta_ps" },
	{ 0xdf7aee98, "mt76x2_set_sar_specs" },
	{ 0xe9e8f0eb, "mt76x02_sta_rate_tbl_update" },
	{ 0xd49ef86d, "kthread_park" },
	{ 0xc027c0b7, "mt76_dma_cleanup" },
	{ 0x9c2a59be, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa36d18f0, "mt76x02_reconfig_complete" },
	{ 0xc1f508b, "mt76_alloc_device" },
	{ 0xe90c6244, "wake_up_process" },
	{ 0xe2ba8eac, "mt76x02_mac_shared_key_setup" },
	{ 0xfd7f748f, "mt76x02_ext_pa_enabled" },
	{ 0x487c7b7c, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd6928f58, "mt76x2_mac_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbc366df, "mt76x02_set_tx_ackto" },
	{ 0x7c0173e0, "mt76x02_update_channel" },
	{ 0x27992f70, "__napi_schedule" },
	{ 0x58b6d3f6, "mt76x2_configure_tx_delay" },
	{ 0x8a251145, "mt76_pci_disable_aspm" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0xbebc4125, "mt76x02_configure_filter" },
	{ 0xbf92e5f6, "mt76_free_device" },
	{ 0x6cdb86f8, "mt76x02_queue_rx_skb" },
	{ 0x8e31ec36, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xaee26f2f, "pcim_iomap_regions" },
	{ 0xad82859, "ieee80211_queue_delayed_work" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0xd42e81ef, "mt76x02_rx_poll_complete" },
	{ 0xcfc7d284, "mt76x02_mac_setaddr" },
	{ 0xe82cd13, "mt76_register_device" },
	{ 0x7edc8c1c, "mt76_set_tim" },
	{ 0x127b96a, "mt76x02_sw_scan_complete" },
	{ 0x5fa2c43b, "mt76x02_phy_set_bw" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2834e9b9, "mt76x02_phy_set_band" },
	{ 0x16d21f86, "mt76_set_channel" },
	{ 0x7f380e, "mt76x02_init_device" },
	{ 0x3bd39a13, "napi_enable" },
	{ 0xb53e6ea4, "mt76x02_tx" },
	{ 0x453b3f2d, "mt76_mmio_init" },
	{ 0x46adcac4, "ieee80211_wake_queues" },
	{ 0xf721fa9a, "mt76x02_sta_remove" },
	{ 0x52b20613, "mt76x02_edcca_init" },
	{ 0xe289cb5b, "mt76x2_eeprom_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xef877797, "mt76x02_sta_add" },
	{ 0xf8b67eaa, "mt76_unregister_device" },
	{ 0x34c48470, "mt76x2_mcu_load_cr" },
	{ 0x2aa4a7cf, "pci_restore_state" },
	{ 0xb07a2c4b, "mt76x2_init_txpower" },
	{ 0xd1eb8feb, "mt76x02_init_debugfs" },
	{ 0x2003cd88, "mt76_get_survey" },
	{ 0xa2ad90, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3147c10b, "mt76x2_mcu_init_gain" },
	{ 0x21e21be7, "mt76x02_set_rts_threshold" },
	{ 0xce2c198a, "mt76x02_tx_complete_skb" },
	{ 0x1667d785, "mt76_sta_state" },
	{ 0x54429e05, "mt76x02_mcu_msg_send" },
	{ 0xef409752, "mt76x2_phy_tssi_compensate" },
	{ 0xb0964e68, "ieee80211_stop_queues" },
	{ 0xe12df3a8, "mt76x02_mac_cc_reset" },
	{ 0x4fa60b61, "mt76x02_bss_info_changed" },
	{ 0x426cf2ee, "mt76x02_init_agc_gain" },
	{ 0x2b1c360f, "mt76x2_phy_update_channel_gain" },
	{ 0xc4c9936f, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x780632c5, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2ceec655, "mt76x02_add_interface" },
	{ 0x71f7b77b, "____mt76_poll_msec" },
	{ 0xd795876b, "mt76x02_dfs_init_params" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9879392e, "mt76x02_config_mac_addr_list" },
	{ 0xc0309420, "mt76_get_sar_power" },
	{ 0x8b93e997, "mt76x02_tx_prepare_skb" },
	{ 0x97bf9f7a, "mt76x02_mcu_cleanup" },
	{ 0x23f68cdb, "mt76x02_ampdu_action" },
	{ 0xe018e60a, "mt76x02_mcu_calibrate" },
	{ 0x2da4012a, "mt76x02_conf_tx" },
	{ 0xe96e385b, "mt76x02_mcu_function_select" },
	{ 0x8f126d92, "dma_set_mask" },
	{ 0xbbdfeaf9, "mt76_sw_scan" },
	{ 0x647e9afe, "mt76_sta_pre_rcu_remove" },
	{ 0x4b1d5fa2, "pcim_iomap_table" },
	{ 0x2d0a9ec5, "mt76x2_get_temp_comp" },
	{ 0xeee4c661, "mt76x02_mac_wcid_setup" },
	{ 0xa5f789ed, "napi_schedule_prep" },
	{ 0x5930fa1a, "napi_disable" },
	{ 0xe82df8cd, "__mt76_poll" },
	{ 0x59e37e5d, "mt76x2_read_rx_gain" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xc827d0bb, "pcim_enable_device" },
	{ 0xddc624f9, "mt76x2_phy_set_txpower_regs" },
	{ 0xa0c69986, "mt76x2_phy_set_txpower" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf73df8d3, "mt76x02_mac_start" },
	{ 0xc91e7ade, "mt76x02_remove_interface" },
	{ 0x6520f9ec, "mt76x02_dma_init" },
	{ 0xb94c421e, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb312b921, "devm_request_threaded_irq" },
	{ 0x77c4f12e, "pci_choose_state" },
	{ 0xbc0f877b, "mt76x02_set_ethtool_fwver" },
	{ 0xb369e008, "mt76x02_tx_set_txpwr_auto" },
	{ 0x6b7beacf, "mt76x02_set_key" },
	{ 0xd38915b5, "mt76x02_mcu_parse_response" },
	{ 0x87311092, "mt76_release_buffered_frames" },
	{ 0x15659ec3, "request_firmware" },
	{ 0x3df69d24, "mt76_get_txpower" },
	{ 0x855dcb78, "__pci_register_driver" },
	{ 0x24241729, "mt76_write_mac_initvals" },
	{ 0xf721bbc7, "mt76x2_reset_wlan" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211");

MODULE_ALIAS("pci:v000014C3d00007662sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007612sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007602sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F27838563C06DA6D82A9F81");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
