#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24241729, "mt76_write_mac_initvals" },
	{ 0xf721bbc7, "mt76x2_reset_wlan" },
	{ 0x85a3cd4, "mt76x2_mcu_set_channel" },
	{ 0xf2b14015, "mt76x02_mcu_set_radio_state" },
	{ 0x40661bcd, "mt76_wake_tx_queue" },
	{ 0xdfc8beb3, "mt76_get_antenna" },
	{ 0xa0f3ea60, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8484b8b7, "mt76x02_sta_ps" },
	{ 0xdf7aee98, "mt76x2_set_sar_specs" },
	{ 0x2d280b38, "mt76u_resume_rx" },
	{ 0xe9e8f0eb, "mt76x02_sta_rate_tbl_update" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc1f508b, "mt76_alloc_device" },
	{ 0xe2ba8eac, "mt76x02_mac_shared_key_setup" },
	{ 0xfd7f748f, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd6928f58, "mt76x2_mac_stop" },
	{ 0xb778077, "usb_put_dev" },
	{ 0xfc1f2c28, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7c0173e0, "mt76x02_update_channel" },
	{ 0x58b6d3f6, "mt76x2_configure_tx_delay" },
	{ 0xe1601724, "usb_get_dev" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0xbebc4125, "mt76x02_configure_filter" },
	{ 0xbf92e5f6, "mt76_free_device" },
	{ 0x6cdb86f8, "mt76x02_queue_rx_skb" },
	{ 0xc51c542a, "mt76u_queues_deinit" },
	{ 0xad82859, "ieee80211_queue_delayed_work" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0xac6f7210, "mt76x02u_mcu_fw_reset" },
	{ 0xcfc7d284, "mt76x02_mac_setaddr" },
	{ 0xe82cd13, "mt76_register_device" },
	{ 0x7edc8c1c, "mt76_set_tim" },
	{ 0x127b96a, "mt76x02_sw_scan_complete" },
	{ 0x5fa2c43b, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2834e9b9, "mt76x02_phy_set_band" },
	{ 0x16d21f86, "mt76_set_channel" },
	{ 0x7f380e, "mt76x02_init_device" },
	{ 0xb53e6ea4, "mt76x02_tx" },
	{ 0x46adcac4, "ieee80211_wake_queues" },
	{ 0x6233670a, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xf721fa9a, "mt76x02_sta_remove" },
	{ 0x93563614, "mt76x02_phy_set_rxpath" },
	{ 0x52b20613, "mt76x02_edcca_init" },
	{ 0xbee2df19, "usb_deregister" },
	{ 0x603ce723, "mt76x02_tx_status_data" },
	{ 0xef877797, "mt76x02_sta_add" },
	{ 0x34c48470, "mt76x2_mcu_load_cr" },
	{ 0xb07a2c4b, "mt76x2_init_txpower" },
	{ 0xdeb7ca75, "mt76x02u_mcu_fw_send_data" },
	{ 0x1a48f0f5, "mt76u_init" },
	{ 0x2003cd88, "mt76_get_survey" },
	{ 0xd1eb8feb, "mt76x02_init_debugfs" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0x7038a06d, "mt76x02u_init_mcu" },
	{ 0xb01de42d, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3147c10b, "mt76x2_mcu_init_gain" },
	{ 0x1667d785, "mt76_sta_state" },
	{ 0xef409752, "mt76x2_phy_tssi_compensate" },
	{ 0xb0964e68, "ieee80211_stop_queues" },
	{ 0xbc4b2de1, "mt76x02u_mac_start" },
	{ 0xe12df3a8, "mt76x02_mac_cc_reset" },
	{ 0x4fa60b61, "mt76x02_bss_info_changed" },
	{ 0x426cf2ee, "mt76x02_init_agc_gain" },
	{ 0x2b1c360f, "mt76x2_phy_update_channel_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x780632c5, "mt76_txq_schedule_all" },
	{ 0xe879813, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2b7ec677, "mt76u_stop_tx" },
	{ 0x36883379, "mt76x02u_init_beacon_config" },
	{ 0x5a20cd12, "ieee80211_unregister_hw" },
	{ 0x19c1a591, "mt76u_vendor_request" },
	{ 0x2ceec655, "mt76x02_add_interface" },
	{ 0x71f7b77b, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc0309420, "mt76_get_sar_power" },
	{ 0xcac0373e, "mt76u_stop_rx" },
	{ 0x23f68cdb, "mt76x02_ampdu_action" },
	{ 0xe018e60a, "mt76x02_mcu_calibrate" },
	{ 0x2da4012a, "mt76x02_conf_tx" },
	{ 0xe96e385b, "mt76x02_mcu_function_select" },
	{ 0xbbdfeaf9, "mt76_sw_scan" },
	{ 0x647e9afe, "mt76_sta_pre_rcu_remove" },
	{ 0xeee4c661, "mt76x02_mac_wcid_setup" },
	{ 0xe82df8cd, "__mt76_poll" },
	{ 0x59e37e5d, "mt76x2_read_rx_gain" },
	{ 0xddc624f9, "mt76x2_phy_set_txpower_regs" },
	{ 0xa0c69986, "mt76x2_phy_set_txpower" },
	{ 0xc0b98239, "mt76x02_phy_set_txdac" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc91e7ade, "mt76x02_remove_interface" },
	{ 0xdafae1f, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xbc0f877b, "mt76x02_set_ethtool_fwver" },
	{ 0x6b7beacf, "mt76x02_set_key" },
	{ 0x87311092, "mt76_release_buffered_frames" },
	{ 0x15659ec3, "request_firmware" },
	{ 0x3d77f925, "usb_register_driver" },
	{ 0x3df69d24, "mt76_get_txpower" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mt76-usb,usbcore,mac80211,mt76x02-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "73FCE8CA70B6D4A42CDDF23");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
