#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_get_txpwr_cr, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ppdu_status, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_write_xtal_si, "", "");
KSYMTAB_FUNC(rtw89_mac_read_xtal_si, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit_ru, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x79730216, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x944202f3, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x68e3c1dd, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x4834d651, "");
SYMBOL_CRC(rtw89_core_rx, 0xbd4024b0, "");
SYMBOL_CRC(rtw89_core_napi_start, 0x4042bd9e, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0xc94acfbd, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x3bd3ae31, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x0b42932f, "");
SYMBOL_CRC(rtw89_core_init, 0x93258383, "");
SYMBOL_CRC(rtw89_core_deinit, 0x7be21871, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xff70c0b4, "");
SYMBOL_CRC(rtw89_core_register, 0xaf56ef37, "");
SYMBOL_CRC(rtw89_core_unregister, 0x2ce6df09, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x612e83b5, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0xdec4af2b, "");
SYMBOL_CRC(rtw89_ops, 0x7d562aa8, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xe6c1bf42, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x4463d1ab, "");
SYMBOL_CRC(rtw89_mac_size, 0x9ac85705, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x90e8fa1e, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xfad745ee, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x213e9971, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x8f136a34, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x32d49aa1, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x9c39d6e6, "");
SYMBOL_CRC(rtw89_mac_get_txpwr_cr, 0x8b9b376c, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0xa9f63361, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x97bb0b26, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x2418f462, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0xf66b56a6, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x81c96c5c, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x05bf0d00, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x6dd653b3, "");
SYMBOL_CRC(rtw89_mac_write_xtal_si, 0x1c6a004b, "");
SYMBOL_CRC(rtw89_mac_read_xtal_si, 0xe18d7b99, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xb412b016, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x7b4cb48a, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x44c86897, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x3c5164bf, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0xbf22e55c, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x06261a8d, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x08a29af2, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x5f81d525, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0xf001b013, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x148e7d5e, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x77c83dc8, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x39288662, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_byrate, 0x2123be23, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_offset, 0xc261f949, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit, 0x8340f84b, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit_ru, 0xf624f87e, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x9f71910d, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x79ab2d52, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x7f34a13b, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x1d16f208, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x63f14d32, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0xa14d708b, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0xadaf0410, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x1d6350a5, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x074aab16, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x458d44bd, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0xb446dc91, "");
SYMBOL_CRC(rtw89_ser_notify, 0x65533d5e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad82859, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x27156ba7, "ieee80211_next_txq" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3ebbc3d8, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8b36dbea, "skb_push" },
	{ 0x3bd39a13, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x46adcac4, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe6c17174, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xec05a045, "ieee80211_free_txskb" },
	{ 0x20b349cd, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x79b2fa8d, "ieee80211_alloc_hw_nm" },
	{ 0x87b056ac, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3181ec09, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x75d9e9cb, "ieee80211_ready_on_channel" },
	{ 0xb0964e68, "ieee80211_stop_queues" },
	{ 0x9d1a2926, "skb_unlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc8b7e21a, "ieee80211_scan_completed" },
	{ 0x7734cad1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc05a376a, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5a20cd12, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3eb183a5, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x12f35941, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x30723cfe, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x2ae2b66a, "ieee80211_cqm_rssi_notify" },
	{ 0xaa0dc2ab, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x2290e47c, "ieee80211_queue_work" },
	{ 0xa5f789ed, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x5930fa1a, "napi_disable" },
	{ 0xa2adfc3c, "dev_kfree_skb_any_reason" },
	{ 0xdfa74d89, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb411179, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbebd3130, "ieee80211_stop_tx_ba_session" },
	{ 0xa47ff7b4, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb146456e, "ieee80211_connection_loss" },
	{ 0xb6e33580, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa106451f, "__ieee80211_schedule_txq" },
	{ 0xdff5208a, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x2365ecbc, "cfg80211_bss_iter" },
	{ 0xb8ecf929, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbd02c843, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xab174dfb, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb1f6c912, "ieee80211_free_hw" },
	{ 0x3234cdc8, "ieee80211_probereq_get" },
	{ 0x6f5d94e1, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x15659ec3, "request_firmware" },
	{ 0x8c24ff78, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xad8fc260, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb48f4cf3, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xbf2a784e, "ieee80211_nullfunc_get" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0xcc12fc1e, "ieee80211_pspoll_get" },
	{ 0xf2be1d54, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe1cb6a8a, "ieee80211_restart_hw" },
	{ 0xfa4a7ba1, "__netif_napi_del" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3a9f6b18, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa30678ec, "ieee80211_find_sta" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x27992f70, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0x69ab78a5, "skb_queue_tail" },
	{ 0xc83c0634, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x47c8cb10, "wiphy_to_ieee80211_hw" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "574F37FC8F8AFF2121393AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
