#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x2aba8c3d, "");
SYMBOL_CRC(ntb_unregister_client, 0xedf76c93, "");
SYMBOL_CRC(ntb_register_device, 0xe986e4f1, "");
SYMBOL_CRC(ntb_unregister_device, 0x8d892cb1, "");
SYMBOL_CRC(ntb_set_ctx, 0x732b0685, "");
SYMBOL_CRC(ntb_clear_ctx, 0x21064e8f, "");
SYMBOL_CRC(ntb_link_event, 0x0bce2db0, "");
SYMBOL_CRC(ntb_db_event, 0xe9cf437c, "");
SYMBOL_CRC(ntb_msg_event, 0xab54b8a8, "");
SYMBOL_CRC(ntb_default_port_number, 0x6fd31c76, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0xc1433008, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0xb4682b25, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x99c20b83, "");
SYMBOL_CRC(ntb_msi_init, 0xfa0d5830, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x8c88f6dd, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x458314b4, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xcac8046d, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xa3f524d8, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x424aa2be, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x4579227b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbef5db1d, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x495f4df8, "devm_iounmap" },
	{ 0xc9da4256, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x95888f1d, "devres_destroy" },
	{ 0x31f6e615, "msi_unlock_descs" },
	{ 0x8a4d33a9, "devm_ioremap" },
	{ 0x7565bde, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x34a2f052, "msi_lock_descs" },
	{ 0xafb10446, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x750e9dfa, "put_device" },
	{ 0x94d0142c, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0xae45ba72, "devm_kfree" },
	{ 0x10e1c44e, "irq_get_irq_data" },
	{ 0xab6b91eb, "__devres_alloc_node" },
	{ 0xb03f4b43, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd54a82d2, "device_register" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa29e4b25, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x2616440c, "msi_next_desc" },
	{ 0x4ff1a014, "driver_register" },
	{ 0x38ee4522, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0xb312b921, "devm_request_threaded_irq" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
