#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(srp_tmo_valid, "_gpl", "");
KSYMTAB_FUNC(srp_parse_tmo, "", "");
KSYMTAB_FUNC(srp_start_tl_fail_timers, "", "");
KSYMTAB_FUNC(srp_reconnect_rport, "", "");
KSYMTAB_FUNC(srp_timed_out, "", "");
KSYMTAB_FUNC(srp_rport_get, "", "");
KSYMTAB_FUNC(srp_rport_put, "", "");
KSYMTAB_FUNC(srp_rport_add, "_gpl", "");
KSYMTAB_FUNC(srp_rport_del, "_gpl", "");
KSYMTAB_FUNC(srp_remove_host, "_gpl", "");
KSYMTAB_FUNC(srp_stop_rport_timers, "_gpl", "");
KSYMTAB_FUNC(srp_attach_transport, "_gpl", "");
KSYMTAB_FUNC(srp_release_transport, "_gpl", "");

SYMBOL_CRC(srp_tmo_valid, 0x1902178a, "_gpl");
SYMBOL_CRC(srp_parse_tmo, 0x405b6e05, "");
SYMBOL_CRC(srp_start_tl_fail_timers, 0x2c9e5f71, "");
SYMBOL_CRC(srp_reconnect_rport, 0x10996b1f, "");
SYMBOL_CRC(srp_timed_out, 0x58dc489f, "");
SYMBOL_CRC(srp_rport_get, 0xa2fd0144, "");
SYMBOL_CRC(srp_rport_put, 0xc89f428f, "");
SYMBOL_CRC(srp_rport_add, 0xad335be0, "_gpl");
SYMBOL_CRC(srp_rport_del, 0xdd10ac52, "_gpl");
SYMBOL_CRC(srp_remove_host, 0x9c91cd67, "_gpl");
SYMBOL_CRC(srp_stop_rport_timers, 0xf3d869ac, "_gpl");
SYMBOL_CRC(srp_attach_transport, 0xbbceca71, "_gpl");
SYMBOL_CRC(srp_release_transport, 0xaebae8ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfc0b6cb6, "transport_class_register" },
	{ 0xad89102a, "transport_class_unregister" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcb72b9fe, "device_initialize" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbef5db1d, "dev_set_name" },
	{ 0x6d0fac66, "transport_setup_device" },
	{ 0x4551bea, "device_add" },
	{ 0xfa282dab, "transport_add_device" },
	{ 0x4dc67b8e, "transport_configure_device" },
	{ 0x7a1b32a4, "attribute_container_register" },
	{ 0xfbc292da, "attribute_container_unregister" },
	{ 0x8e998bb2, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28b34ee, "scsi_target_unblock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc995828e, "scsi_block_targets" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7822f7ad, "__scsi_iterate_devices" },
	{ 0xd67ac705, "_dev_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ec75463, "device_for_each_child" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x750e9dfa, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x7565bde, "get_device" },
	{ 0xe04d378a, "transport_remove_device" },
	{ 0xc859d884, "device_del" },
	{ 0xfc155a2e, "transport_destroy_device" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "B81F578C8A9A5FA95AB73FF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
