#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0xedd6aaff, "");
SYMBOL_CRC(ssb_bus_suspend, 0x719fe051, "");
SYMBOL_CRC(ssb_bus_unregister, 0xd71c6005, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0xece51f38, "");
SYMBOL_CRC(__ssb_driver_register, 0xeda1e8bc, "");
SYMBOL_CRC(ssb_driver_unregister, 0xc3438470, "");
SYMBOL_CRC(ssb_set_devtypedata, 0x6b7ad295, "");
SYMBOL_CRC(ssb_clockspeed, 0x4eb6e055, "");
SYMBOL_CRC(ssb_device_is_enabled, 0x2a403251, "");
SYMBOL_CRC(ssb_device_enable, 0xc30fe66c, "");
SYMBOL_CRC(ssb_device_disable, 0x33d2e7c0, "");
SYMBOL_CRC(ssb_dma_translation, 0xbde6f9c0, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0x81acd67e, "");
SYMBOL_CRC(ssb_bus_powerup, 0xf3e54566, "");
SYMBOL_CRC(ssb_commit_settings, 0x4e8df76b, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0x8116754c, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x0301097f, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0x37c53846, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0xbcafb29d, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0x9efb643d, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x039492f7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x91a10294, "device_create_file" },
	{ 0x1df37020, "sdio_readsb" },
	{ 0x4df7649f, "gpiochip_get_data" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc8deb5f7, "pcmcia_request_window" },
	{ 0x1279c7e1, "pci_read_config_word" },
	{ 0x611209ea, "sdio_readl" },
	{ 0xb03f4b43, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd0871515, "pcmcia_write_config_byte" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc90dade5, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd54a82d2, "device_register" },
	{ 0x2aa4a7cf, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x32ccf505, "sdio_writel" },
	{ 0xa2ad90, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xff562768, "gpiochip_add_data_with_key" },
	{ 0xac6d20a, "_dev_emerg" },
	{ 0xf1cdea9f, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb251676f, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4152c64b, "pci_disable_device" },
	{ 0x299a7a8a, "sdio_writesb" },
	{ 0x730434aa, "pcmcia_read_config_byte" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x87c485de, "pcmcia_register_driver" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x213e667c, "pci_write_config_word" },
	{ 0x969b20da, "pcmcia_loop_tuple" },
	{ 0x1c06fc91, "pcmcia_enable_device" },
	{ 0x4ff1a014, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x63ba491f, "pci_write_config_dword" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xe256ec76, "device_remove_file" },
	{ 0x38ee4522, "bus_register" },
	{ 0xaa7f1e89, "sdio_readb" },
	{ 0x4916ede1, "sdio_writeb" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb94c421e, "pci_save_state" },
	{ 0x5fe3d2b, "sdio_release_host" },
	{ 0xa47ff7b4, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe37a05a3, "pci_enable_device" },
	{ 0xb8f2faf5, "pcmcia_disable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xbef5db1d, "dev_set_name" },
	{ 0x79fe098b, "sdio_claim_host" },
	{ 0x525d7f72, "pci_iomap" },
	{ 0x4cf98058, "sdio_readw" },
	{ 0xc9da4256, "device_unregister" },
	{ 0x304b4630, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x855dcb78, "__pci_register_driver" },
	{ 0x3e9ada5a, "pcmcia_unregister_driver" },
	{ 0xaf3d3b0f, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0xbae56253, "pcmcia_map_mem_page" },
	{ 0x30e8756f, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xa3cc1377, "sdio_writew" },
	{ 0x7565bde, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0x9c2a59be, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77ed60e0, "dev_driver_string" },
	{ 0x5ed76816, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x750e9dfa, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,pcmcia");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");
MODULE_ALIAS("pcmcia:m02D0c0448f*fn*pfn*pa*pb*pc*pd*");
MODULE_ALIAS("pcmcia:m02D0c0476f*fn*pfn*pa*pb*pc*pd*");

MODULE_INFO(srcversion, "5E73D25B6751B9F3FA62302");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
