#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(dot11d_init, "", "");
KSYMTAB_FUNC(dot11d_channel_map, "", "");
KSYMTAB_DATA(rt_global_debug_component, "", "");
KSYMTAB_FUNC(alloc_rtllib, "", "");
KSYMTAB_FUNC(free_rtllib, "", "");
KSYMTAB_FUNC(rtllib_rx, "", "");
KSYMTAB_FUNC(rtllib_legal_channel, "", "");
KSYMTAB_FUNC(rtllib_xmit, "", "");
KSYMTAB_FUNC(rtllib_wx_get_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mlme, "", "");
KSYMTAB_FUNC(rtllib_wx_set_auth, "", "");
KSYMTAB_FUNC(rtllib_wx_set_gen_ie, "", "");
KSYMTAB_FUNC(rtllib_EnableIntelPromiscuousMode, "", "");
KSYMTAB_FUNC(rtllib_DisableIntelPromiscuousMode, "", "");
KSYMTAB_FUNC(rtllib_stop_send_beacons, "", "");
KSYMTAB_FUNC(rtllib_start_send_beacons, "", "");
KSYMTAB_FUNC(rtllib_stop_scan, "", "");
KSYMTAB_FUNC(rtllib_stop_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_act_scanning, "", "");
KSYMTAB_FUNC(rtllib_start_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_sta_ps_send_null_frame, "", "");
KSYMTAB_FUNC(rtllib_ps_tx_ack, "", "");
KSYMTAB_FUNC(rtllib_reset_queue, "", "");
KSYMTAB_FUNC(rtllib_get_beacon, "", "");
KSYMTAB_FUNC(rtllib_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(rtllib_softmac_start_protocol, "", "");
KSYMTAB_FUNC(rtllib_MgntDisconnect, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event, "", "");
KSYMTAB_FUNC(rtllib_wx_set_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_set_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_get_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_get_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rawtx, "", "");
KSYMTAB_FUNC(rtllib_wx_get_name, "", "");
KSYMTAB_FUNC(rtllib_wx_set_power, "", "");
KSYMTAB_FUNC(rtllib_wx_get_power, "", "");
KSYMTAB_FUNC(HT_update_self_and_peer_setting, "", "");
KSYMTAB_FUNC(RemovePeerTS, "", "");

SYMBOL_CRC(dot11d_init, 0x750fe6a5, "");
SYMBOL_CRC(dot11d_channel_map, 0x437f9275, "");
SYMBOL_CRC(rt_global_debug_component, 0x22166084, "");
SYMBOL_CRC(alloc_rtllib, 0xf208d4af, "");
SYMBOL_CRC(free_rtllib, 0xabced8ad, "");
SYMBOL_CRC(rtllib_rx, 0x0c261522, "");
SYMBOL_CRC(rtllib_legal_channel, 0x3194a0db, "");
SYMBOL_CRC(rtllib_xmit, 0xc64efc77, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0x3e7abf7c, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0x1ece7262, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0x069755bc, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0xbef06115, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0x74d5aed9, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0x81218815, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0xfd6b59ca, "");
SYMBOL_CRC(rtllib_EnableIntelPromiscuousMode, 0xbc985628, "");
SYMBOL_CRC(rtllib_DisableIntelPromiscuousMode, 0x9831007c, "");
SYMBOL_CRC(rtllib_stop_send_beacons, 0x8680335f, "");
SYMBOL_CRC(rtllib_start_send_beacons, 0xdee8e960, "");
SYMBOL_CRC(rtllib_stop_scan, 0x5045ccf0, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0xfa98e82c, "");
SYMBOL_CRC(rtllib_act_scanning, 0xbf7a5968, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0xfa0ec611, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0xe5ec2dbe, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0xf4931dcc, "");
SYMBOL_CRC(rtllib_reset_queue, 0x9dc9d7e0, "");
SYMBOL_CRC(rtllib_get_beacon, 0x38434373, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0x31177070, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0x79628f43, "");
SYMBOL_CRC(rtllib_MgntDisconnect, 0xf2db8a36, "");
SYMBOL_CRC(notify_wx_assoc_event, 0x05845d55, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0xfd641e06, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0x93ace504, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0x74e481b9, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0xd719642e, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0x859b0766, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0xadd47bbc, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0xc31c80be, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0x060c9bcf, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0xa5f17e58, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0x5fda2fcc, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0x50b2447e, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0x6bfbaeb1, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0x3112d4ce, "");
SYMBOL_CRC(rtllib_wx_set_rawtx, 0x1f1d4857, "");
SYMBOL_CRC(rtllib_wx_get_name, 0xbb6928cc, "");
SYMBOL_CRC(rtllib_wx_set_power, 0xdf778f8b, "");
SYMBOL_CRC(rtllib_wx_get_power, 0x3117265c, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0x26d8021e, "");
SYMBOL_CRC(RemovePeerTS, 0x15ab1aed, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4545abd3, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa7b93942, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67fd206a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4e28f6d2, "lib80211_crypt_info_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x69ab78a5, "skb_queue_tail" },
	{ 0x3fa87a01, "lib80211_get_crypto_ops" },
	{ 0x20d27b50, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8b36dbea, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0xa35af280, "wireless_send_event" },
	{ 0x9166fada, "strncpy" },
	{ 0x2bf0639a, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1461f3b2, "netif_tx_stop_all_queues" },
	{ 0x923622d, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x1c518e86, "netif_rx" },
	{ 0x3181ec09, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe17d471f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82507dcb, "netdev_alert" },
	{ 0x28b0363b, "lib80211_crypt_info_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2c440bf, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5967098, "lib80211_crypt_delayed_deinit" },
	{ 0xe873ebec, "netif_carrier_on" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xa2adfc3c, "dev_kfree_skb_any_reason" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xb5373c2f, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6f4b7210, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa8b283c4, "try_module_get" },
	{ 0xb8ecf929, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbd02c843, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0x79ce6342, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "lib80211,cfg80211");


MODULE_INFO(srcversion, "B04BF17C06FE2B0CF152CBB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
