#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_gadget_get_string, "_gpl", "");
KSYMTAB_FUNC(usb_validate_langid, "_gpl", "");
KSYMTAB_FUNC(usb_descriptor_fillbuf, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_config_buf, "_gpl", "");
KSYMTAB_FUNC(usb_copy_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_assign_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_free_all_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_otg_descriptor_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_otg_descriptor_init, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_ss, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_release, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_reset, "_gpl", "");
KSYMTAB_FUNC(config_ep_by_speed_and_alt, "_gpl", "");
KSYMTAB_FUNC(config_ep_by_speed, "_gpl", "");
KSYMTAB_FUNC(usb_add_function, "_gpl", "");
KSYMTAB_FUNC(usb_remove_function, "_gpl", "");
KSYMTAB_FUNC(usb_function_deactivate, "_gpl", "");
KSYMTAB_FUNC(usb_function_activate, "_gpl", "");
KSYMTAB_FUNC(usb_interface_id, "_gpl", "");
KSYMTAB_FUNC(usb_func_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_add_config_only, "_gpl", "");
KSYMTAB_FUNC(usb_add_config, "_gpl", "");
KSYMTAB_FUNC(usb_string_id, "_gpl", "");
KSYMTAB_FUNC(usb_string_ids_tab, "_gpl", "");
KSYMTAB_FUNC(usb_gstrings_attach, "_gpl", "");
KSYMTAB_FUNC(usb_string_ids_n, "_gpl", "");
KSYMTAB_FUNC(usb_composite_probe, "_gpl", "");
KSYMTAB_FUNC(usb_composite_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_composite_setup_continue, "_gpl", "");
KSYMTAB_FUNC(usb_composite_overwrite_options, "_gpl", "");
KSYMTAB_FUNC(usb_get_function_instance, "_gpl", "");
KSYMTAB_FUNC(usb_get_function, "_gpl", "");
KSYMTAB_FUNC(usb_put_function_instance, "_gpl", "");
KSYMTAB_FUNC(usb_put_function, "_gpl", "");
KSYMTAB_FUNC(usb_function_register, "_gpl", "");
KSYMTAB_FUNC(usb_function_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_os_desc_prepare_interf_dir, "", "");
KSYMTAB_FUNC(unregister_gadget_item, "_gpl", "");
KSYMTAB_FUNC(alloc_ep_req, "_gpl", "");

SYMBOL_CRC(usb_gadget_get_string, 0x4beb505d, "_gpl");
SYMBOL_CRC(usb_validate_langid, 0x0c589aba, "_gpl");
SYMBOL_CRC(usb_descriptor_fillbuf, 0xd2ea2134, "_gpl");
SYMBOL_CRC(usb_gadget_config_buf, 0xf474a207, "_gpl");
SYMBOL_CRC(usb_copy_descriptors, 0x2e09263f, "_gpl");
SYMBOL_CRC(usb_assign_descriptors, 0x81318a01, "_gpl");
SYMBOL_CRC(usb_free_all_descriptors, 0xa9d5fa78, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_alloc, 0x63d6175d, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_init, 0xdee33e03, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_ss, 0x4d8a63eb, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig, 0x311a7df0, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_release, 0x7148ceb2, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_reset, 0xe999432e, "_gpl");
SYMBOL_CRC(config_ep_by_speed_and_alt, 0xe7662d2b, "_gpl");
SYMBOL_CRC(config_ep_by_speed, 0x3cca9a68, "_gpl");
SYMBOL_CRC(usb_add_function, 0x2e75cc58, "_gpl");
SYMBOL_CRC(usb_remove_function, 0x7f8f2f08, "_gpl");
SYMBOL_CRC(usb_function_deactivate, 0xef82ac96, "_gpl");
SYMBOL_CRC(usb_function_activate, 0xef1cdaea, "_gpl");
SYMBOL_CRC(usb_interface_id, 0xcd113de7, "_gpl");
SYMBOL_CRC(usb_func_wakeup, 0xf1b9d5a5, "_gpl");
SYMBOL_CRC(usb_add_config_only, 0x053d4ed3, "_gpl");
SYMBOL_CRC(usb_add_config, 0xa5374056, "_gpl");
SYMBOL_CRC(usb_string_id, 0x2faf3e0c, "_gpl");
SYMBOL_CRC(usb_string_ids_tab, 0xb64e7fd1, "_gpl");
SYMBOL_CRC(usb_gstrings_attach, 0xc3a12fef, "_gpl");
SYMBOL_CRC(usb_string_ids_n, 0x2dbdc4f1, "_gpl");
SYMBOL_CRC(usb_composite_probe, 0x062f1ac8, "_gpl");
SYMBOL_CRC(usb_composite_unregister, 0x4adae689, "_gpl");
SYMBOL_CRC(usb_composite_setup_continue, 0xe665950a, "_gpl");
SYMBOL_CRC(usb_composite_overwrite_options, 0x4a45566b, "_gpl");
SYMBOL_CRC(usb_get_function_instance, 0x7f1d9d71, "_gpl");
SYMBOL_CRC(usb_get_function, 0xfbe5cb39, "_gpl");
SYMBOL_CRC(usb_put_function_instance, 0x2f4002ed, "_gpl");
SYMBOL_CRC(usb_put_function, 0x949a6612, "_gpl");
SYMBOL_CRC(usb_function_register, 0x57d42844, "_gpl");
SYMBOL_CRC(usb_function_unregister, 0x2ba9f218, "_gpl");
SYMBOL_CRC(usb_os_desc_prepare_interf_dir, 0xf5583d37, "");
SYMBOL_CRC(unregister_gadget_item, 0x03ba4d2c, "_gpl");
SYMBOL_CRC(alloc_ep_req, 0x2a5ab010, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x261d1546, "config_item_init_type_name" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xcbc56d1f, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xadfcbd52, "usb_gadget_register_driver_owner" },
	{ 0xac5667d9, "usb_ep_queue" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x71bcb5ba, "usb_gadget_deactivate" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xe256ec76, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa8b283c4, "try_module_get" },
	{ 0x2fec6f57, "config_group_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x84a7e63b, "usb_gadget_check_config" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x11010260, "usb_gadget_ep_match_desc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2af38e5f, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47b6e3a3, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe838888b, "usb_gadget_set_selfpowered" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbf4309b9, "usb_gadget_set_remote_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x447c2277, "usb_gadget_vbus_draw" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0x68ef1996, "config_item_set_name" },
	{ 0xea0f9ef0, "module_put" },
	{ 0x4fa2450c, "usb_ep_dequeue" },
	{ 0x91a10294, "device_create_file" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0xf583ba17, "configfs_register_subsystem" },
	{ 0x6d7c51e3, "init_uts_ns" },
	{ 0xf0b556e9, "config_group_init_type_name" },
	{ 0xb5aa8865, "usb_gadget_activate" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbbfc0f91, "usb_gadget_clear_selfpowered" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x237ecbae, "usb_gadget_set_state" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3ea59b5d, "usb_ep_alloc_request" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc19784d4, "usb_gadget_unregister_driver" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "8DBBAAB324ADC7FE9DE7863");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
