#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0xb3368c2a, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x929693a2, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x6cda8660, "");
SYMBOL_CRC(usb_serial_resume, 0xc241af14, "");
SYMBOL_CRC(usb_serial_register_drivers, 0x4603306d, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0xa3556747, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x2ffc7724, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0x67ddda0d, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x84f2280b, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0xce292e68, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0x5f781af5, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x1450067b, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0xdfafa484, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0x59e0c482, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0xecb2233c, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0xf899310b, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0xc5044f38, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x0e60b85b, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0xe5e94941, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0x859fa13b, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x7fc9498d, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0x0a3d9a93, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0xb6c2e166, "usb_get_intf" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41176c57, "usb_driver_release_interface" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xb778077, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x750e9dfa, "put_device" },
	{ 0xe1601724, "usb_get_dev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0xf4259b37, "usb_submit_urb" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0x76b7b00b, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xea0f9ef0, "module_put" },
	{ 0xe314d83b, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x608ab318, "usb_match_id" },
	{ 0xbc04ec80, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x4551bea, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x7b4eb667, "tty_ldisc_ref" },
	{ 0x2fda9a85, "tty_vhangup" },
	{ 0x9361e91d, "__tty_insert_flip_string_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x79561f82, "tty_port_destroy" },
	{ 0x9cb8442c, "tty_port_init" },
	{ 0x420ecd27, "usb_driver_claim_interface" },
	{ 0x86037c52, "seq_putc" },
	{ 0x65a77d11, "usb_poison_urb" },
	{ 0xdbbc383, "usb_unpoison_urb" },
	{ 0xb03f4b43, "driver_unregister" },
	{ 0x494d9819, "tty_port_register_device" },
	{ 0xd282520d, "tty_ldisc_deref" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbee2df19, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc859d884, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x18f55c00, "tty_port_close" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf7f80ca4, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdf57d99d, "tty_register_driver" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x13e6caf1, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x67ebaf76, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3eb183a5, "seq_printf" },
	{ 0xbe297653, "tty_port_open" },
	{ 0xaa0dc2ab, "seq_puts" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x4ff1a014, "driver_register" },
	{ 0xddd7f43e, "tty_driver_kref_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x38ee4522, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcdaf3c3e, "tty_port_tty_get" },
	{ 0xae70a700, "usb_put_intf" },
	{ 0xd6cfbfae, "usb_alloc_urb" },
	{ 0xa5da4b75, "usb_autopm_put_interface" },
	{ 0xa8b283c4, "try_module_get" },
	{ 0x2760840, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbef5db1d, "dev_set_name" },
	{ 0xf8b813d, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xf0a80e90, "tty_flip_buffer_push" },
	{ 0x9e60aa02, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8c190d95, "tty_kref_put" },
	{ 0x3d77f925, "usb_register_driver" },
	{ 0x4d74473c, "usb_match_one_id" },
	{ 0xcb72b9fe, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xa0c5dfc, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x4d129394, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc17e9946, "usb_show_dynids" },
	{ 0xea76bec8, "tty_hangup" },
	{ 0x5ac6eacf, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "D64A5E5746A1EC74C815A3A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
