#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(usbip_debug_flag, "_gpl", "");
KSYMTAB_DATA(dev_attr_usbip_debug, "_gpl", "");
KSYMTAB_FUNC(usbip_dump_urb, "_gpl", "");
KSYMTAB_FUNC(usbip_dump_header, "_gpl", "");
KSYMTAB_FUNC(usbip_recv, "_gpl", "");
KSYMTAB_FUNC(usbip_pack_pdu, "_gpl", "");
KSYMTAB_FUNC(usbip_header_correct_endian, "_gpl", "");
KSYMTAB_FUNC(usbip_alloc_iso_desc_pdu, "_gpl", "");
KSYMTAB_FUNC(usbip_recv_iso, "_gpl", "");
KSYMTAB_FUNC(usbip_pad_iso, "_gpl", "");
KSYMTAB_FUNC(usbip_recv_xbuff, "_gpl", "");
KSYMTAB_FUNC(usbip_start_eh, "_gpl", "");
KSYMTAB_FUNC(usbip_stop_eh, "_gpl", "");
KSYMTAB_FUNC(usbip_event_add, "_gpl", "");
KSYMTAB_FUNC(usbip_event_happened, "_gpl", "");
KSYMTAB_FUNC(usbip_in_eh, "_gpl", "");

SYMBOL_CRC(usbip_debug_flag, 0x78b72f44, "_gpl");
SYMBOL_CRC(dev_attr_usbip_debug, 0x1887eb29, "_gpl");
SYMBOL_CRC(usbip_dump_urb, 0x1882f631, "_gpl");
SYMBOL_CRC(usbip_dump_header, 0xe1ea0586, "_gpl");
SYMBOL_CRC(usbip_recv, 0xaaf0e53a, "_gpl");
SYMBOL_CRC(usbip_pack_pdu, 0xca063707, "_gpl");
SYMBOL_CRC(usbip_header_correct_endian, 0xd02753dc, "_gpl");
SYMBOL_CRC(usbip_alloc_iso_desc_pdu, 0x27fcd7d6, "_gpl");
SYMBOL_CRC(usbip_recv_iso, 0x640a5fac, "_gpl");
SYMBOL_CRC(usbip_pad_iso, 0x976dfeaf, "_gpl");
SYMBOL_CRC(usbip_recv_xbuff, 0x4db41cd3, "_gpl");
SYMBOL_CRC(usbip_start_eh, 0x66e0af12, "_gpl");
SYMBOL_CRC(usbip_stop_eh, 0xfe7bf3b3, "_gpl");
SYMBOL_CRC(usbip_event_add, 0xcfdef376, "_gpl");
SYMBOL_CRC(usbip_event_happened, 0x5519b0f3, "_gpl");
SYMBOL_CRC(usbip_in_eh, 0x2c380050, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe76db23, "iov_iter_kvec" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5a7a7cb6, "sock_recvmsg" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa104586b, "param_ops_ulong" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FB47B719EEEB813331CE05C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
