#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0xa703ea7c, "");
SYMBOL_CRC(__vdpa_alloc_device, 0x947f16fb, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0xad3c2da5, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0xf2204b84, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x777cb386, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0x07446e3f, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0xc0004471, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x218b446e, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0x3132b327, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x47042f6f, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0x92665173, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0xf435565e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4551bea, "device_add" },
	{ 0x750e9dfa, "put_device" },
	{ 0xc9da4256, "device_unregister" },
	{ 0x4ff1a014, "driver_register" },
	{ 0xb03f4b43, "driver_unregister" },
	{ 0xfb1c5975, "bus_for_each_dev" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x22b335a3, "genl_unregister_family" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x38ee4522, "bus_register" },
	{ 0x23a09d29, "genl_register_family" },
	{ 0x8f126d92, "dma_set_mask" },
	{ 0xc3d6d3e7, "dma_set_coherent_mask" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xbef5db1d, "dev_set_name" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xcb72b9fe, "device_initialize" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x9c39a177, "netlink_capable" },
	{ 0x49154aaa, "__alloc_skb" },
	{ 0xb81e8e01, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0xd5a43273, "nla_put" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x5acfdcb, "netlink_unicast" },
	{ 0x4e3e2695, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4d80eef9, "driver_set_override" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9eb4b1c5, "bus_find_device" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6E1ABFDEECC213CA239F01");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
