#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xff5d0271, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x1f18f839, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x4cbd5b64, "_gpl");
SYMBOL_CRC(fat_scan, 0x14f4255a, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xa735295b, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xb8ee4ad9, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x28b9dc6c, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xb5190922, "_gpl");
SYMBOL_CRC(fat_getattr, 0x7171a43c, "_gpl");
SYMBOL_CRC(fat_setattr, 0xb7e91594, "_gpl");
SYMBOL_CRC(fat_attach, 0x90699789, "_gpl");
SYMBOL_CRC(fat_detach, 0xcb62fc62, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x9d536d93, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x69f02d8d, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x32cbf54d, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xc717f747, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xeb3f6c08, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x383a86ec, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xbdcccf51, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x74bd8c80, "_gpl");
SYMBOL_CRC(fat_update_time, 0xe4c694e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb81ef9c2, "load_nls" },
	{ 0x9df37103, "generic_cont_expand_simple" },
	{ 0x26575357, "make_kuid" },
	{ 0x2d5246c8, "truncate_inode_pages_final" },
	{ 0xc4a600d4, "generic_file_mmap" },
	{ 0xc086665f, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x3ba2e68b, "ilookup" },
	{ 0xb24692db, "kmem_cache_alloc" },
	{ 0x4e823d4, "invalidate_inode_buffers" },
	{ 0x95923d4e, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x37e7d9a5, "mnt_drop_write_file" },
	{ 0x9d56cded, "inode_init_once" },
	{ 0xfcac5d65, "compat_ptr_ioctl" },
	{ 0x5e6901ed, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xe694160f, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x974bac85, "generic_file_read_iter" },
	{ 0xbe70db49, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x18af82ba, "truncate_pagecache" },
	{ 0xa20e0dfa, "sync_dirty_buffer" },
	{ 0x1a0db892, "setattr_copy" },
	{ 0x68d1844, "__wait_on_buffer" },
	{ 0x95b39f04, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xae52e886, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0xe9d6b8b7, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x28bf0bba, "from_vfsgid" },
	{ 0xd5fe3064, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9da8215f, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x26fc1062, "__bread_gfp" },
	{ 0xb1122dcf, "block_dirty_folio" },
	{ 0xc48a3710, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x95f60445, "__insert_inode_hash" },
	{ 0xc52ecdfa, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6957a772, "make_kgid" },
	{ 0x64eb62b, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xe78e936d, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x226b1c3f, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa3432206, "igrab" },
	{ 0xbc6050e1, "__getblk_gfp" },
	{ 0x868477b5, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x937495c8, "mpage_readahead" },
	{ 0x59906c2d, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xebbf7697, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3eb183a5, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x6f65d954, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x9299eb47, "blkdev_issue_flush" },
	{ 0xaa0dc2ab, "seq_puts" },
	{ 0x34ac309e, "generic_fh_to_parent" },
	{ 0x47d43333, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xffa1fc05, "from_kuid_munged" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x71a55295, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x95119a3e, "kmem_cache_alloc_lru" },
	{ 0xd75557dd, "__mark_inode_dirty" },
	{ 0x281e9c98, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x82ce18bd, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xd31de022, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xce6e1d61, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x7236bc39, "kmem_cache_destroy" },
	{ 0x8ee12957, "blkdev_issue_discard" },
	{ 0xe1370c2a, "filemap_fdatawrite" },
	{ 0xf3acef35, "generic_fillattr" },
	{ 0x2b7ee028, "setattr_prepare" },
	{ 0x7112f32d, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x4e768bf0, "sync_blockdev_nowait" },
	{ 0xccc8a14c, "make_vfsgid" },
	{ 0xba31481f, "blk_start_plug" },
	{ 0x1f7acca, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x94ca48a7, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xfaf7b15a, "new_inode" },
	{ 0x16bdb1ed, "mark_buffer_dirty" },
	{ 0x430bbeae, "security_inode_setattr" },
	{ 0xa8d9546a, "__find_get_block" },
	{ 0xf24b287d, "filemap_fdatawrite_range" },
	{ 0x3b95339, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x3a22badd, "__blockdev_direct_IO" },
	{ 0x208c78a7, "d_make_root" },
	{ 0x81ada46d, "__bforget" },
	{ 0x2fa355d7, "sb_set_blocksize" },
	{ 0x37153c22, "block_truncate_page" },
	{ 0x8b0a6711, "write_dirty_buffer" },
	{ 0x6c9ca401, "sync_filesystem" },
	{ 0xc593e71e, "fsnotify" },
	{ 0xfc627c7e, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7023207f, "from_vfsuid" },
	{ 0xc5c1c156, "inode_dio_wait" },
	{ 0xe194ead2, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x62768e71, "cont_write_begin" },
	{ 0x841282ee, "iput" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0xae600217, "iter_file_splice_write" },
	{ 0x7ca89008, "generic_file_write_iter" },
	{ 0xec79876c, "kmem_cache_create" },
	{ 0xc039e803, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf9995154, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x34936d6e, "mnt_want_write_file" },
	{ 0x122c3a7e, "_printk" },
	{ 0xec9ce8f9, "block_invalidate_folio" },
	{ 0x68df510c, "__breadahead" },
	{ 0x811e3624, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9410C7029DFD418F3FB2DEB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
