#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xe81a1f29, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x417aeabd, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xef5d6ec5, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xe2b2b742, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x9252b9ba, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xb007bb30, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x2ada4612, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x89d41595, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x86886534, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x16d15a2c, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x240b3073, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x550e3071, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0xb40796ab, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xcf930be9, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xd9cba190, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x7d97589c, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xb16c6711, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x6be7796f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xc6396d8c, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x8e731b39, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0xe29bbe0b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xe61ce805, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x1b73740e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0xb96fd754, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xb1beb1d7, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xd7973daf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xd45e74fc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x27fbdc7d, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x548e06c2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x8b22c5f8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0xe3cf7e69, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x10912876, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x4b7c5ce6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x250040fa, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xdd67d5a2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0xd552416c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xebfe7e40, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x01fe7ba3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0xf2621a30, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x7f987336, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x70c6ab4b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0xd3416ab3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xd54136d6, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x347a13e8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x483f9860, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0xd15cf704, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xd889c181, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0xcd6fe559, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x7664f44b, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x85e13420, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x63a2ea10, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0xeb970fcb, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x98538480, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x173b41a9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xd4a13617, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x59733004, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x523275b9, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x6888600f, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xb35c7e88, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xcc985e5d, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x7c921616, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x90b0e022, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0x358b2e54, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x75ba6586, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x5892f47d, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x5c51f39e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x1c5f07bf, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x69142082, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xcd560f95, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x33b54ac9, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x90a6e318, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x6b73c2db, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xe5d1824f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x0aebdb38, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xce5e4439, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xd5131ff2, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xeffd579d, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x9548d289, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xdc0a1268, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x5b78e624, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x58de9e3e, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xcf3a23ee, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x0bb45214, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xbd0204e3, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xc061217c, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xf1749902, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xbb816c1c, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x9ebcbb67, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x86520958, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xf6626c52, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xdc3ec19e, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x4230bbf1, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xea5b1fdf, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xf15f603c, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x795e2a9d, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x35f10c0f, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0xfa7a7a05, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x88135e14, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xd54bd455, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x339bab79, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xc882e92f, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x288bb65b, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xf5542cfe, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x0d6281f2, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x1cc728a4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3213897f, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x85e97f63, "xdr_stream_subsegment" },
	{ 0xfd5521d9, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xb55cca46, "nfs_fscache_open_file" },
	{ 0x8a5fdeb7, "from_kgid" },
	{ 0xb7b313e, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x23ca3462, "nfs_write_inode" },
	{ 0x1ebb54cb, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x905eaa2c, "rpc_wake_up_first" },
	{ 0x1788e1dc, "alloc_nfs_open_context" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xdba273b, "vfs_parse_fs_param" },
	{ 0x96dce7ae, "nfs_path" },
	{ 0x9b2742a1, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x136b8c83, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xba4c75f7, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5e1490cf, "rpc_sleep_on_timeout" },
	{ 0x223d688f, "list_lru_count_one" },
	{ 0xc0908dd0, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x2c885cd8, "rpc_call_start" },
	{ 0x7a1f8f73, "xprt_setup_backchannel" },
	{ 0x65635d18, "bpf_trace_run1" },
	{ 0xb0792017, "svc_create" },
	{ 0x46b7cb0c, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x30d81e17, "nfs_file_set_open_context" },
	{ 0x9c66d431, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xcad1f9b6, "rpc_call_sync" },
	{ 0x6d7921a2, "from_kuid" },
	{ 0x93e6e4a1, "rpc_put_task_async" },
	{ 0xf47ca37c, "rpc_prepare_reply_pages" },
	{ 0x63e8dfde, "rpc_queue_upcall" },
	{ 0xf337402e, "nfs_free_server" },
	{ 0xf55b6ca5, "fc_mount" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0xaaa4b84b, "nfs_setattr" },
	{ 0x633ef0b0, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x1cb602dc, "nfs4_fs_type" },
	{ 0xf3ac6acf, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xd57c2ecd, "rpc_delay" },
	{ 0xe71b589c, "nfs_flock" },
	{ 0xbd36c07b, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb02b6373, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7523449f, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x7dda66a7, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xd77868cf, "rpc_exit" },
	{ 0x6957a772, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x880ed751, "rpc_remove_pipe_dir_object" },
	{ 0x56201c3b, "nfs_may_open" },
	{ 0x64eb62b, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x849e1a94, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xa271ae82, "xdr_reserve_space" },
	{ 0xed3727f2, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb39985ba, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1fbfe8c6, "nfs_rmdir" },
	{ 0xec5506ac, "bpf_trace_run3" },
	{ 0xac6ca9ef, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6a4c894e, "nfs_filemap_write_and_wait_range" },
	{ 0x7667d6c0, "rpc_mkpipe_dentry" },
	{ 0x5bce7d12, "alloc_file_pseudo" },
	{ 0xdd64e639, "strscpy" },
	{ 0xacf3315a, "rpc_mkpipe_data" },
	{ 0x99ad97e, "rpc_add_pipe_dir_object" },
	{ 0xa3432206, "igrab" },
	{ 0x2b167bb, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xebbc699f, "nfs_async_iocounter_wait" },
	{ 0xe41ec89d, "nfs_file_read" },
	{ 0x96c6b9e6, "trace_event_buffer_reserve" },
	{ 0x921907b3, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x59906c2d, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x59276e32, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa38750db, "nfs_setattr_update_inode" },
	{ 0x2392c6c4, "nfs_instantiate" },
	{ 0xebbf7697, "init_user_ns" },
	{ 0x3cd79d48, "rpc_uaddr2sockaddr" },
	{ 0xfab5073, "user_read" },
	{ 0xb213dcb4, "rpc_restart_call" },
	{ 0x2c4385de, "request_key_tag" },
	{ 0x1373dedc, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xe8545fdb, "alloc_pages" },
	{ 0xa1516466, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0xf6fe0792, "svc_xprt_destroy_all" },
	{ 0x96641e8b, "generic_key_instantiate" },
	{ 0xaa8a911d, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x426945cd, "nfs_link" },
	{ 0x77325fe4, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x748acb8d, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x63e4749b, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x707b7943, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1cc53092, "xdr_stream_move_subsegment" },
	{ 0x29b8ab80, "put_rpccred" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x43ee3ec7, "nfs_post_op_update_inode_force_wcc" },
	{ 0xe9c74165, "nfs_pgheader_init" },
	{ 0x51f78fd9, "put_nfs_open_context" },
	{ 0xa41a8f29, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6cef082a, "nfs_show_devname" },
	{ 0xe70b0e3b, "nfs_permission" },
	{ 0x6a22b72f, "nfs_initiate_commit" },
	{ 0x7acb929e, "truncate_inode_pages_range" },
	{ 0xb2004399, "__put_user_ns" },
	{ 0x4bfbbba2, "cred_fscmp" },
	{ 0xca674e02, "rpc_unlink" },
	{ 0xd6f2547b, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x9be7c62a, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x796de8d, "node_data" },
	{ 0x8a3cc560, "nfs_probe_server" },
	{ 0x2067a0ba, "nfs_setsecurity" },
	{ 0xb6094708, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x440cf2fe, "rpc_clnt_test_and_add_xprt" },
	{ 0x6d8d5645, "file_ra_state_init" },
	{ 0xc0ce3217, "nfs_force_lookup_revalidate" },
	{ 0xd9367153, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x13786e9f, "rpc_clnt_add_xprt" },
	{ 0x3a0dc66e, "dget_parent" },
	{ 0xffa1fc05, "from_kuid_munged" },
	{ 0x1137ec41, "prepare_kernel_cred" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0xd86bd612, "nfs_alloc_server" },
	{ 0xe940ad51, "rpc_call_async" },
	{ 0x150eb7f4, "security_dentry_init_security" },
	{ 0xbe83e6b, "filemap_write_and_wait_range" },
	{ 0xfb69a284, "nfs_server_insert_lists" },
	{ 0xcd09250f, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xded5adf2, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x87ed83b7, "rpc_init_pipe_dir_object" },
	{ 0xebf708bb, "bpf_trace_run7" },
	{ 0xa963f83a, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x388f99aa, "nfs_init_server_rpcclient" },
	{ 0xd75557dd, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x57c7ae16, "rpc_set_connect_timeout" },
	{ 0x30f3108, "rpcauth_create" },
	{ 0x648dfc82, "list_lru_add" },
	{ 0x926bb24c, "xdr_stream_pos" },
	{ 0xf54b62c1, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x9eb76fec, "svc_xprt_create" },
	{ 0xfa718398, "nfs42_ssc_register" },
	{ 0xbd49d328, "rpc_wait_for_completion_task" },
	{ 0xe3049473, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd7503eb0, "rpc_num_bc_slots" },
	{ 0x9800e173, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x8479ab2b, "security_inode_listsecurity" },
	{ 0x77d25e52, "nfs_fhget" },
	{ 0x2c7a688b, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x74fb7fac, "locks_copy_lock" },
	{ 0x7236bc39, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x9f8d93fc, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfc5f68ad, "nfs_set_verifier" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x5a642301, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xbd2ac6fb, "generic_copy_file_range" },
	{ 0xe78aa21d, "svc_generic_rpcbind_set" },
	{ 0xb7b02a69, "nfs_clone_server" },
	{ 0x286f4b4a, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe1370c2a, "filemap_fdatawrite" },
	{ 0x80ae2023, "nfs_show_stats" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x3218a0a0, "nfs_server_remove_lists" },
	{ 0x78187320, "nfs42_ssc_unregister" },
	{ 0x6fe6f2ba, "generic_listxattr" },
	{ 0xa8b283c4, "try_module_get" },
	{ 0xaa6f628e, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x9eacde71, "nfs_writeback_update_inode" },
	{ 0x1f7acca, "clear_inode" },
	{ 0x7d22534, "inode_to_bdi" },
	{ 0xa43e2332, "bpf_trace_run4" },
	{ 0xa3c59490, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb428d14a, "param_ops_uint" },
	{ 0x693df4bb, "user_revoke" },
	{ 0x606811f8, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xff17aba7, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x42bf8fe1, "list_lru_del" },
	{ 0x64256f2, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9843e2, "rpc_clnt_probe_trunked_xprts" },
	{ 0x25c854b5, "nfs_pageio_reset_read_mds" },
	{ 0xb4c5f83a, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x41c84d4f, "rpc_shutdown_client" },
	{ 0x2178ed97, "svc_bind" },
	{ 0x3a5eca14, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x5f2ae731, "nfs_free_inode" },
	{ 0xd2cb10ec, "nfs_access_zap_cache" },
	{ 0x9a7f80e9, "nfs_sb_deactive" },
	{ 0x31d1bb2f, "nfs_wb_all" },
	{ 0x54f11ae, "__break_lease" },
	{ 0xb82dcaee, "nfs_pageio_init_write" },
	{ 0x73b0c64a, "svc_recv" },
	{ 0x97f31b4e, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x1f1264b8, "xdr_inline_decode" },
	{ 0x5bcdd675, "nfs_pageio_init_read" },
	{ 0x467534c, "trace_raw_output_prep" },
	{ 0x1a9c0aa5, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xf9c2d0ed, "nfs_init_commit" },
	{ 0xbf46b18a, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x874074e1, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x316b5b97, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb1fab4e6, "__trace_trigger_soft_disabled" },
	{ 0x5196292, "nfs_mknod" },
	{ 0x78298186, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9677ec26, "nfs4_label_alloc" },
	{ 0xb954d988, "rpc_localaddr" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x5b25f970, "trace_event_printf" },
	{ 0x404bbac0, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x7e634962, "nfs_lock" },
	{ 0xca7d8764, "kthread_freezable_should_stop" },
	{ 0x9dcb65a1, "unregister_key_type" },
	{ 0x817b7a3, "nfs_client_init_is_complete" },
	{ 0xa3d206f1, "nfs_file_splice_read" },
	{ 0x7b3da675, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x316a1b5b, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x17ba98ed, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xaef4be1b, "ihold" },
	{ 0x462978b2, "truncate_pagecache_range" },
	{ 0xcfecafa7, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0xe56ba084, "invalidate_inode_pages2_range" },
	{ 0xf23b0228, "nfs_post_op_update_inode" },
	{ 0xe17e6372, "svc_exit_thread" },
	{ 0x841282ee, "iput" },
	{ 0xd124a952, "xdr_set_pagelen" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0xad84830b, "nfs_pgio_header_free" },
	{ 0x8a61aaba, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x169e1a85, "logfc" },
	{ 0x88fc266, "nfs_pgio_header_alloc" },
	{ 0xd267a23e, "__put_devmap_managed_page_refs" },
	{ 0xae600217, "iter_file_splice_write" },
	{ 0xf8d1cf79, "rpc_pton" },
	{ 0x6f8b5298, "nfs_sb_active" },
	{ 0xe9253494, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x904248, "rpc_wake_up_queued_task" },
	{ 0x38b5464c, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xa35e14df, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x67d332fb, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x55326e75, "_copy_from_pages" },
	{ 0x2670d3ac, "__module_get" },
	{ 0xec79876c, "kmem_cache_create" },
	{ 0xcfee7496, "rpc_task_release_transport" },
	{ 0xa0dd0269, "xdr_page_pos" },
	{ 0x24e72255, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x57792a1a, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x1b2c1fde, "key_instantiate_and_link" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0xbb68e38e, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfc8e37d8, "register_key_type" },
	{ 0xcb9da3c, "rpc_sleep_on" },
	{ 0x65a944d4, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x429125e2, "nfs_pageio_resend" },
	{ 0xa1230f1e, "keyring_alloc" },
	{ 0x46354f4b, "vfs_setpos" },
	{ 0x1fa138, "nfs_create" },
	{ 0x491113fd, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfafc787, "__put_cred" },
	{ 0x96c2e778, "swapcache_mapping" },
	{ 0xe0b94216, "nfs_statfs" },
	{ 0xe90c6244, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xd0429d3d, "rpc_max_bc_payload" },
	{ 0xa82cab87, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x58e29427, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7bf82bb7, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd1c3b0f1, "nfs_mkdir" },
	{ 0xd711b808, "nfs_revalidate_inode" },
	{ 0xbbf389f3, "inode_newsize_ok" },
	{ 0xf2945013, "nfs_file_mmap" },
	{ 0x76e8ae8a, "nfs_get_lock_context" },
	{ 0xf77e1e28, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0x32bacf97, "nfs_set_cache_invalid" },
	{ 0x6e8aa437, "rpc_release_client" },
	{ 0xa2ca2643, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf4573884, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe95e4c55, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xbfe612a, "nfs_generic_pgio" },
	{ 0x26575357, "make_kuid" },
	{ 0x2d5246c8, "truncate_inode_pages_final" },
	{ 0xca558ac2, "generic_setlease" },
	{ 0x7d768d98, "xprt_destroy_backchannel" },
	{ 0x47024945, "rpc_switch_client_transport" },
	{ 0x95fae668, "bc_svc_process" },
	{ 0xa916b694, "strnlen" },
	{ 0x693cb79b, "nfs_scan_commit_list" },
	{ 0x1df0d0f0, "xdr_stream_decode_string_dup" },
	{ 0x58037830, "nfs_commit_inode" },
	{ 0xa99eb62a, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0xe946beee, "unregister_shrinker" },
	{ 0x985d6f1, "rpc_destroy_pipe_data" },
	{ 0x1482f19d, "nfs_get_client" },
	{ 0x30ae183c, "__free_pages" },
	{ 0xb24692db, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd973aa62, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xa314e327, "nfs_atomic_open" },
	{ 0x13a431b, "rpc_pipe_generic_upcall" },
	{ 0x5c03fb80, "nfs_file_fsync" },
	{ 0xea0f9ef0, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc9006fc7, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf4b35f5d, "nfs_put_lock_context" },
	{ 0xdf64a46c, "nfs_rename" },
	{ 0xd7e61476, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x82d438ae, "nfs_sysfs_link_rpc_client" },
	{ 0x257785b3, "nfs_put_client" },
	{ 0x1392bf38, "nfs_show_options" },
	{ 0xe67404c6, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x7d1f6d61, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xc70fc11, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2ed5fcbf, "get_nfs_open_context" },
	{ 0x70ad927c, "perf_trace_run_bpf_submit" },
	{ 0x345e2bbd, "nfs_clear_verifier_delegated" },
	{ 0x62daa31e, "nfs_sysfs_add_server" },
	{ 0x6b3026fe, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1905ae48, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x737c73ff, "nfs_do_submount" },
	{ 0xb7fbdc18, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xf55bc94e, "request_key_with_auxdata" },
	{ 0x58b8fe6a, "rpc_clone_client_set_auth" },
	{ 0xbe7d19b5, "rpc_clone_client" },
	{ 0x6803921b, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xf72b2030, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x385a9ea9, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xde433dbd, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdd6c130c, "put_fs_context" },
	{ 0x54dc63a5, "nfs_retry_commit" },
	{ 0x652e02b7, "nfs4_dentry_operations" },
	{ 0x39771953, "__module_put_and_kthread_exit" },
	{ 0x34f26cf0, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x241ef93b, "nfs_client_for_each_server" },
	{ 0x679460a0, "nfs_clear_inode" },
	{ 0x488aad39, "rpc_sleep_on_priority" },
	{ 0xee964104, "nfs_invalidate_atime" },
	{ 0xd2846598, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x4f59a7fb, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xcfee67b5, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc9a99b0b, "nfs_pageio_reset_write_mds" },
	{ 0xae52e886, "kmem_cache_free" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,dns_resolver");


MODULE_INFO(srcversion, "D89EDAAAE4D0440E86BBB29");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
