#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xbcccbfda, "");
SYMBOL_CRC(bt_sock_register, 0x5a9543cc, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x678f2361, "");
SYMBOL_CRC(bt_sock_link, 0xc760b640, "");
SYMBOL_CRC(bt_sock_unlink, 0x47b2a6e8, "");
SYMBOL_CRC(bt_accept_enqueue, 0xda7bdfd8, "");
SYMBOL_CRC(bt_accept_unlink, 0x9369c444, "");
SYMBOL_CRC(bt_accept_dequeue, 0x69292f06, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x7ff2e274, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0xf32d0195, "");
SYMBOL_CRC(bt_sock_poll, 0x53e87153, "");
SYMBOL_CRC(bt_sock_ioctl, 0xe0aa0b1d, "");
SYMBOL_CRC(bt_sock_wait_state, 0xa5ea2695, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x75904682, "");
SYMBOL_CRC(bt_procfs_init, 0x41bd211c, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x7dd5559a, "");
SYMBOL_CRC(bt_debugfs, 0x0d6eebcd, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x54795f32, "");
SYMBOL_CRC(hci_free_dev, 0xf39a10f6, "");
SYMBOL_CRC(hci_register_dev, 0x5e35dff8, "");
SYMBOL_CRC(hci_unregister_dev, 0xfd8eea55, "");
SYMBOL_CRC(hci_release_dev, 0xcd018cf7, "");
SYMBOL_CRC(hci_suspend_dev, 0xb8d53db5, "");
SYMBOL_CRC(hci_resume_dev, 0xffb15178, "");
SYMBOL_CRC(hci_reset_dev, 0x6cb5f16d, "");
SYMBOL_CRC(hci_recv_frame, 0xe6ad9ef2, "");
SYMBOL_CRC(hci_recv_diag, 0x058b3d61, "");
SYMBOL_CRC(hci_set_hw_info, 0xc8cfbc0b, "");
SYMBOL_CRC(hci_set_fw_info, 0xdf70dadd, "");
SYMBOL_CRC(hci_register_cb, 0xe22fb01f, "");
SYMBOL_CRC(hci_unregister_cb, 0xbef29627, "");
SYMBOL_CRC(__hci_cmd_send, 0xe7eec57e, "");
SYMBOL_CRC(hci_get_route, 0x2237892a, "");
SYMBOL_CRC(hci_conn_security, 0xdf7262a9, "");
SYMBOL_CRC(hci_conn_check_secure, 0x0da728ec, "");
SYMBOL_CRC(hci_conn_switch_role, 0xbaa1008e, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x7f1cd87a, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x54ee798d, "");
SYMBOL_CRC(l2cap_add_psm, 0x5a39d7a2, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x06eb442b, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x9196c760, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x5e465fcb, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x0f112415, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x9a476531, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xdc407815, "");
SYMBOL_CRC(l2cap_register_user, 0x3d3437f3, "");
SYMBOL_CRC(l2cap_unregister_user, 0x91b201cc, "");
SYMBOL_CRC(l2cap_conn_get, 0x65ae52c1, "");
SYMBOL_CRC(l2cap_conn_put, 0xa45aa883, "");
SYMBOL_CRC(l2cap_chan_send, 0x5598832f, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x7743f784, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x8e5a16c3, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x07db99dc, "");
SYMBOL_CRC(__hci_cmd_sync, 0xdd223f57, "");
SYMBOL_CRC(hci_cmd_sync, 0x725d0534, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x066b87cc, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x5c508cfe, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x34d80a60, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x900fb1c4, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x69030573, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x43b20206, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x2217e0dc, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xf4304a6b, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x12c43bce, "");
SYMBOL_CRC(hci_devcd_init, 0x2dab80cc, "");
SYMBOL_CRC(hci_devcd_append, 0xa2a90086, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x07e6d1fe, "");
SYMBOL_CRC(hci_devcd_complete, 0x2ffde5b8, "");
SYMBOL_CRC(hci_devcd_abort, 0x55f9e0f8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xb8ecf929, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xbef5db1d, "dev_set_name" },
	{ 0x4d9d8d51, "scm_detach_fds" },
	{ 0x1a767158, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xc9da4256, "device_unregister" },
	{ 0xd5facee9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xb9c460fb, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xcb72b9fe, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x6bb6a3a9, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x3e9c1538, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb427b275, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x680a1858, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2670d3ac, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x7565bde, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xb42e3a64, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfafc787, "__put_cred" },
	{ 0xcbf9f778, "put_cmsg" },
	{ 0x2703936a, "skb_queue_purge_reason" },
	{ 0xe9ce0c4e, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3feaadb0, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xfdf8ae97, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x26288922, "sock_register" },
	{ 0x7a385a45, "datagram_poll" },
	{ 0xf3590ad2, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x750e9dfa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x49154aaa, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x1f6f5d73, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x69ab78a5, "skb_queue_tail" },
	{ 0xea0f9ef0, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf8f6843e, "__sock_recv_timestamp" },
	{ 0xf667e9a4, "sock_no_shutdown" },
	{ 0xe119b234, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae45ba72, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x8dbb9075, "init_net" },
	{ 0x2199960c, "crypto_shash_setkey" },
	{ 0x20d27b50, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4551bea, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6d7c51e3, "init_uts_ns" },
	{ 0x9e8e105d, "sk_free" },
	{ 0xd558d03f, "device_move" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0xfe9cc404, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8b36dbea, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x9806bf68, "sock_no_listen" },
	{ 0xbdebeb01, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x86037c52, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe76db23, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x141a63c2, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x9f45e25c, "lock_sock_nested" },
	{ 0x387e162c, "device_find_child" },
	{ 0x20b349cd, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x71938c30, "skb_copy_datagram_iter" },
	{ 0x58f5c334, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x28015241, "sk_alloc" },
	{ 0xc859d884, "device_del" },
	{ 0xea9a52d3, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x4bb139a7, "__sock_recv_wifi_status" },
	{ 0x6d7921a2, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c136929, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x54b7cb92, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5355cea1, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x48592468, "__pskb_pull_tail" },
	{ 0x542fa35f, "__scm_destroy" },
	{ 0x64eb62b, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x4e3e2695, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x9d1a2926, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0x58662464, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x982caad5, "sock_i_ino" },
	{ 0x4fd45257, "debugfs_create_file" },
	{ 0x90d619f0, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc8a2f46f, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc05a376a, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x4596a186, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7a5c52bd, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x722122fa, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3eb183a5, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x30723cfe, "skb_copy" },
	{ 0x9fd555e4, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf81a13d8, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x3d7ed472, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaa0dc2ab, "seq_puts" },
	{ 0xb26fecf, "sock_gettstamp" },
	{ 0x40b3fd8b, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1a483504, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xffa1fc05, "from_kuid_munged" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x217a9c37, "led_trigger_event" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xb1b737f3, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xecc74599, "proc_create_seq_private" },
	{ 0xba5a8033, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xff6de6a3, "crypto_alloc_shash" },
	{ 0xcb287369, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdf859e2e, "fwnode_property_read_u8_array" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xef3288ef, "put_pid" },
	{ 0xe87ce0fc, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe0af4b9, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d1475cf, "__dev_fwnode" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x99bcf3c3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x67bb3625, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x847bd863, "skb_free_datagram" },
	{ 0x5b73dbc1, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa8b283c4, "try_module_get" },
	{ 0x5ef5f444, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "D081548E9817D92A4A18931");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
