#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_slave_dev_check, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_port_by_vbid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x5b46cb68, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0xaf3de16b, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0x9c9a45b6, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x70129838, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0xf28470fb, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0xe7dcba8e, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x410f7ec5, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x7790e88c, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x32d11384, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0xbccca360, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x3b7cd9e5, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0xb57139e9, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0xaaf2750f, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0xc2254c1d, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x1f79fa80, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x5fc6e44e, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x99d939f9, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x7e19df4e, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x41427cee, "_gpl");
SYMBOL_CRC(dsa_slave_dev_check, 0xb06d1e0d, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x3289d787, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x059adb42, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0xd25f3b8b, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0xb516e577, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xb6d6d293, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0xabaac2c9, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x44114a4b, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x3bc52630, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0x373289c7, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x19d0e314, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x750e9dfa, "put_device" },
	{ 0x1b7a61b, "devlink_resource_register" },
	{ 0x77cc54fe, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xc62756b0, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x47d91628, "switchdev_bridge_port_offload" },
	{ 0x72a4cbb4, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0xea0f9ef0, "module_put" },
	{ 0x83bd1acd, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xf24acd31, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x2a5c084d, "devlink_region_create" },
	{ 0x785d7c41, "vlan_dev_real_dev" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x3234f29a, "__dev_get_by_index" },
	{ 0x4d9feed4, "rtnl_link_unregister" },
	{ 0x70ad927c, "perf_trace_run_bpf_submit" },
	{ 0x1de69df4, "devlink_port_unregister" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x8dbb9075, "init_net" },
	{ 0x270a0bd9, "noop_qdisc" },
	{ 0xe5aa6c1a, "phy_ethtool_get_strings" },
	{ 0x247616b2, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x64d9aca, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xbb19b09a, "dev_remove_pack" },
	{ 0xd2846598, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3042617e, "gro_cells_receive" },
	{ 0x20b4c2b7, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x8b36dbea, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xc1a25180, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0xd513a1dd, "dev_mc_del" },
	{ 0xb7b313e, "trace_event_reg" },
	{ 0xc26a3b40, "br_vlan_get_info" },
	{ 0x2bf0639a, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4a0aa5db, "mdiobus_free" },
	{ 0x59814e53, "phylink_generic_validate" },
	{ 0xcd94d65e, "sysfs_create_group" },
	{ 0x43dff4c8, "devlink_resource_occ_get_register" },
	{ 0xc928ed2e, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x387e162c, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xa0574437, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x8b00426a, "switchdev_bridge_port_unoffload" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2f2bec2c, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x85291ea9, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x1c518e86, "netif_rx" },
	{ 0x56713bfe, "dev_mc_add" },
	{ 0x4878ffe0, "flow_block_cb_alloc" },
	{ 0xefea1815, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4e3e2695, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe17d471f, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1564898, "pv_ops" },
	{ 0xe641521e, "sysfs_remove_group" },
	{ 0x3af9021a, "net_selftest" },
	{ 0xec5506ac, "bpf_trace_run3" },
	{ 0x3fd4f8d0, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x465ad95c, "devlink_port_init" },
	{ 0x343aa68c, "__netpoll_setup" },
	{ 0xe18a8784, "__dev_queue_xmit" },
	{ 0x489ec4a3, "vlan_vid_add" },
	{ 0x17555e01, "devlink_params_register" },
	{ 0x96c6b9e6, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x66687ad1, "vlan_vid_del" },
	{ 0x36aa5d45, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xd6d70a9, "devlink_resources_unregister" },
	{ 0xb504124f, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2c440bf, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xef01d3b4, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x18115e5d, "devlink_port_region_create" },
	{ 0xf3a554f5, "devlink_priv" },
	{ 0x30723cfe, "skb_copy" },
	{ 0x82059c72, "__hw_addr_sync_dev" },
	{ 0x24c5f4a3, "devlink_port_register_with_ops" },
	{ 0x797c960d, "mdiobus_get_phy" },
	{ 0x8bff634c, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xdff6c84f, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9ca1e3b7, "dev_uc_add" },
	{ 0x2c8f8627, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xd2e8d505, "br_mst_enabled" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xd490bef0, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0xa2adfc3c, "dev_kfree_skb_any_reason" },
	{ 0xe0c35ac7, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6879ef48, "device_link_add" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0x3692e90, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xcc43030f, "dcb_ieee_setapp" },
	{ 0xafa6e3ec, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5e47bd84, "__skb_vlan_pop" },
	{ 0x203a2c0f, "phylink_connect_phy" },
	{ 0xd88c93b, "br_get_ageing_time" },
	{ 0x57b7987f, "register_netdevice" },
	{ 0xbf733985, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x309b465b, "netdev_lower_get_next" },
	{ 0x3e9aef93, "flow_block_cb_lookup" },
	{ 0xc64b6839, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{ 0x571a800d, "devlink_resource_occ_get_unregister" },
	{ 0xf6f90052, "dev_set_mtu" },
	{ 0x6e42b313, "br_vlan_enabled" },
	{ 0xf7264548, "__skb_pad" },
	{ 0xa8b283c4, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa43e2332, "bpf_trace_run4" },
	{ 0xacf9be6d, "devlink_unregister" },
	{ 0x8a743f9a, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x5efb440c, "br_port_flag_is_set" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5788c83f, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x26cda344, "br_port_get_stp_state" },
	{ 0xbd02c843, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x37a72075, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8be276b5, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x20dfa742, "__netpoll_free" },
	{ 0x467534c, "trace_raw_output_prep" },
	{ 0xa179c763, "br_vlan_get_proto" },
	{ 0x6fceae96, "br_mst_get_state" },
	{ 0x7f2bd80b, "unregister_netdev" },
	{ 0xb1fab4e6, "__trace_trigger_soft_disabled" },
	{ 0x5b25f970, "trace_event_printf" },
	{ 0x1fc37994, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x59ba40ca, "netpoll_send_skb" },
	{ 0x7be233a, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd0197099, "devlink_params_unregister" },
	{ 0x2b171858, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0x17ba98ed, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c276b70, "devlink_alloc_ns" },
	{ 0x79991831, "dev_set_promiscuity" },
	{ 0xe141b4aa, "devlink_register" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0xcb60ca81, "devlink_free" },
	{ 0xb4a3fc99, "gro_cells_init" },
	{ 0x38b5464c, "bpf_trace_run2" },
	{ 0x4545abd3, "netdev_warn" },
	{ 0xd9558ea3, "unregister_netdevice_queue" },
	{ 0x7565bde, "get_device" },
	{ 0x578bea3e, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd70e9da7, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0xc1b584f6, "switchdev_handle_fdb_event_to_device" },
	{ 0xa7b93942, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7e16e971, "netdev_upper_dev_link" },
	{ 0x3a9f6b18, "pskb_expand_head" },
	{ 0x21b121d4, "switchdev_handle_port_attr_set" },
	{ 0xa1a0abe3, "phylink_create" },
	{ 0x735471b4, "vlan_for_each" },
	{ 0xe646a4f9, "netdev_port_same_parent_id" },
	{ 0xa82cab87, "trace_event_buffer_commit" },
	{ 0x16eddb3f, "dev_addr_mod" },
	{ 0x67fd206a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xae349bb1, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb61de261, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xcd6d7aa7, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "822601BCBC5BAAC7047E055");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
