#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0xe861cd03, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xc2556cc0, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x3c606d53, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x40187247, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x3de62942, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x8b71093e, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x1c631a7d, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x7b91f040, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x8be4c1b7, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xae4c9316, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x0c631ddc, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x5baa696d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x51a1bc06, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x0bf4e6c6, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xfbaaa728, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xe2adbf88, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x25e08162, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x9d4869e5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0xef1e644e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xa75453fc, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x41c2a7ac, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x46282642, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xa4a775f3, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x277670d7, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xa588eb48, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x2fc25a29, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xe10ff16b, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xe0856fb7, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x6eba24af, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x4a59c49b, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xc85c7147, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x403afa84, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xce3e3f6b, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x9dd79d62, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x23a02112, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0xe595da55, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f92c513, "vsock_remove_sock" },
	{ 0x5b25f970, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xda08d4ef, "vsock_deliver_tap" },
	{ 0x17ba98ed, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x46fdcbca, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6345a530, "bpf_trace_run8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab5efbba, "sk_error_report" },
	{ 0xa82cab87, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2c435e26, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x49154aaa, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x70ad927c, "perf_trace_run_bpf_submit" },
	{ 0x20d27b50, "skb_pull" },
	{ 0x9e8e105d, "sk_free" },
	{ 0x7918b8a6, "kfree_skb_reason" },
	{ 0xb7b313e, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xebcec64c, "__skb_recv_datagram" },
	{ 0x9f45e25c, "lock_sock_nested" },
	{ 0x18c0a62d, "vsock_stream_has_data" },
	{ 0xc6a76e1e, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x70475f9e, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8563efb, "bpf_trace_run10" },
	{ 0x55e1c54f, "vsock_core_get_transport" },
	{ 0x602c0358, "vsock_stream_has_space" },
	{ 0x96c6b9e6, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf81a13d8, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x453816dd, "vsock_create_connected" },
	{ 0xf16c6334, "vsock_assign_transport" },
	{ 0xb1b737f3, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x99bcf3c3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf6151e4e, "vsock_data_ready" },
	{ 0xb16c0144, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e54301e, "_copy_to_iter" },
	{ 0x9b4e07fa, "vsock_insert_connected" },
	{ 0xb8ecf929, "skb_put" },
	{ 0xbd02c843, "consume_skb" },
	{ 0x467534c, "trace_raw_output_prep" },
	{ 0xb1fab4e6, "__trace_trigger_soft_disabled" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "1E83FB8A08E3BA8A9F42A67");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
