#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0xbaa3fdc0, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0xfd655b62, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x0a7cc740, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x8b7c4f06, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x77a6947a, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x68a9b67b, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xcb4ae12a, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x84a63e85, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x8e1cc32f, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x5aebc27f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9deb1b67, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1300e139, "devm_gpiod_get_optional" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0x9e6f6bf2, "devm_snd_soc_register_component" },
	{ 0xf8f9e3ee, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1867f00, "sdw_write_no_pm" },
	{ 0x94d0142c, "devm_free_irq" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0x50be3086, "regulator_bulk_disable" },
	{ 0x5362ce2d, "_dev_info" },
	{ 0x70daf11c, "snd_soc_info_volsw" },
	{ 0x61a05b1e, "cs35l56_init_cs_dsp" },
	{ 0x95833a1d, "wm_adsp_power_down" },
	{ 0x2c89f970, "regcache_drop_region" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x838dfa9a, "debugfs_create_bool" },
	{ 0xbab35a09, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x314bd09f, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf65185a6, "cs35l56_runtime_suspend_common" },
	{ 0x42c3d434, "sdw_read_no_pm" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x381a8c5f, "cs35l56_mbox_send" },
	{ 0xc776a9ac, "cs35l56_hw_init" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0xcf749d8a, "wm_adsp2_component_probe" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6f2616ce, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x58b50927, "cs35l56_system_reset" },
	{ 0x6d473cf6, "snd_soc_info_enum_double" },
	{ 0xe356ea50, "regulator_bulk_enable" },
	{ 0x93772771, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x33a44abb, "wm_adsp2_component_remove" },
	{ 0x9f2144f6, "cs35l56_wait_for_firmware_boot" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0x8465a34e, "snd_soc_get_volsw" },
	{ 0xc13f1a23, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xae13a9e7, "cs35l56_is_fw_reload_needed" },
	{ 0xdbd7cf30, "regmap_read" },
	{ 0x4c814e08, "snd_soc_put_volsw" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa5556d2a, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xfa076465, "regmap_bulk_read" },
	{ 0x7cc57b17, "sdw_stream_remove_slave" },
	{ 0x783f3fe0, "cs35l56_runtime_resume_common" },
	{ 0xc446c26f, "dapm_regulator_event" },
	{ 0xefbf157d, "regmap_update_bits_base" },
	{ 0x2ae5a52b, "dev_err_probe" },
	{ 0x962540c3, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0x3f95f6f7, "snd_soc_dapm_get_enum_double" },
	{ 0xf8e44dc4, "__pm_runtime_use_autosuspend" },
	{ 0x8dbd847a, "wm_halo_init" },
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0xfe6ef2ad, "cs35l56_firmware_shutdown" },
	{ 0x83468356, "sdw_stream_add_slave" },
	{ 0x59bdb111, "pm_runtime_force_suspend" },
	{ 0x973d3a91, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x38a9f316, "snd_soc_dapm_put_enum_double" },
	{ 0x8b48242, "regcache_cache_only" },
	{ 0x8c608c62, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3caded41, "regmap_write" },
	{ 0x997f5834, "snd_soc_dapm_mux_update_power" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeb3b7c5a, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5db4e2ef, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3955ce17, "snd_soc_card_get_kcontrol_locked" },
	{ 0x9e929c0c, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd-soc-cs35l56-shared,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "EB5F2F0DC1F116AB1EF664D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
