#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(acp_sof_quirk_table, "_gpl", "");
KSYMTAB_FUNC(amd_sof_acp_suspend, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_resume, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_probe, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_remove, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_get_bar_index, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_pre_fw_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_dsp_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_load_signed_firmware, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_send_msg, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_irq_thread, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_msg_data, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_set_stream_data_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_mailbox_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_window_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_hw_params, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_open, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_close, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_pointer, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_get, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_put, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_release, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_DATA(sof_acp_common_ops, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_register, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_unregister, "", "SND_SOC_SOF_AMD_COMMON");

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0xf6694245, "");
SYMBOL_CRC(amd_sof_acp_resume, 0x6458cbce, "");
SYMBOL_CRC(amd_sof_acp_probe, 0x7cbc94ca, "");
SYMBOL_CRC(amd_sof_acp_remove, 0xddcc9fa3, "");
SYMBOL_CRC(acp_dsp_block_read, 0x841ef12b, "");
SYMBOL_CRC(acp_dsp_block_write, 0x09c513a9, "");
SYMBOL_CRC(acp_get_bar_index, 0xe5f403ce, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0x2507d237, "");
SYMBOL_CRC(acp_sof_dsp_run, 0x6f1ccacc, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0x2879d349, "");
SYMBOL_CRC(acp_mailbox_write, 0x04776b21, "");
SYMBOL_CRC(acp_mailbox_read, 0x89389bd3, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0x12239104, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0xb8723c65, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0xf7bd4027, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0x2c7fbb2f, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0x86b10d12, "");
SYMBOL_CRC(acp_pcm_hw_params, 0x456f0afa, "");
SYMBOL_CRC(acp_pcm_open, 0xed8a0b61, "");
SYMBOL_CRC(acp_pcm_close, 0x7210e0e6, "");
SYMBOL_CRC(acp_pcm_pointer, 0x910b1d1e, "");
SYMBOL_CRC(acp_dsp_stream_get, 0x1f953b64, "");
SYMBOL_CRC(acp_dsp_stream_put, 0x4b1562c3, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x77658ab2, "");
SYMBOL_CRC(acp_sof_trace_release, 0xa784c523, "");
SYMBOL_CRC(acp_sof_trace_init, 0xe303147b, "");
SYMBOL_CRC(sof_acp_common_ops, 0xb55b2b07, "");
SYMBOL_CRC(acp_probes_register, 0x16e30550, "");
SYMBOL_CRC(acp_probes_unregister, 0x40d3e304, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a4d33a9, "devm_ioremap" },
	{ 0x5f5e8072, "sof_xtensa_arch_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x259df148, "snd_sgbuf_get_addr" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5ed76816, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7fc7cc24, "platform_device_unregister" },
	{ 0xb196323e, "dma_alloc_attrs" },
	{ 0xaf1d8f8e, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0xba0c997d, "sof_print_oops_and_stack" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xc5ad8e2b, "snd_sof_dsp_update_bits" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0xa2ad90, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6fc50f58, "sof_io_read" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0x74f6ffba, "snd_sof_ipc_reply" },
	{ 0x52f364c7, "platform_device_register_full" },
	{ 0xbe294082, "dma_free_attrs" },
	{ 0xc05a376a, "param_ops_bool" },
	{ 0x6835cbd4, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfad57446, "snd_sof_dsp_panic" },
	{ 0x5686ce9, "sof_client_dev_unregister" },
	{ 0x7891d887, "snd_sof_load_firmware_memcpy" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x63ba491f, "pci_write_config_dword" },
	{ 0x5473d40b, "sof_io_write" },
	{ 0x4263f363, "sof_machine_register" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x77a7deac, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x6511e4ce, "pci_dev_put" },
	{ 0x94f4193e, "pci_get_device" },
	{ 0x15659ec3, "request_firmware" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-xtensa-dsp,snd-pcm,snd-sof,snd-soc-acpi");


MODULE_INFO(srcversion, "26DD4381EDD8D1BB3D7B8DD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
