#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0xc7bc11ca, "");
SYMBOL_CRC(hda_bus_ml_free, 0x8e0ffb2f, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0x28fe86fc, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0xcb25a621, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0x55313b0f, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0x7c2cda64, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0xb129f495, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x6769ed4b, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0x04a27726, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x493d1924, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x8c75740e, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x37f578f4, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x51acb5c6, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x375ed081, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x3cbdb4e4, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0xa4d1de3b, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x673eee59, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0xa3619a4b, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x073a9e83, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0xbad64c0a, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x1772b012, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x6d0769c7, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0xbcceced7, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0x1f2b5b25, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x80aae549, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0x53b8f653, "");
SYMBOL_CRC(hda_bus_ml_resume, 0xcb5e9358, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0x110b579f, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0xcdfc3796, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0x20659caf, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x5fe8ce8d, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x935902dd, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x54db76fe, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e2097aa, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb6b25ff8, "snd_hdac_ext_bus_link_power_down" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3551704f, "snd_hdac_ext_bus_link_put" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "CCD9D213FCABB93A5DA79AE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
