#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb26fcb86, "input_register_device" },
	{ 0xfc1f2c28, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xf4259b37, "usb_submit_urb" },
	{ 0xf820cf6b, "snd_card_new" },
	{ 0x8d0a0e8b, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb4be2b4f, "snd_card_set_id" },
	{ 0x6137b6e0, "_dev_err" },
	{ 0xdd84ac6b, "usb_set_interface" },
	{ 0x445cd6f2, "snd_pcm_set_ops" },
	{ 0xbee2df19, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x77f950e6, "usb_string" },
	{ 0x4a5ba1c4, "snd_pcm_set_managed_buffer_all" },
	{ 0x94d35c8f, "_dev_warn" },
	{ 0x716bb69c, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xad7f246f, "input_event" },
	{ 0x2f60866f, "input_set_abs_params" },
	{ 0xfc3d57c0, "snd_rawmidi_new" },
	{ 0xb24b4b06, "snd_card_disconnect" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa9b9a422, "snd_rawmidi_set_ops" },
	{ 0xc05a376a, "param_ops_bool" },
	{ 0x13e6caf1, "usb_kill_urb" },
	{ 0x2e454636, "usb_init_urb" },
	{ 0x97052515, "snd_pcm_period_elapsed" },
	{ 0xbec3273d, "kmalloc_trace" },
	{ 0xefae9c6e, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7041973e, "kmalloc_caches" },
	{ 0x869ca825, "input_allocate_device" },
	{ 0xd6cfbfae, "usb_alloc_urb" },
	{ 0x8b1376a2, "snd_rawmidi_receive" },
	{ 0x2760840, "usb_free_urb" },
	{ 0x69255f54, "snd_pcm_hw_limit_rates" },
	{ 0xba226a72, "snd_rawmidi_transmit" },
	{ 0x3be8cf33, "snd_ctl_add" },
	{ 0xd6076687, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb1136513, "snd_card_register" },
	{ 0xb3db4af5, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3d77f925, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xc98c5cd, "param_array_ops" },
	{ 0x4439c8b7, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5800f8e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6ceeb67d, "input_free_device" },
	{ 0xc85b39e5, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf4ec8af8, "usb_bulk_msg" },
	{ 0x1b85a8aa, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "1C35174CEC459936687656F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
